﻿/* Generated with Author-it 5.5.264.13693  12/28/2015 3:54:03 PM */
Page=new Array();Page[0]=new Array("Plesk for Linux Advanced Administration Guide is a companion guide for the Plesk Administrator's Guide. It is intended for server administrators whose responsibilities include maintaining hosting servers and troubleshooting server software problems.","The guide provides step-by-step instructions for performing server management tasks that require use of Plesk functionality other than the GUI and GUI-only tasks that administrators may need to perform only in rare and specific situations. Administrators can use several additional tools that are supplied in the standard Plesk distribution package to add customized automation tasks, back up and restore data, and repair Plesk components and system settings. The tools include a number of standalone applications, command-line utilities, and the ability to integrate custom scripting with Plesk.","This guide contains the following chapters:","Introduction to Plesk. Describes the main components and services operated by Plesk, licensing terms, and the ways to install and update Plesk components.  ","Virtual Hosts Configuration. Describes virtual host concepts and their implementation in Plesk. Provides instructions on why and how to change their configuration.","Services Management. Contains descriptions of a number of external services used on Plesk server and instructions on how to configure and use them.","System Maintenance. Describes how to change the server host name, IP addresses, and locations of directories for storing virtual host files, backups, and mail content. This chapter also introduces Plesk's command-line tools, a mechanism for running scripts on Plesk events, and the service monitor that allows monitoring and restarting of services without logging in to Plesk. ","Backing Up, Restoring, and Migrating Data. Describes how to back up and restore Plesk data by means of the command-line utilities pleskbackup and pleskrestore, and introduces the tools for migrating hosted data between servers.","Statistics and Logs. Describes how to run on demand statistics calculations on disk space and traffic usage, and access web server logs.","Enhancing Performance. Provides information on how to improve Plesk functioning by means of software.","Enhancing Security. Provides instructions on how to protect the Plesk server and sites hosted on it from unauthorized access.","Customizing Plesk Appearance and GUI Elements. Introduces Plesk themes that can be used to customize Plesk appearance and branding and describes how to remove specific elements of the Plesk GUI or change their behavior.","Localization. Introduces the methods of localizing the Plesk GUI into languages for which Plesk does not provide localization.","Troubleshooting. Describes how to troubleshoot malfunctions of Plesk services.","About This Guide","about.htm");
Page[1]=new Array("Plesk files can be divided into six major groups responsible for different aspects of Plesk work. The diagram below shows these groups (components of Plesk) and the connections they have to each other and to external services that Plesk manages.","Plesk components are as follows:","Plesk core. The core processes requests that Plesk receives from the Plesk GUI, command line interface, and XML API. The core contains scripts, binary files and other resources used to link Plesk components with each other and with external services.","Plesk database psa. The database stores information about Plesk objects, such as IP addresses, domains, user accounts, and so on.","sw-cp-server - a web server based on nginx. This serves requests to the Plesk GUI.","Plesk GUI -  a web interface provided with sw-cp-server. The GUI is the main means of interaction with Plesk.","Command line utilities. The command line interface allows integration of third-party software with Plesk objects. In addition, it is a way for administrators to manage Plesk through the server shell. For more information on the Plesk command line interface, refer to Plesk Command Line Reference.","XML API. This interface is another way to integrate third-party software with Plesk. It allows Plesk objects to be managed remotely by sending specifically structured XML packets and receiving responses from Plesk. For more information on XML API, refer to Developer's Guide: Read Me First and XML API Protocol Reference.","The Most Important Files and Directories","Plesk for Linux installs its main components into the following directory:","On RPM-based operating systems: /usr/local/psa","On DEB-based operating systems: /opt/psa","This directory (main Plesk directory) contains Plesk core files, command line utilities, log files and so on.","In addition, Plesk creates files and directories outside the main directory. The list below contains those that you are likely to use when administering Plesk.","The main configuration file containing paths to utilities, services and packages used by Plesk: ","/etc/psa/psa.conf","The initialization script for opening and closing services during server startup and shutdown procedures:","/etc/init.d/psa","Initialization scripts for starting and stopping services with xinetd:","/etc/xinetd.d/smtp_psa","/etc/xinetd.d/smtps_psa","/etc/xinetd.d/poppassd_psa","/etc/xinetd.d/ftp_psa","Find more information on xinetd at http://www.xinetd.org/.","Plesk database:","/var/lib/mysql/psa/","Backup files:","/var/lib/psa/dumps/","Introduction to Plesk","68554.htm");
Page[2]=new Array("The most common way of installing and upgrading Plesk is to use the Plesk Installer utility. This utility connects to the Plesk Updates server where the Plesk distribution packages are stored. It then retrieves, downloads, and installs Plesk. You can download the Plesk Installer utility from http://www.odin.com/products/plesk/download/.","For detailed instructions on how to use Plesk Installer, refer to the Deployment Guide.","Installing Plesk in Virtuozzo Containers","If you operate in the Virtuozzo containers environment, you can use application templates for installing Plesk on containers. ","When the application templates are installed on a Virtuozzo Containers hardware node, they allow you to easily deploy the application on as many containers as required, saving system resources such as disk space. ","You can obtain the Plesk templates at http://www.odin.com/download/plesk/templates/ or download them using the Virtuozzo Containers command line utility call vzup2date -z (available on Virtuozzo Containers 4 and above).","For more information on installing Plesk on Virtuozzo Containers, read the Deployment Guide, chapter (Advanced) Installation to Virtuozzo Containers.","Checking Potential Issues Before Upgrading to Plesk 12","If you use Plesk 9 or earlier and want to upgrade it to Plesk 12.5, you may encounter problems due to changes in the Plesk business model. In particular, it might be impossible to transfer some settings and business objects. ","To efficiently anticipate or resolve the problems, we offer a tool called plesk101_preupgrade_checker.php. This tool checks potential business logic issues with upgrading to Plesk 10 and later and gives recommendations that help you fix the possible problems related to transition of Plesk objects. You can download the tool and find descriptions of the report messages at http://kb.odin.com/9436.","Installation and Upgrade Overview","68633.htm");
Page[3]=new Array("Plesk is middleware between end users and external services such as FTP, mail, DNS and others. Due to technical limitations, Plesk is able to interact with these services only if they are available on certain ports.","The list below provides information about services managed through Plesk and about ports on which they should be available for proper interaction with Plesk. If you use a firewall, make sure that the connections to all of these ports are allowed for corresponding Plesk services. ","Service name","Ports used by service","Administrative interface of Plesk over HTTPS","TCP 8443","Administrative interface of Plesk over HTTP","TCP 8880","VPN service","UDP 1194","Web server","TCP 80, TCP 443","FTP server","TCP 21","SSH (secure shell) server","TCP 22","SMTP (mail sending) server&nbsp;","TCP 25, TCP 465","POP3 (mail retrieval) server","TCP 110, TCP 995","IMAP (mail retrieval) server&nbsp;","TCP 143, TCP 993","Mail password change service","TCP 106","MySQL server&nbsp;","TCP 3306","MS SQL server","TCP 1433","PostgreSQL server","TCP 5432","Licensing Server connections","TCP 5224","Domain name server","UDP 53, TCP 53","Plesk upgrades and updates","TCP 8447","Note: If you install Presence Builder as part of Plesk, Presence Builder uses the same protocol and opens on the same port as the Plesk UI.","Ports Used by Plesk","68632.htm");
Page[4]=new Array("After you install Plesk, a trial license key for 14 days is installed by default. To continue using Plesk after the trial license key expires, you should obtain a lease license key or purchase a permanent license key.","A leased license means that you pay for a limited time during which you can use Plesk, for example, two months. During the lease period, Plesk will perform free monthly updates of your license key. The lease license includes free upgrades to all major new versions of Plesk.","The permanent license means that you buy a lifetime Plesk license. A permanent license is updated every three months for free. Upgrading a Plesk installation with a permanent license to the next major version requires a separate payment unless you use Software Update Service (SUS). See http://www.odin.com/support/#tab5 for more information on SUS.","Plesk license keys have a grace period of 10 days before the expiration date. During the grace period, Plesk makes daily attempts to update the license key automatically. If an automatic update fails, Plesk notifies the administrator. If you do not update a license key during the grace period, it expires and blocks Plesk functions until you install a valid license key.","Plesk defines whether it needs to update the license key using the update-keys.php utility located in the $PRODUCT_ROOT_D/admin/plib/DailyMaintainance/directory, where the $PRODUCT_ROOT_D is /usr/local/psa. This utility checks the license grace period and expiration date and tries to retrieve a new license key or blocks Plesk.","Plesk runs the utility every day as a part of the daily maintenance script. If you want to check for license updates, you can run the script manually by executing the command $PRODUCT_ROOT_D/bin/sw-engine-pleskrun $PRODUCT_ROOT_D/admin/plib/DailyMaintainance/script.php.","You can retrieve and manage license keys through the Plesk GUI. The information about the current license key and controls for managing license keys are located in Server Administration Panel &gt; Tools &amp; Settings &gt; License Management.","Licensing","68634.htm");
Page[5]=new Array("Plesk for Linux uses the Apache web server for websites hosting. In Plesk, Apache by default is supplemented with nginx to achieve better performance.","Apache itself does not operate with websites; it manages virtual hosts - web resources identified either by an IP address or a host name. When creating a site, Plesk adds a new virtual host to Apache so that the site becomes available through the web server. Plesk resides on a virtual host too; this host is called the default virtual host.","When you add a site in Plesk, you select one of the hosting types to use with it: web page hosting or forwarding. In terms of Apache, you associate the site with a virtual host of one of three configurations (website hosting, standard forwarding, and frame forwarding). To learn the differences between these configurations, see the section Virtual Hosts and Hosting Types.","Sites are linked to virtual hosts, so if you want to add some feature provided by Apache but not available through the Plesk GUI, you should change the virtual host settings using Apache configuration templates. Based on these templates, Plesk partly re-generates virtual hosts, so you should follow certain rules when modifying the configuration; otherwise, some of your changes might be lost. Next in this chapter, we will discuss virtual hosts in more detail and provide guidelines on how to modify them safely. To learn more on this point, refer to the section Changing Virtual Hosts Settings Using Configuration Templates.","Plesk creates virtual hosts for websites based on virtual host templates. These templates predefine the content that will be included in each new virtual host. Learn how to change virtual host templates in Administrator's Guide, section Presetting Content of Customer Websites.","You can get information on access to each virtual host and Apache errors that have occurred on the host from Apache logs. Learn more about log files location and rotation settings in the section Analyzing Access and Errors.","Virtual Host IP Addresses","The term virtual host refers to the practice of running more than one website on a single server or IP address. For example, Apache can manage two websites, example1.com and example2.com, even if they use a single IP address. Each of these sites is hosted on a separate virtual host. ","There are two types of virtual host, each with different methods of requests routing: ","IP-based. Each virtual host has a separate IP address. Apache defines the requested host based on the host IP address.","Name-based. This supposes that several virtual hosts share the same IP address. To define a requested host, Apache parses the domain name.","Plesk uses the name-based approach. In addition, Plesk provides an option to allocate separate IP addresses to customers who do not want to share their IP address with others. To implement this option, there are two types of IP address in Plesk:","Dedicated IP addresses that have a single owner.","Shared IP addresses that you can allocate to any number of customers.","Resolving Requests to Web Servers","When a client requests a certain domain, Apache parses the requested domain name. Then Apache searches for the virtual host with the requested domain on the IP address specified in the request. If the host exists, Apache sends the requested files from this host to the client.","If the requested virtual host is not found, Plesk uses the following entities to resolve the request:","Default domain. This can be created for a specific IP address. If a request to this IP address contains the name of a non-existent domain, Plesk redirects this request to the default domain.","Default virtual host. This accepts all requests to server IP addresses that could not be directed to any default domain.","Virtual Hosts Configuration","68625.htm");
Page[6]=new Array("Depending on how you intend to use a site created in Plesk, for example, to host web pages or to forward HTTP requests to another site, you can choose from three hosting types that define the structure of a virtual host created for this site. The hosting types are the following:","Website hosting. When you choose this type of hosting, Plesk creates a virtual host (disk space on the local server) for a customer. Customers store their files on a virtual host and run their websites without having to purchase a server or dedicated communication lines.","Standard forwarding. In this case, Plesk creates a reduced virtual host that does not store its owner's files and directories. This host is used for redirecting requests to another network resource. When users try to access the domain, Plesk forwards them to another URL. This URL will be shown in their browsers.","Frame forwarding. In this case, Plesk creates a reduced virtual host that does not store its owner's files and directories. Unlike standard forwarding, frame forwarding virtual hosts show the requested URL in a browser, not the actual one. Plesk uses HTML frames to show the pages of another site with the requested URL.","The virtual host structure differs depending on hosting type:","Domains with a website hosting type have a directory called document root where the website files are stored. The configuration of such a virtual host looks like this:"," &lt;VirtualHost 10.0.69.4:80&gt;","    ServerName &quot;domainXX.tst:443&quot;","        ServerAlias  &quot;www.domainXX.tst&quot;","    	UseCanonicalName Off","&lt;IfModule mod_suexec.c&gt;","    SuexecUserGroup &quot;domainXX.tst&quot; &quot;psacln&quot;","&lt;/IfModule&gt;","    ServerAdmin  &quot;admin@mailserver.tst&quot;","	DocumentRoot &quot;/var/www/vhosts/domainXX.tst/httpdocs&quot;","    CustomLog /var/www/vhosts/domainXX.tst/statistics/logs/access_ssl_log plesklog","    ErrorLog  &quot;/var/www/vhosts/domainXX.tst/statistics/logs/error_log&quot;","........................................................................","Standard forwarding domains just contain a forwarding address in the configuration file. No space for storing files is allocated. The configuration of such a virtual host looks like this:","&lt;VirtualHost 10.0.69.2:80&gt;","	    ServerName &quot;SFdomain.tst.tst&quot;","	        ServerAlias &quot;www.SFdomain.tst.tst&quot;","    ","	    ServerAdmin  &quot;admin@mailserver.tst&quot;","	    RedirectPermanent / &quot;http://easytofinddomain.tst/&quot;","&lt;/VirtualHost&gt;","Frame forwarding domains have a document root with a single file index.html with the &lt;FRAMESET&gt;  tag that defines the frame and address of the website to show in the frame. Therefore, the configuration of a frame forwarding virtual host resembles website virtual host configuration:","&lt;VirtualHost 10.0.69.2:80&gt;","		ServerName &quot;FFdomainXX.tst&quot;","	        ServerAlias  &quot;www.FFdomainXX.tst&quot;","    ","	    ServerAdmin  &quot;admin@mailserver.tst&quot;","	    DocumentRoot &quot;/var/www/vhosts/FFdomainXX.tst/httpdocs&quot;","	    &lt;IfModule mod_ssl.c&gt;","	        SSLEngine off","	    &lt;/IfModule&gt;","&lt;/VirtualHost&gt;","When you create a website inside a subscription in Server Administration Panel, the domain hosting type is set to website hosting. When you create a domain in Control Panel, you can set a different hosting type. Domain owners are free to change the hosting types of their domains whenever they wish.","To change the hosting type of a domain, open Control Panel &gt; Websites &amp; Domains, click the domain name, and go to the Hosting Type &gt; Change.","&nbsp;","Virtual Hosts and Hosting Types","68694.htm");
Page[7]=new Array("Configuration settings of each virtual host are stored in its configuration files in the /var/www/vhosts/system/&lt;domain_name&gt;/conf/ directory. Particularly, these files are the following:","&lt;version&gt;_httpd.conf - Apache virtual host configuration.","&lt;version&gt;_nginx.conf -  nginx configuration.","The final Apache configuration will include all httpd.conf and nginx.conf files from all virtual hosts. ","Plesk lets administrators and domain owners see the history of changes in a virtual host configuration files by saving each version of these files. &lt;version&gt; here is a unique number assigned to a certain configuration state that is used now or was used previously. To let administrators and domain owners easily access the currently used configuration file, Plesk stores the links last_httpd.conf and last_nginx.conf that point to the corresponding files.","The system re-generates the configuration files after each change of virtual host configuration, for example, changing the hosting type of a domain. Therefore, if you edit httpd.conf and nginx.conf files manually, your changes will be lost after changing the virtual host settings in the Plesk UI. To avoid this, additional files are used to specify custom configuration for domains:","vhost.conf and vhost_ssl.conf - custom Apache directives for two situations: when clients access the site over HTTP and HTTPS respectively. These files are included in the httpd.conf.","vhost_nginx.conf - custom nginx directives. This file is included in the nginx.conf.","The files with custom per-domain configuration are stored in the /var/www/vhosts/system/&lt;domain_name&gt;/conf/ directory. ","Most of the settings specified in these files override the server-wide configuration of a virtual host (httpd.conf and nginx.conf). For example, if you include directives that already exist in the site's current httpd.conf file, the system will use your values from the vhost.conf and vhost_ssl.conf files.","Editing Virtual Host Configuration Files","There are two ways to edit virtual host configuration files:","Manually. You can add custom directives to the following files from /var/www/vhosts/system/&lt;domain_name&gt;/conf/ directory:","vhost.conf and vhost_ssl.conf","vhost_nginx.conf","In the Plesk GUI. On the  Websites &amp; Domains &gt; select a website &gt; Web Server Settings tab you can specify:","Common Apache settings. Most commonly used directives (like MIME types or index files). These directives will be included in httpd.conf.","nginx settings. Directives that define the scope of nginx's role in serving website's content of different types (static and dynamic).","Additional Apache directives. You can add several custom Apache directives at once in the Additional directives for HTTP and Additional directives for HTTPS fields. These fields correspond to vhost.conf and vhost_ssl.conf files respectively. ","Additional nginx directives. You can add several custom nginx directives at once in the Additional nginx directives field. This field corresponds to vhost_nginx.conf file.","The changes you made in the web server configuration will be applied automatically.","Note: If you have upgraded from the older Plesk version and are configuring the vhost.conf and vhost_ssl.conf files for the first time after the upgrade, you will need to use the httpdmng utility to apply the changes from your configuration files. For example, to generate web server configuration files for a website, run the command: /usr/local/psa/admin/sbin/httpdmng --reconfigure-domain &lt;domain_name&gt;","Virtual Host Configuration Files","72064.htm");
Page[8]=new Array("You can change the settings of virtual hosts running on the Plesk server, for example, set custom error pages (similar for all virtual hosts), or change the port on which the hosted site is available.","To reduce the risk of errors during modification of configuration files, Plesk provides a mechanism for changing virtual host configuration - configuration templates. Before 11.0, Plesk had templates only for Apache configuration files, but with adding support for nginx administrators can modify nginx templates as well. Read more about the how Apache and nginx work together in the Administrator's Guide, section Improving Web Server Performance with nginx (Linux).","Configuration templates are files based on which Plesk re-generates certain web server configuration files. Other configuration files are generated automatically and cannot be changed. The hierarchy of configuration files generated by Plesk automatically and from templates is shown in the Appendix A.","Web server configuration files support versioning. This allows you to roll back to a previous configuration if the new one contains errors. Plesk adds a file version number to the name of each configuration file. For example, virtual host configuration files located in the /var/www/vhosts/&lt;vhost_name&gt; directories have the names like &lt;version&gt;_httpd.include. To quickly access the currently used configuration file of a virtual host, use the symbolic link last_httpd.include located in the same directory.","The default templates are located in /usr/local/psa/admin/conf/templates/default/. ","Important: Do not change the default templates. To introduce your changes to the configuration, copy the templates you need to the /usr/local/psa/admin/conf/templates/custom/ directory and modify them, preserving the directory structure, and then modify these copies. You can create templates from scratch and place them in the custom/ directory according to the default structure.  ","To remove your changes and restore the default configuration, just delete the custom template files.","To change virtual hosts configuration using configuration templates:","Create the /usr/local/psa/admin/conf/templates/custom/ folder (if there is no such folder yet).","Copy and paste the required templates from default/ to custom/ preserving the directory structure. You can find the complete list of templates and their descriptions in the Appendix B.","Modify the templates. See the details in the Templates Execution Context section.","Check that the modified templates are valid PHP files:","# php -l &lt;file-name&gt;","Generate new configuration files: ","# httpdmng &lt;command&gt;","Where &lt;command&gt; is one of the following:","--reconfigure-server generates sever-wide configuration files.","--reconfigure-domain &lt;domain-name&gt; generates files for a specified domain.","--reconfigure-all generates all configuration files.","Note: Plesk generates configuration files automatically upon a variety of events. For example, if a website's hosting settings are changed - say PHP is enabled - configuration for this website is generated anew. ","Example: Modifying Error Pages","Copy the error pages template to the custom/ directory:","# mkdir -p /usr/local/psa/admin/conf/templates/custom/domain/service/","# cp /usr/local/psa/admin/conf/templates/default/domain/service/errordocs.php  /usr/local/psa/admin/conf/templates/custom/domain/service/errordocs.php","Edit the /usr/local/psa/admin/conf/templates/custom/domain/service/errordocs.php file.","Check the validity of the file and generate new configuration files.","Changing Virtual Hosts Settings Using Configuration Templates","68693.htm");
Page[9]=new Array("In essence, configuration templates are PHP files which, when executed, output web server configuration files. The templates are executed in the environment where the specific variables $VAR and $OPT are available. ","$VAR is an object containing the data model which should be applied to a template. The variable contains an essential set of parameters defining the content of web server configuration. The detailed structure of the array is presented in the Appendix C.","The most important function is IncludeTemplate() which is part of the $VAR array. The function allows including templates one into another, and it is defined as","IncludeTemplate($templateName, $OPT, $metainfo)","where","$templateName -  string denoting name of included template. Required","$OPT - an associative array which passes values to a template. Optional","$metainfo - an associative array which defines certain aliases in the template context. Optional "," &nbsp;","The basic function usage is as follows: ","## source: default/server.php","&lt;?php echo $VAR-&gt;includeTemplate('server/tomcat.php') ?&gt;"," ","A text generated by the included template (server/tomcat.php) will be included in the configuration file.","In cases when the text generated by an included template should depend on the context, for example, when iterating over a set of values, it is possible to pass additional parameters to the template. "," ## source: default/server.php","&lt;?php echo $VAR-&gt;includeTemplate('service/php.php', array(","    'enabled' =&gt; false,",")) ?&gt;","Here, we included the service/php.php template and passed the value 'enabled' =&gt; false to it. In the template being included the passed value is available in the variable $OPT:","&nbsp;","## source: service/php.php","&lt;?php","if ($OPT['enabled']) { // it is required to detect 'enabled'","    echo &quot;php_admin_flag engine on\\n&quot;;","    if (!array_key_exists('safe_mode', $OPT) || $OPT['safe_mode']) { // optional parameter 'safe_mode'","        echo &quot;php_admin_flag safe_mode on\\n&quot;;","    } else {","        echo &quot;php_admin_flag safe_mode off\\n&quot;;","    }","    if(array_key_exists('dir', $OPT) &amp;&amp; $OPT['dir']) { // optional parameter 'dir'","        echo &quot;php_admin_value open_basedir {$OPT['dir']}:/tmp\\n&quot;;","    }","} else {","    echo &quot;php_admin_flag engine off\\n&quot;;","}","?&gt;","The code in this sample will generate two different blocks of text depending on which value of the 'enabled' parameter is passed.  ","Note that $VAR, which contains the data model, can be used in templates being included as well. Some values of $VAR are defined using the content of $metainfo. For details on possible $metainfo content and how it affects a template context, refer to Appendix C. For example, by defining the subDomainId value in the $metainfo parameter, it is possible to set an exact subdomain model available at $VAR-&gt;subDomain in a template being included:","## source: default/domainVhost.php","&lt;?php","//going through all subdomains of current domain","foreach ($VAR-&gt;domain-&gt;physicalHosting-&gt;subdomains as $subdomain) {","    if ($subdomain-&gt;ssl) { //if SSL is enabled on a subdomain","        //include configuration for subdomain with enabled SSL","        echo $VAR-&gt;includeTemplate('domain/subDomainVirtualHost.php', array(","            'ssl' =&gt; true, // passing $OPT['ssl'] = true","        ), array(","            'subDomainId' =&gt; $subdomain-&gt;id, // define target subdomain for which a configuration file is being built","        ));","    }","    //include configuration for subdomain with disabled ssl","    echo $VAR-&gt;includeTemplate('domain/subDomainVirtualHost.php', array(","        'ssl' =&gt; false,","    ), array(","        'subDomainId' =&gt; $subdomain-&gt;id,","    ));","}","?&gt;"," ## source: domain/subDomainVirtualHost.php"," ServerName &quot;&lt;?php echo $VAR-&gt;subDomain-&gt;asciiName ?&gt;.&lt;?php echo $VAR-&gt;domain-&gt;asciiName ?&gt;:&lt;?php echo $OPT['ssl'] ? $VAR-&gt;server-&gt;webserver-&gt;httpsPort : $VAR-&gt;server-&gt;webserver-&gt;httpPort ?&gt;&quot;","Template Execution Context","68798.htm");
Page[10]=new Array("Changing the default HTTP and HTTPS ports of a web server is useful when employing an additional web server for caching purposes. For example, nginx web server listens on the default ports (80 HTTP, 443 HTTPS), serves static content (for example, all requests but PHP), and redirects PHP requests to Apache. In turn, Apache web server listens on custom ports (for example, 8888 and 8999) and serves dynamic content - PHP requests.","To change the Apache HTTP port:","Find all occurrences of the string $VAR-&gt;server-&gt;webserver-&gt;httpPort and replace them with the required port number enclosed in quotation marks, for example: &quot;3456&quot;.","To change the Apache HTTPS port:","Find all occurrences of the string $VAR-&gt;server-&gt;webserver-&gt;httpsPort and replace them with the required port number enclosed in quotation marks, for example: &quot;4567&quot;.","Example","To make Apache listen to HTTP requests on port 3456, and HTTPS on 4567, make the changes described above in all templates. ","For example, in domain/domainVirtualHost.php:","&lt;VirtualHost &lt;?php echo $VAR-&gt;domain-&gt;physicalHosting-&gt;ipAddress-&gt;address ?&gt;:&lt;?php echo $OPT['ssl'] ? $VAR-&gt;server-&gt;webserver-&gt;httpsPort : $VAR-&gt;server-&gt;webserver-&gt;httpPort ?&gt;&gt;","    ServerName &quot;&lt;?php echo $VAR-&gt;domain-&gt;asciiName ?&gt;:&lt;?php echo $OPT['ssl'] ? $VAR-&gt;server-&gt;webserver-&gt;httpsPort : $VAR-&gt;server-&gt;webserver-&gt;httpPort ?&gt;&quot;","change to","&lt;VirtualHost &lt;?php echo $VAR-&gt;domain-&gt;physicalHosting-&gt;ipAddress-&gt;address ?&gt;:&lt;?php echo $OPT['ssl'] ? &quot;4567&quot; : &quot;3456&quot; ?&gt;&gt;","    ServerName &quot;&lt;?php echo $VAR-&gt;domain-&gt;asciiName ?&gt;:&lt;?php echo $OPT['ssl'] ? &quot;4567&quot; : &quot;3456&quot; ?&gt;&quot;","Example: Changing Default Apache Ports","68800.htm");
Page[11]=new Array("When someone creates a website, Plesk not only adds a new virtual host to the web server but also creates the site&#8217;s directory structure and fills the directories with certain initial content. These directories are located in the corresponding virtual host directories:","On Linux: /var/www/vhosts/&lt;domain_name&gt;","On Windows: C:\\inetpub\\vhosts\\&lt;domain_name&gt;","&lt;domain_name&gt; here is the website's domain name. The directory structure is defined by the default virtual host template (see the sections Virtual Host Structure (Linux) and Virtual Host Structure (Windows) for details). ","If you want to change the files and directories included in new sites, for example, you want to add scripts or change the error pages, you can define a custom virtual host template.  Resellers can also customize virtual host templates for their customers. ","Note: Subdomains have the same status as domains and employ the same directory structure. Thus, they have a separate directory in /var/www/vhosts and their own configuration files, such as php.ini or vhost.conf.","Website Directory Structure","68695.htm");
Page[12]=new Array("The table below shows the list of directories that Plesk creates for each virtual host. Note that Plesk does not add all the directories by default. It creates some of the directories only when the website owner needs them. Such directories are marked as created On demand. For example, after a customer adds a website, it does not have the /web_users directory. Plesk will create it only after the customer adds his first web user. ","The following table lists subdirectories of a virtual host directory /var/www/vhosts/&lt;vhost&gt;:","Directories Tree","User ","Group ","Permissions ","Description","Created","/&lt;VHOST&gt; ","user","psaserv ","755 ","Always","/anon_ftp ","user ","psaserv ","750 ","Anonymous FTP files","On demand","/error_docs","user","psacln","755","Error message files","Always","&lt;doc&gt;.html","user","psaserv","755","/httpdocs","user","psaserv ","750 ","HTTP documents","Always","/cgi-bin","user","psaserv","755","CGI scripts","Always","/logs","user","root","700","Link to ../system/&lt;vhost&gt;/logs","Always","/bin","root","root","755","Chroot environment directories","On demand","/dev","root","root","755","/etc","root","root","755","/lib","root","root","755","/tmp","root","root","755","/usr","root","root","755","/var","root","root","755","/web_users","root","root","755","Web users' directory","On demand","/&lt;web_user&gt;","user","psaserv","750","Web user directory","On demand","/&lt;subdomain&gt;","user","psaserv","750","HTTP and HTTPs documents of a subdomain","On demand","/&lt;domain&gt;","user","psaserv","750","HTTP and HTTPs documents of an  additional domain","On demand","The following table lists directories created for a virtual host in the /var/www/vhosts/system/&lt;vhost&gt;:","&nbsp;Directories Tree","User ","Group ","Permissions ","Description","Created","/&lt;VHOST&gt; ","root","psaserv ","744 ","Always","/conf","root","psaserv","750","Configuration files.","Always","/etc","root","root","755","Configuration files","Always","/logs","psaadm","root","700","Virtual host logs","Always","/pd","root","psaserv","710","Passwords to protected directories","Always","d..&lt;dir1&gt;@&lt;dir2&gt; ","root","psaserv","310","Always","/statistics","root","psaserv","550","Statistics directory","Always","/anon_ftpstat","root","root","755 ","Anonymous FTP statistics.","Always","/ftpstat","root","root","755 ","FTP user statistics","Always","/logs","root","root","777","Link to /logs","Always","/webstat","root","root","755 ","HTTP user statistics","Always","/webstat-ssl","root","root","755 ","HTTPS user statistics","Always","Differences from Previous Versions","The structure described above was introduced in Plesk 11.5. It has the following differences compared to the structure of earlier Plesk versions:","Some directories are created on demand. Previously, all the directories were created by default.","The following directories were moved from /var/www/vhosts/&lt;VHOST&gt; to /var/www/vhosts/system/&lt;VHOST&gt;: ","Old Location","New Location","Comment","/&lt;VHOST&gt;/conf","/system/&lt;VHOST&gt;/conf","Configuration files","/&lt;VHOST&gt;/pd","/system/&lt;VHOST&gt;/pd","Passwords to protected directories","/&lt;VHOST&gt;/statistics","/system/&lt;VHOST&gt;/statistics","Statistics directory","/&lt;VHOST&gt;/statistics/logs","/system/&lt;VHOST&gt;/logs","Virtual host logs","The following directories are not included in Plesk virtual hosts:","/httpsdocs","/subdomains","/private ","Virtual Host Structure (Linux)","68806.htm");
Page[13]=new Array("Plesk allows to define custom PHP configuration for a certain service plan, add-on plan, subscription, website, and even subdomain. For this purpose, the Plesk GUI exposes 16 most often used PHP parameters that allow customization. The administrator or a customer can set the value of each parameter either by selecting a value from a preset, typing a custom value, or leaving the default value. In the latter case, Plesk takes the parameter value from the server-wide PHP configuration.","Using the /usr/local/psa/admin/conf/panel.ini file you can specify what PHP parameters values will be available in the preset and toggle the visibility of the custom value field.","Defining the Preset Values","To set the list of predefined values for a certain PHP parameter, add the line of the following type to the [php] section of the panel.ini file:","settings.&lt;parameter_group&gt;.&lt;parameter_name&gt;.values[]=&lt;value&gt;","where","&lt;parameter_group&gt; - a group of a PHP parameter: performance for the performance PHP settings and general if the parameter is placed in to the common group. For more information about the groups of PHP parameters, read the Administrator's Guide.","&lt;parameter_name&gt; - a name of a PHP parameter. Use the same syntax as in php.ini.","&lt;value&gt; - a parameter's value added to the preset. Use the same syntax as in php.ini.","Add such line for each value in the preset. For example, if you want Plesk users to choose the value of the memory_limit parameter between 8M and 16M, add the following lines to panel.ini:","[php]","settings.performance.memory_limit.values[]=8M","settings.performance.memory_limit.values[]=16M","Hiding the Custom Value Fields","To hide the field that allows entering the custom value for a certain PHP parameter, add the line of the following type to the [php] section of the panel.ini file: ","settings.&lt;parameter_group&gt;.&lt;parameter_name&gt;.custom=false ","where","&lt;parameter_group&gt; - a group of a PHP parameter: performance for the performance PHP settings and general if the parameter is placed in to the common group. For more information about the groups of PHP parameters, read the Administrator's Guide, ","&lt;parameter_name&gt; - a name of a PHP parameter. Use the same syntax as in php.ini.","For example, if you do not want Plesk users to set custom values to the memory_limit parameter, add the following line to panel.ini:","[php]","settings.performance.memory_limit.custom=false","To switch the custom value field back on, replace false with true.","Predefining Values for Customizable PHP Parameters","70118.htm");
Page[14]=new Array("For each site, Apache writes access and error information to log files. Each site has two log files - access_log and error_log, which store information on access to that site and errors respectively. Apache log files for each site are located in the /statistics/logs subdirectory of the virtual host directory  /var/www/vhosts/&lt;domain_name&gt;, where domain_name is the name of a corresponding domain. ","To save disk space, Plesk rotates Apache logs. Learn how to change log rotation parameters in the Log rotation section. ","Analyzing Access and Errors","68685.htm");
Page[15]=new Array("To enable basic hosting services and functions on a Plesk-managed server, the Plesk distribution package includes several third-party software applications that are installed along with Plesk. These applications are responsible for providing various hosting services such as DNS, email, FTP, and others.","All software components shipped with Plesk can be installed and updated by means of Plesk Installer. These components are listed in the Release Notes.","You can also install and manage through Plesk many other third-party applications that are not included in the Plesk distribution package. For the complete list of third-party applications currently supported by Plesk, refer to the Release Notes.","This chapter provides detailed descriptions of different external components used for providing hosting services on a Plesk server.","Services Management","68624.htm");
Page[16]=new Array("Plesk for Linux works in cooperation with the BIND (or named) domain name server that enables you to run a DNS service on the same machine on which you host websites.","When you add a domain name to Plesk, it automatically generates a zone file for this domain in accordance with the server-wide DNS zone template and registers it in the name server's database, then instructs the name server to act as a primary (master) DNS server for the zone.","Configuring DNS","You can change the name server settings by editing configuration file /var/named/run-root/etc/named.conf (/etc/named.conf is a soft link to it). This file consists of the following parts:","General Settings containing the following sections:","The Options section contains the directory option referring to /var, which is used as the base directory relative to $ROOTDIR (which is /var/named/run-root by default) for all other files used below. It also sets the location where named will store its PID.","The key and control sections define a shared key for managing named with the rndc utility and access list.","The main part contains several zone sections, one for every direct and reverse zone in which the server acts as the primary or a secondary name server. As usual, there is also a root zone section.","The root zone section defines the file with the root zone name servers.","Reverse local loop zone.","A direct zone for every domain and a reverse zone that the server processes as a name server.","The final part containing the acl section, which defines an access control list of name server IP addresses where zone transfers are allowed. By default, the common-allow-transfer ACL is included in every zone section.","Note: If you perform change zone entries in the file manually, Plesk will override them with changes made through the GUI.","Zone files","By default, zone files for domains are stored in the /var/named/run-root/var directory, as defined in the /var/named/run-root/etc/named.conf file. Each zone file has a name identical to the domain name. If you change the zone through the GUI, Plesk rewrites the file. ","You can change a zone database by adding or deleting resource records as follows:","Using the Plesk GUI. In this case, Plesk increases the Serial field value, which means that the zone transfer operation should be performed to synchronize the zone content with all secondary name servers.","Manually editing the file. We do not recommend this approach, since Plesk completely rewrites the zone data from the psa database if any changes are made through the Plesk GUI. Do not forget to increase the Serial field in this file. Otherwise, only this name server will know about the changes made.","Manually editing the psa database. To do this, perform the following steps:","First, you have to insert a corresponding record into the psa.dns_recs table.","mysql&gt; insert into dns_recs (dom_id,type,host,val) values (2,'A','ws02.domain01.tst.','192.168.1.185');","Query OK, 1 row affected (0.00 sec)","After that, make Plesk reread the domain information from the psa database in one of the following ways.","Through the command line:","# /usr/local/psa/admin/sbin/dnsmng update &lt;domain_name&gt;","Using the Plesk GUI, switch the domain to slave and then back to the master mode. In this case, you do not have to worry about the Serial field as Plesk increases its value while restoring the file.","Access Control Lists","You can restrict the name server to transferring name zones to only the list of explicitly assigned DNS servers. Do this by inserting the DNS server IP addresses into the misc table of the psa database with the following command:","mysql&gt; insert into misc (param, val) values ('DNS_Allow_Transfer1', &lt;dns server&gt;);","for the first DNS server in the list.","mysql&gt; insert into misc (param, val) values ('DNS_Allow_Transfer2', &lt;dns server&gt;);","for the second DNS server, etc.","To transfer the changes made in the database to the DNS configuration file, use the following command:","# /usr/local/psa/admin/sbin/dnsmng update &lt;domain_name&gt;","The command shown above adds DNS server IP addresses to the common-allow-transfer ACL, which is included in all local name zones. Every domain can have some additional IP addresses in its ACL. Secondary servers are added to the allow-transfer list of a domain by Plesk after adding the corresponding NS records to the domain name zone. In addition, the secondary server must be resolvable and accessible when it is added to the name zone.","DNS logs","The domain name service writes errors log stored in the /var/log/plesk/messages file. The logrotate utility rotates this log on a daily, weekly, or monthly basis. Learn how to configure log rotation in the section Log Rotation.","DNS","68760.htm");
Page[17]=new Array("To provide an FTP service, Plesk uses the ProFTPD FTP server. Plesk includes the following two packages:","psa-proftpd which contains the main component.","psa-proftpd-xinetd which contains patches and configurations to work with xinetd.","FTP Startup","The ProFTPD is started by the xinetd  every time the server receives an FTP request. In the case of authorized access, the FTP service is started on behalf of the user whose request is to be processed. For anonymous users, the service is started with the UID of  the psaftp user.","FTP Users","The FTP server allows for document access of authenticated users that are listed in the /etc/passwd and /etc/shadow files. The first one defines the user name, group membership, home directory, and active access method. The second one stores password hash values. Let us look at FTP users created during the virtual hosting setup procedure. The following are some /etc/passwd lines defining FTP user parameters.","# grep ftp /etc/passwd","ftp:x:14:50:FTP User:/var/ftp:/sbin/nologin","psaftp:x:2524:2522:anonftp psa user:/:/bin/false","ftpuser:x:10006:10001::/var/www/vhosts/domain.tst:/bin/false","ftpuser55:x:10010:10001::/var/www/vhosts/domainXX.tst:/bin/false","The first two lines are default FTP users. The psaftp is the user on behalf of whom the FTP service is started when the Plesk server receives an anonymous FTP request. ","The last two lines define typical FTP users. The group ID 10001 refers to the psacln group that contains FTP users. The psacln is added to the /etc/ftpchroot file. For every FTP user logged into the Plesk, a &#8220;chroot&#8221; procedure is executed, which ensures the user cannot see files owned by other users.","Plesk stores all FTP user accounts in a single database; therefore, FTP users cannot have the same names even if they are created for different virtual hosts. Besides, since the FTP service cannot be name based, only one virtual host on each IP address can provide anonymous FTP access.","FTP Configuration","The FTP server configuration parameters are stored in the /etc/proftpd.conf file. Here are some of the parameters. A sample of the proftpd.conf file is displayed below:","DefaultServer           on","&lt;Global&gt;","DefaultRoot ~       psacln","AllowOverwrite      on","&lt;/Global&gt;","DefaultTransferMode binary","UseFtpUsers         on","TimesGMT            off","SetEnv TZ :/etc/localtime","# Port 21 is the standard FTP port.","Port                21","# Umask 022 is a good standard umask to prevent new dirs and files","# from being group and world writable.","Umask               022","# To prevent DoS attacks, set the maximum number of child processes","# to 30.  If you need to allow more than 30 concurrent connections","# at once, simply increase this value.  Note that this ONLY works","# in standalone mode, in inetd mode you should use an inetd server","# that allows you to limit maximum number of processes per service","# (such as xinetd)","MaxInstances            30","#Following part of this config file were generate by PSA automatically","#Any changes in this part will be overwritten by next manipulation","#with Anonymous FTP feature in PSA control panel.","#Include directive should point to place where FTP Virtual Hosts configurations","#preserved","ScoreboardFile /var/run/proftpd/scoreboard","# Primary log file mest be outside of system logrotate province","TransferLog /usr/local/psa/var/log/xferlog","#Change default group for new files and directories in vhosts dir to psacln","&lt;Directory /var/www/vhosts&gt;","    GroupOwner  psacln","&lt;/Directory&gt;","# Enable PAM authentication","AuthPAM on","AuthPAMConfig proftpd","IdentLookups off","UseReverseDNS off","AuthGroupFile   /etc/group","Include /etc/proftpd.include","Each virtual host FTP configuration is stored in the /etc/proftpd.include file. The configurations consist of two sections:","The general section configures FTP for authorized users. It configures the following:","Virtual server name to IP address binding.","Log file path.","Write permission.","Login access allowed only to the psacln group.","Below is a sample of the general section:","&lt;VirtualHost 192.168.37.101&gt;","ServerName &quot;ftp.swtrn.com&quot;","TransferLog /usr/local/psa/var/log/xferlog","AllowOverwrite on","&lt;Limit LOGIN&gt;","        Order allow, deny","        AllowGroup psacln","        Deny from all","&lt;/Limit&gt;","The Anonymous section configures FTP for anonymous users. It configures:","An alias for the psaftp user account.","anon_ftp as the home directory that is inside the domain directory opened for the authorized domain user.","A log file for anonymous FTP access.","User and group for anonymous FTP access.","Login access and read-only rights for everyone","Below is a sample of this section:","UserAlias anonymous psaftp","&lt;Anonymous /var/www/vhosts/domain.tst/anon_ftp&gt;","        TransferLog /var/www/vhosts/domain.tst/statistics/logs/xferlog","        PathDenyFilter &quot;^\\.quota$&quot;","        RequireValidShell off","        TransferRate RETR 0.000","        User psaftp","        Group psaftp","        &lt;Limit LOGIN&gt;","                AllowAll","        &lt;/Limit&gt;","        &lt;Limit WRITE&gt;","                DenyAll","        &lt;/Limit&gt;","        &lt;Directory incoming&gt;","                UserOwner ftpuser","                Umask 022 002","                &lt;Limit STOR&gt;","                        DenyAll","                &lt;/Limit&gt;","                &lt;Limit WRITE&gt;","                        DenyAll","                &lt;/Limit&gt;","                &lt;Limit READ&gt;","                        DenyAll","                &lt;/Limit&gt;","                &lt;Limit MKD XMKD&gt;","                        DenyAll","                &lt;/Limit&gt;","        &lt;/Directory&gt;","&lt;/Anonymous&gt;","For more information on the ProFTPD configuration, please refer to the www.proftpd.org.","FTP Logs and Statistics","For each domain, the ProFTPD service writes statistics for both anonymous and authorized access to log files located in the /var/www/vhosts/&lt;domain_name&gt;/statistics/logs/ directory. Once a day, Plesk processes the logs with the statistics utility and separates the statistical data into two parts:","Anonymous access information stored in the statistics/anon_ftpstat subdirectory of the virtual host directory.","Authorized access information stored in the statistics/ftpstat/subdirectory.","In addition, the statistics utility writes the statistical data to the psa database and calls the log rotation utility logrotate. For more information on statistics processing and log rotation, refer to the chapter Statistics and Logs.","Switching On Implicit FTPS","By default Plesk FTP server supports explicit FTPS only. To turn on implicit FTPS, follow these instructions:","Run the following commands in the shell:","touch /etc/xinetd.d/ftps_psa","chmod 0644 /etc/xinetd.d/ftps_psa","Paste the following into the /etc/xinetd.d/ftps_psa file:","service ftps","{","   flags       = IPv6","        disable         = no","        socket_type     = stream","        protocol        = tcp","        wait            = no","        user            = root","        instances       = UNLIMITED","        server          = /usr/sbin/in.proftpd","        server_args     = -c /etc/proftpd.conf","}","Edit the /etc/proftpd.conf file to insert the following section after the &lt;/Global&gt; closing tag:","&lt;IfModule mod_tls.c&gt;","&lt;VirtualHost 0.0.0.0&gt;","    Port                                    990","    TLSEngine                               on","    TLSOptions                              UseImplicitSSL","&lt;/VirtualHost&gt;","&lt;/IfModule&gt;","DefaultTransferMode     binary","UseFtpUsers                     on","DefaultTransferMode     binary","UseFtpUsers                     on","Run the service xinetd restart command.","FTP","68761.htm");
Page[18]=new Array("To provide a mail service, Plesk supports two mail transfer agents: Postfix and qmail. ","Plesk uses only one mail transfer agent at a time. You can check which of them is currently enabled on the following page: Server Administration Panel &gt; Tools &amp; Settings &gt; Services Management. You can also do this by running the mailmng utility located in the $PRODUCT_ROOT_D/admin/sbin/directory, where the $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems:","./mailmng --features | grep SMTP_Server","By default, Plesk for Linux uses the Postfix for sending and receiving mail through the SMTP and SMTPS protocols. You can switch to qmail by running the following command:","# /usr/local/psa/admin/sbin/autoinstaller --select-release-current --install-component qmail","To switch to Postfix run the following command:","# /usr/local/psa/admin/sbin/autoinstaller --select-release-current --install-component postfix","Both Postfix and qmail use the same root directory to store incoming mail. This directory is defined by the variable $PLESK_MAILNAMES_D in the /etc/psa/psa.conf configuration file. By default, it is /var/qmail/mailnames. Storing incoming mail in the same directory allows the messages remain available after switching between mail agents.","Unlike incoming mail, the mail queue is lost while switching between the mail agents. Therefore, before switching, we recommend you stop the SMTP service to prevent the acceptance of email and the delivery of all queued mail. To stop the SMTP service, run the following command:","# /usr/local/psa/admin/sbin/mailmng --stop-smtpd","To flush the queue, run the command: ","for qmail: # kill -ALRM `pidof qmail-send`","for Postfix: # postqueue -f","Mail Service","68762.htm");
Page[19]=new Array("Sometimes, the Plesk's mail server configuration can become corrupt, for example, after Plesk upgrade, and it is necessary to restore it. The restoration is carried out by the internal mchk utility, which is intended for usage by Plesk. However, as the administrator, you can use it for repairing the mail server configuration.","By default, mchk runs in the background mode. To execute it in the foreground, use the -v option. For example:","/usr/local/psa/admin/sbin/mchk -v","Note: You may not wish to restore SpamAssassin settings for mail accounts, because it requires Perl interpreter to be run. To speed up the restore process, use the --without-spam option.","Restoring Mail Configuration","60161.htm");
Page[20]=new Array("To securely exchange mail data with Plesk server, you may need to install custom SSL certificates on the Plesk server. Specifically, SSL certificates can be installed for the Qmail mail transfer agent and the Courier-IMAP mail server that supports the IMAP and POP3 protocols.","To install custom SSL certificates, you need to download the certificates to the Plesk server and then replace the installed default SSL certificates for Qmail and Courier-IMAP servers with the downloaded custom certificates.","This section describes procedures for installing custom SSL certificates for Qmail and Courier-IMAP servers.","Installing Custom SSL Certificates for Qmail or Courier-IMAP Mail Servers","60162.htm");
Page[21]=new Array("To install a custom SSL certificate for Qmail on a Plesk server:","Create a combined .pem certificate file.","To create a combined .pem certificate file, start your favorite text editor and paste the contents of each certificate file and the private key in the file in the following order:","The private key","The primary certificate","The intermediate certificate","The root certificate","Make sure that you include the begin and end tags of the key and each certificate including the dash lines. The resulting text should look like this:"," ","-----BEGIN RSA PRIVATE KEY-----","..........","(Your Private Key here)","..........","-----END RSA PRIVATE KEY-----","-----BEGIN CERTIFICATE-----","..........","(Your Primary SSL certificate here)","..........","-----END CERTIFICATE-----","-----BEGIN CERTIFICATE-----","..........","(Your Intermediate certificate here)","..........","-----END CERTIFICATE-----","-----BEGIN CERTIFICATE-----","..........","(Your Root certificate here)","..........","-----END CERTIFICATE-----"," ","Save the combined certificate file&nbsp;as plesk.pem.","Log in to a Plesk server through SSH as a root user.","Download the combined certificate file plesk.pem.","Make a backup copy of the existing default SSL certificate for Qmail.","For example for RedHat or Fedora operating systems, the SSL certificate file that you need to back up is var/qmail/control/servercert.pem.","Note: For other operating systems, the default certificate file location may be different.","Open the default certificate file /var/qmail/control/servercert.pem using your favorite text editor, and replace the contents of the file with the contents of the combined certificate file plesk.pem.","Save and close the file.","To finish the certificate installation, restart Qmail.","Installing an SSL Certificate for Qmail","60163.htm");
Page[22]=new Array("To install a custom SSL certificate for the Courier-IMAP (IMAP/POP3) mail server on a Plesk server:","Log in to a Plesk server through SSH as a root user.","Download one or more SSL certificate files that you want to install.","Note: IMAP and POP3 each require separate certificate files, but both files can contain the same certificate.","Make a backup copy of the existing default SSL certificate for the Courier-IMAP mail server. ","For example for RedHat or Fedora operating systems, you need to back up the following default SSL certificate files:","/usr/share/imapd.pem - the certificate enables secure data transfers through the IMAP protocol.","/usr/share/pop3d.pem - the certificate enables secure data transfers through the POP3 protocol.","Note: For other operating systems, the default certificate file locations may be different.","Open a default certificate file using your favorite text editor and replace the contents of the file, with the content of the SSL certificate file that you want to install.","For example, the content to be copied from a custom SSL certificate and pasted in lieu of a default certificate file body should look like this:"," ","-----BEGIN CERTIFICATE-----","MIIB8TCCAZsCBEUpHKkwDQYJKoZIhvcNAQEEBQAwgYExCzAJBgNVBAYTAlJPMQww","............","............","eNpAIeF34UctLcHkZJGIK6b9Gktm","-----END CERTIFICATE-----"," ","-----BEGIN RSA PRIVATE KEY-----","MIICXgIBAAKBgQDv6i/mxtS2B2PjShArtOAmdRoEcCWa/LH1GcrbW14zdbmIqrxb","..........","..........","faXRHcG37TkvglUZ3wgy6eKuyrDi5gkwV8WAuaoNct5j5w==","-----END RSA PRIVATE KEY-----"," ","Save and close the file.","To finish the certificate installation, restart Courier-IMAP.","Installing SSL Certificates for the Courier-IMAP Mail Server","60164.htm");
Page[23]=new Array("In Plesk versions earlier than 11.5, the outgoing mail of all customers was sent from a single IP address (defined by the mail server configuration). Thus, if one of the customers became blacklisted for sending spam, other customers were automatically blacklisted too since they used the same IP address. Also, if a customer had several IP addresses, and the address for outgoing mail did not match the address of the domain, the customer run a risk to be blacklisted as well.","In Plesk 11.5, the problem of domain and mail addresses is resolved, and Postfix mail server uses customers' IP addresses for sending mail if possible. This targets all outgoing mail of the Plesk mail server sent by PHP mail(), sendmail, an SMTP script or client. However, if the following conditions are true, your system can send mail from different IP addresses:","You have Postfix 2.7","Plesk is configured to support IPv6 ","A subscription has only a single IPv4 or IPv6","The outgoing mail for such subscriptions can be sent from either the customer's IP address or an IP address of one type (IPv6 for IPv4 and vice versa) specified in the mail server configuration.","Another part of this feature is the sender's address validation: The system validates the MAIL FROM header for authenticated users and corrects the header if needed. However, if the mail is sent without authentication, for example, from 127.0.0.1, through the local sendmail, or a sender is in the white list, the system trusts the MAIL FROM header.","Note: Starting from Plesk 12.5, you can specify the settings for outgoing mail mode in the Plesk GUI (if Postfix is used as a mail server). ","And in case you need to send all mail from one specific IP address, you can specify one IPv4 or one IPv6 address from which all mail will be sent. All corresponding settings are available in the Plesk GUI in Plesk for Linux with Postfix as a mail server. For details, see the Plesk Administrator's Guide, Configuring Server-Wide Mail Settings.","Requirements","This feature is supported on all operating systems that have Postfix 2.7 or later. They are as follows:","Operating system","Postfix version","CentOS 5","Postfix 2.8.4 packaged by Odin","CentOS 6","Postfix 2.8.4 packaged by Odin","RedHat Enterprise Linux 5","Postfix 2.8.4 packaged by Odin","RedHat Enterprise Linux 6","Postfix 2.8.4 packaged by Odin","CloudLinux 5","Postfix 2.8.4 packaged by Odin","CloudLinux 6","Postfix 2.8.4 packaged by Odin","Ubuntu 10.04","Postfix 2.7","Debian 6 ","Postfix 2.7","&nbsp;&nbsp;","Outgoing Mail from Exclusive IP Addresses","70212.htm");
Page[24]=new Array("Mailman is a GNU Mailing List Management System that provides a web-based mail list administration interface. It can work with almost all known mail transfer agents.","Mailman Directory Structure","Root directory:","/usr/lib/mailman","Executable Python scripts:","/usr/lib/mailman/bin/mailmanctl","/usr/lib/mailman/bin/qrunner","Startup script:","/etc/init.d/mailman with status|stop|start|restart options.","Note that /etc/init.d may be /etc/rc.d/init.d on some systems.","Configuration:","usr/lib/mailman/Mailman/Defaults.py","usr/lib/mailman/Mailman/mm_cfg.py is changed by Plesk when working with mail lists.","Mail lists:","/var/lib/mailman/lists/","Documentation:","/usr/share/doc/mailman-2.1.x/","Mailing Lists Management System","68763.htm");
Page[25]=new Array("By default, when you create a mailing list, everyone may send correspondence to this list. If you need to configure a mailing list that only members are allowed to send mail to, you can do this through the WEB Mailman interface. ","To configure a mailing list that only members are allowed to post to:","Log in to the WEB Mailman interface as the list administrator.","Enable the Restrict posting privilege to list members option.","Note: By default a mailing list is created with the Posts must be approved by an administrator option enabled. That means all messages must be approved by the moderator before they are posted to the list. Therefore, if this option is disabled and unwanted mail is posted to the list, you can re-enable it and moderate incoming messages.","For more information, please see Mailman documentation at:  http://www.gnu.org/software/mailman/docs.html.","Configuring a Mailing List to Which only Members Are Allowed to Post","61630.htm");
Page[26]=new Array("If you need to import a number of email addresses into a mailing list, adding them individually can take a long time. To automate this task you can use Plesk command-line utilities. To add several email addresses to the mailing list, run the following command:","# /usr/local/psa/bin/maillist.sh --update &lt;mailing list&gt; -members add:&lt;e&#8209;mail&nbsp;1&gt;[,&lt;e&#8209;mail&nbsp;2&gt;,...,&lt;e&#8209;mail&nbsp;N&gt;]","Importing a List of Email Addresses into a Mailing List","61644.htm");
Page[27]=new Array("In addition to databases that store websites data, Plesk has its own database for storing information about customer and resellers accounts, their subscriptions, and so on. This database is called psa and located on the local MySQL server. The local MySQL server is installed together with Plesk and is required for Plesk functioning. However, since version 11.5, you can replace the local MySQL server with an alternative database server, for example, MariaDB (https://mariadb.org) or Percona Server (http://www.percona.com/software/percona-server)","Below in this section we will explain how to replace MySQL with MariaDB. For other MySQL replacements, instructions are basically the same.","Database Server","72943.htm");
Page[28]=new Array("Below we will provide instructions on replacing MySQL server with MariaDB server. For Percona Server, the steps are the same, the only differences are in configuring repositories and package names.","To replace your MySQL server with MariaDB:","Back up databases located on your MySQL server. Use one of the following commands:","To back up all databases:","# mysqldump -uadmin -p`&lt; /etc/psa/.psa.shadow ` --all-databases | gzip &gt; /root/mysql.all.dump.sql.gz","To back up only data required by Plesk:","# mysqldump -uadmin -p`&lt; /etc/psa/.psa.shadow ` --databases mysql psa apsc | gzip &gt; /root/mysql.mysql-psa-apsc.dump.sql.gz","Configure the MariaDB repository on your server. To generate the repository configuration for your operating system, use the wizard available at https://downloads.mariadb.org/mariadb/repositories/.  When selecting the MySQL version, choose the version not less than your current MySQL version. Additionally, the version must not be higher than 5.5.","Note: Once you install MariaDB, do not disable this repository on your server. Plesk requires it for updates.","Stop the Watchdog Plesk extension if it is installed on your server and stop other monitoring services that can start the mysql service once you stop it manually.","Install MariaDB using one of the instructions provided below.","Switch on Watchdog and start other services you stopped in step 3.","Notify Plesk about the changes in the MySQL component:","plesk sbin packagemng --set-dirty-flag","(Optional) If you experience MySQL errors after updating, restore the backup you created in step 1:","zcat /root/mysql.all.dump.sql.gz | mysql -uadmin -p`&lt; /etc/psa/.psa.shadow `","To install MariaDB on CentOS or RedHat:","Stop the mysql service:","service mysqld stop","Remove the MySQL server from your server:","rpm -e --nodeps `rpm -q --whatprovides mysql-server`","Remove any leftovers of MySQL and install MariaDB:","Note: This will not remove any Plesk packages except plesk-mysql.","yum shell","&gt; remove mysql mysql-server plesk-mysql","&gt; install MariaDB-server MariaDB-client MariaDB-compat MariaDB-shared","&gt; run","(Optional) Repalce your MySQL configuration file /etc/my.cnf with the the MariaDB server's default one. This step is required if you are not sure that MariaDB can work with your configuration file. Usually, MariaDB is compatible with MySQL configuration files.","[ -f /etc/my.cnf.rpmnew ] &amp;&amp; mv /etc/my.cnf.rpmnew /etc/my.cnf","Start the MariaDB server:","service mysql start","Update the tables structure:","mysql_upgrade -uadmin -p`&lt; /etc/psa/.psa.shadow `","If you experience MySQL errors after updating, restore the backup you created in step 1:","zcat /root/mysql.all.dump.sql.gz | mysql -uadmin -p`&lt; /etc/psa/.psa.shadow `","To install MariaDB on Debian or Ubuntu:"," Synchronize package index files from new sources:","apt-get update","Depending on your OS and the selected MariaDB version, run one of the following commands:","On Debian 7 or Ubuntu 12.04 (in this case, the only available MariaDB version is 5.5):","env DEBIAN_FRONTEND=noninteractive apt-get -o OrderList::Score::Immediate=1000 install mariadb-server mysql-common libmariadbclient18","On Debian 6 or Ubuntu 10.04 and configured repositories for MariaDB 5.5:","env DEBIAN_FRONTEND=noninteractive apt-get -o OrderList::Score::Immediate=1000 install mariadb-server mysql-common","On Debian 6 or Ubuntu 10.04 and configured repositories for MariaDB 5.2 or 5.3:","env DEBIAN_FRONTEND=noninteractive apt-get -o OrderList::Score::Immediate=1000 install mariadb-server mysql-common libmariadbclient16","Note: If during the installation the system asks you to provide the MariaDB password, leave it empty. Otherwise, Plesk will be unable to access the MariaDB server and installation will fail.","To perform a clean installation of Plesk with MariaDB:","Configure the MariaDB repository as described above.","Install MariaDB using instructions provided above.","If MySQL is not installed on the server, it is enough to run the following command:","On CentOS or Redhat: ","yum install MariaDB-server MariaDB-client MariaDB-compat","On Debian or Ubuntu:","apt-get install mariadb-server","Install Plesk 11.5 or later as described in the Deployment Guide. Make sure that the MySQL server support component is selected.","Using MariaDB or Percona as the Default Database Server","72943.htm#o72944");
Page[29]=new Array("Multiple Web Apps in a Single Directory","Since Plesk 10.4, when a site employs a number of various web apps, a site administrator may apply the following site structure:","Install a number of apps to the same directory. More specifically, install one app into a subdirectory of another.","Use the same document root for a subdomain and a web app.","For example, you can install an online store app to the httpdocs directory of your domain (for example, example.com), create a subdomain (for example, support.example.com) in the httpdocs/support, and install a help desk system there.","All earlier Plesk versions (before 10.4) prohibited such scenarios as sometimes (in very rare cases), the installation of two web apps into one directory could lead to the improper functioning of one of them. If you want to return this restriction back, add the following lines into /usr/local/psa/admin/conf/panel.ini:","[aps]","unsafePaths=false","Hiding Commercial Apps","You can hide commercial web applications by default, so that your customers are able to install only free applications. To do this, add the following lines into panel.ini:","[aps]","commercialAppsEnabled = false","Website Applications","70054.htm");
Page[30]=new Array("SpamAssassin is a rule-based mail filter that identifies spam. It uses a wide range of heuristic tests on mail headers and body text to identify spam. ","SpamAssassin filtering is configured on two levels:","Server-level configuration is done by Plesk administrator.","Mail directory-level configuration is done by users for specific mail directories.","At the server level, you (as a Plesk administrator) can enable or disable any of these two types of filters. Thus, there are four possible situations:","No filtering is applied, when spamd daemon is not running:","both filters are disabled by the Plesk administrator.","the personal filter is disabled at the mail directory level.","Filtering is applied at the server level only.","Filtering is applied at the mail box level only.","Filtering is applied at both levels.","When both filters are enabled for a specific mail name, a combined filter is created for the corresponding mail directory. When processing messages, SpamAssassin calculates the number of hits according to its internal rules. A message is considered to be spam if the number of hits exceeds the established threshold, which is set to 7 by default. You can change the threshold in Plesk. White and Black lists can be considered special rules, which assign constant hit rates to messages conforming to mail address patterns in these lists:","If the message source address conforms to the Black list, the message gets +100 hits by default.","If the message source address conforms to the White list, the message gets -100 hits by default.","Sometimes, a message matches both Black and White lists. In that case, it has +100-100=0 hits.","If the message destination address is included in the server-wide ignore list, then all messages to this address will go directly to the addressed mail directory. ","At the server level, you can configure SpamAssassin to mark messages with a special string if they are recognized as containing spam. At the mailbox level, you can make SpamAssassin delete or mark the message if it is considered as spam.","Starting from Plesk 9.x, the maximum message size to filter is hardcoded in the spam handler and set to 256KB. This value provides normal server loading. Since the SpamAssassin service consists of perl modules, they may result in a heavy server load when processing long messages.","You can get more information on SpamAssassin at spamassassin.apache.org","Spam Protection","68764.htm");
Page[31]=new Array("The SpamAssassin configuration is stored in the spamfilter and spamfilter_preferences tables of the psa database. You can manage it with the $PRODUCT_ROOT_D/admin/bin/spammng utility. It displays help if started without any options.","Server-wide SpamAssassin settings are stored in the following files:","The /usr/share/spamassasin/*.cf files contain configuration details, e.g. White list and Black list scores are assigned in the 50_scores.cf configuration file.","The /etc/mail/spamassassin/local.cf stores server-wide filter settings.","When Plesk works with virtual mail users (not real system users with UIDs) spamd is executed with keys showing where to find the configuration files of virtual users:","-x --virtual-config-dir={QMAIL_MAILNAMES_D}/%d/%l","User settings are stored in the following files:","/var/qmail/mailnames/&lt;domain&gt;/&lt;mailname&gt;/.spamassassin/user_prefs file defines SpamAssassin actions.","/var/qmail/mailnames/&lt;domain&gt;/&lt;mailname&gt;/.qmail defines how message flow reaches SpamAssassin daemons.","If the message destination address is included in the server-wide ignore list then all messages to this address will go directly to the addressed mail directory. For example, if you include admin@domain01.tst in this list, then the .qmail file will look like this:","# cat /var/qmail/mailnames/domainXX.tst/mailuser/.qmail","| /usr/local/psa/bin/psa-spamc accept","| true","| /usr/bin/deliverquota ./Maildir","If SpamAssassin filtering is allowed then the following command allows the mail to go through the spam filter first and then to the mailbox added to this file: ","|&nbsp;spamc -f -u admin@domainXX.tst|maildir&nbsp;./Maildir/","You can find examples of spam-like and no-spam messages in:","/usr/share/doc/spamassassin-3.2.x/sample-nonspam.txt","/usr/share/doc/spamassassin-3.2.x/sample-spam.txt","Configuring SpamAssassin","68764.htm#o68879");
Page[32]=new Array("You can manually train SpamAssassin to work with all mail accounts on the server from the command line.","To train SpamAssassin to work with all mail names on the server:","Store spam and ham (non-spam) messages in two different folders, for example spam_mails and ham_mails.","Train SpamAssassin to work with one mailbox using the messages from these folders:","# cd /path/to/spam_mail/","# for message in * ; do /usr/local/psa/admin/sbin/spammng --bayes --mailname=mailname@domain.com --spam=$message ; done","# cd /path/to/ham_mail/","# for message in * ; do /usr/local/psa/admin/sbin/spammng --bayes --mailname=mailname@domain.com --ham=$message ; done","Repeat this command for every mailbox on the server or just copy bayes bases (./domain.com/mailname/.spamassassin/bayes_*) from this mailbox to other mailboxes with the following command:","# find /var/qmail/mailnames/  -mindepth 2 -maxdepth 2 -type d -exec /bin/cp -f /var/qmail/mailnames/domain.com/mailname/.spamassassin/bayes_* {}/.spamassassin/ \\;","where domain.com and mailname should be replaced with the real domain name and mail name.","Training SpamAssassin to Work with All Mail Accounts on the Server","61738.htm");
Page[33]=new Array("When unsolicited emails, or spam, are simultaneously sent indiscriminately to multiple mail boxes on your server, there may be too many messages in the queue. Then the server can become overloaded with spam and mail is delivered slowly.","To get rid of spam on your Qmail mail server:","Make sure that all domains have the option What to do with mail sent to non-existent users set to Reject. ","To change the value of this option for a domain, open it in the Control Panel, go to the Mail tab and click Change Settings. ","Make sure that there are no untrusted IP addresses or networks in the white list.","To do this, go to Home &gt; Mail Server Settings &gt; White List tab. To remove untrusted IP addresses or networks, select them in the list and click Remove Selected.","Check how many messages there are in the Qmail queue with:","# /var/qmail/bin/qmail-qstat","messages in queue: 27645","messages in queue but not yet preprocessed: 82","If there are too many messages in the queue, try to find out where the spam is coming from. If the mail is being sent by an authorized user, but not from a PHP script, you can find out which user sent most of the messages with the following command:","# cat /usr/local/psa/var/log/maillog |grep -I smtp_auth |grep -I user |awk '{print $11}' |sort |uniq -c |sort -n","Note that the SMTP authorization option should be enabled on the server to see these records. The path to maillog may be different depending on the OS you use.","Use the qmail-qread utility to read the messages headers:","# /var/qmail/bin/qmail-qread","18 Jul 2005 15:03:07 GMT #2996948 9073 &lt;user@domain.com&gt; bouncing","done remote user1@domain1.com","done remote user2@domain2.com","done remote user3@domain3.com","....","The qmail-qread utility shows message senders and recipients. If a message has too many recipients, then it is probably spam. ","Try to find the message in the queue by it's ID (for example, the message ID is #1234567):","# find /var/qmail/queue/mess/ -name 1234567","Look at the message and find the last Received line. This shows where the message was initially sent from.","If you find something like:","Received: (qmail 19514 invoked by uid 12345); 10 Sep 2008 17:48:22 +0700","it means that this message was sent via a CGI script by user with UID 12345. Use this UID to find a corresponding domain:","# grep 12345 /etc/passwd","Received lines like:","Received: (qmail 19622 invoked from network); 10 Sep 2008 17:52:36 +0700","Received: from external_domain.com (192.168.0.1)","means that the message was accepted for delivery via SMTP and the sender is an authorized mail user.","If the Received line contains an UID of an apache user (for example invoked by uid 48), it means that the spam was sent via a PHP script. In this case you can try to find the spammer using information from the spam emails (from/to addresses, subjects, etc). But it is usually hard to find the spam source in this case. If you are sure that a script is sending spam at the current moment (for example, because the queue is growing very fast), you can use this little script to find out what PHP scripts are running in real-time:","# lsof +r 1 -p `ps axww | grep httpd | grep -v grep | awk ' { if(!str) { str=$1 } else { str=str&quot;,&quot;$1}}END{print str}'` | grep vhosts | grep php","To try to find out from what folder the PHP script that is sending mail was run, create /var/qmail/bin/sendmail-wrapper script with the following content:","#!/bin/sh","(echo X-Additional-Header: $PWD ;cat) | tee -a /var/tmp/mail.send|/var/qmail/bin/sendmail-qmail &quot;$@&quot;","Note, the paths can slightly differ depending on your OS and Plesk version. ","Create a log file /var/tmp/mail.send and grant it a+rw rights, make the wrapper executable, rename old sendmail and link it to the new wrapper:","# touch /var/tmp/mail.send","# chmod a+rw /var/tmp/mail.send","# chmod a+x /var/qmail/bin/sendmail-wrapper","# mv /var/qmail/bin/sendmail /var/qmail/bin/sendmail-qmail","# ln -s /var/qmail/bin/sendmail-wrapper /var/qmail/bin/sendmail","Wait for about an hour and revert sendmail back:","# rm -f /var/qmail/bin/sendmail","# ln -s /var/qmail/bin/sendmail-qmail /var/qmail/bin/sendmail","Examine the /var/tmp/mail.send file. There should be lines starting with X-Additional-Header pointing to domain folders where the script that sends the mail is located.","You can see all the folders from which mail PHP scripts were run by using the following command:","# grep X-Additional /var/tmp/mail.send | grep `cat /etc/psa/psa.conf | grep HTTPD_VHOSTS_D | sed -e 's/HTTPD_VHOSTS_D//' `"," If you see no output from the command above, it means that no mail was sent using the PHP mail() function from the Plesk virtual hosts directory.","Fighting Spam on a Qmail Mail Server","61674.htm");
Page[34]=new Array("Plesk for Linux supports the following antivirus software:","Odin Premium Antivirus based on Dr.Web.","Kaspersky Antivirus.","Both these solutions provide you with real-time mail traffic scanning and malware protection for customers. In this section you will find detailed information on these antivirus solutions.","Antivirus Support","68765.htm");
Page[35]=new Array("Odin Premium Antivirus is shipped with Plesk in the form of RPM packages.","Directory Structure","Root directory:","/opt/drweb/","Configuration files:","/etc/drweb/ is a directory with various configuration files.","/etc/drweb/drweb32.ini is the default configuration file for drwebd engine.","/etc/drweb/drweb_qmail.conf is the configuration file for the qmail-queue filter.","/etc/drweb/users.conf stores the configuration for every mail name for which antivirus is enabled.","Virus databases:","/var/drweb/bases/*vdb","Quarantine directory:","/var/drweb/infected/","Log file:","/var/drweb/log/drwebd.log","Managing the Antivirus","The Dr.Web service is a standalone drwebd daemon (also called engine), which is started from the /etc/init.d/drwebd script. You can also stop and start it again with the following command:","# /etc/init.d/psa stopall","# /etc/init.d/psa start","Note: these commands stop and start other Plesk services: DNS server, mail server, and so on","You can also manage it within the Services Management page in the Server Administration Panel.","The interaction with drwebd is established through the Dr.Web client. It can change antivirus parameters and start checking files. The client displays a full list of its attributes if run without attributes. Also, it can extract detailed operational information from the engine. The following command gives information about the Dr.Web version and virus database.","# /opt/drweb/drwebdc -sv -sb","By default, the virus databases are updated every 30 minutes by means of the cron task: /opt/drweb/update/update.pl &gt;dev/null 2&gt;&amp;1","Filtering Mail","Dr.Web substitutes the native qmail-queue filter used for transferring incoming messages to the qmail queue with its own utility. The utility's configuration settings are stored in the /etc/drweb/drweb_handler.conf file.","Dr.Web filtering is activated on the mail name level. If enabled it can check incoming, outgoing or both kinds of messages. The information is stored in the /etc/drweb/users.conf file. The following is an example of three mail names with different Dr.Web configurations:","# grep domain01 /etc/drweb/users.conf","allow   any     regex   ^admin@domain01.tst$","allow   to      regex   ^user01@domain.tst$","allow   from    regex   ^user02@domain.tst$","In the above configuration, Dr.Web will check viruses in:","Incoming and outgoing messages for admin@domain01.tst","Incoming messages for user01@domain01.tst","Outgoing messages for user02@domain01.tst","Odin Premium Antivirus","68765.htm#o68881");
Page[36]=new Array("Kaspersky Antivirus is a module that scans incoming and outgoing mail traffic on your server, and removes malicious and potentially dangerous code from email messages. In order to use Kaspersky Antivirus with your Plesk server, you need to install the Kaspersky Antivirus module, then purchase and install a license key.","Kaspersky Antivirus is distributed as an RPM package.","Kaspersky Antivirus Structure","Kaspersky Antivirus resides in the following directories in Plesk.","/opt/kav/5.5/kav4mailservers - the main directory.","/etc/kav/5.5/kav4mailservers/kav4mailservers.conf - a configuration file that contains parameters as key=value pairs grouped by sections. They define the operation of all Kaspersky Antivirus components. All configuration file parameters are grouped into sections, each of them corresponding to a particular component of the product. ","/var/db/kav/5.5/kav4mailservers/bases - a path to the anti-virus database directory.","/var/db/kav/5.5/kav4mailservers/licenses - a path to the license keys directory.","Incoming and outgoing mail messages are processed like this:","The stream of mail messages comes in from other servers or mail clients via the SMTP protocol.","The mail system receives the mail traffic and passes it to Kaspersky Antivirus for scanning.","The application processes the mail traffic according to the specified settings, and returns it to the mail system along with an additional set of notifications.","The mail system routes the mail traffic to its destination.","Kaspersky Antivirus","68765.htm#o68882");
Page[37]=new Array("This chapter discusses tasks that administrators may need to perform on an existing Plesk installation. In particular, the chapter provides overviews on how to manage Plesk through the command line and execute scripts or binaries on certain Plesk events. In addition, you will learn how to adjust Plesk settings to fit a new network environment or server configuration, and restart Plesk to apply new settings.","System Maintenance","68619.htm");
Page[38]=new Array("Plesk Command Line Interface (CLI) is designed for integrating Plesk with third-party applications. Plesk administrators can also use it to create, manage, and delete customer and domain accounts, and other Plesk objects from the command line. CLI utilities require administrative permissions on Plesk server to run.","The utilities reside in the following directories:","On RPM-based systems: /usr/local/psa/bin ","On DEB-based systems: /opt/psa/bin ","Upon successful execution, utilities return the 0 code. If an error occurs, utilities return code 1 and display the error details.","To learn more about Plesk command line utilities, refer to Command Line Reference.","Managing Plesk Objects Through the Command Line","68621.htm");
Page[39]=new Array("Plesk provides a mechanism that allows administrators to track specific Plesk events and make Plesk execute custom scripts when these events occur. The events include operations that Plesk users perform on accounts, subscriptions, websites, service plans, and various Plesk settings.  For example, you can save each added IP address to a log file or perform other routine operations. ","To learn how to track Plesk events and set up execution of commands or custom scripts, refer to Plesk Administrator's Guide, chapter Event Tracking.","Executing Custom Scripts on Plesk Events","68611.htm");
Page[40]=new Array("During the lifetime of a Plesk server, you may need to change the IP addresses employed by Plesk. Two typical cases when IP addresses may need to be changed are the following:","Reorganization of the server IP pool. For example, substitution of one IP address with another.","Relocation of Plesk to another server. Changing all addresses used by Plesk (including the one on which Plesk resides) to those on the new server. ","Every time the change happens, you should reconfigure all related system services. To help you do this promptly, we offer the reconfigurator command line utility located in the following directory:","on RPM-based systems:/usr/local/psa/bin.","on DEB-based  systems:/opt/psa/bin.","The reconfigurator replaces IP addresses and modifies Plesk and services configuration to make the system work properly after the replacement. To do this, the utility requires a mapping file, that includes instructions on what changes to make. Each line of the file should describe a single change. For example, the following line instructs Plesk to change the IP address 192.168.50.60 to 192.168.50.61:","eth0:192.168.50.60 255.255.255.0 -&gt; eth0:192.168.50.61 255.255.255.0","The utility also helps you with creation of the mapping file. If you call the utility with a new file name as an option, it will create the file and write all available IP addresses to it. The IP addresses in the file are mapped to themselves. If you want to perform a change, modify the change instruction for a certain IP address.","When editing the mapping file, consider the following: ","A replacement IP address must not exist in the Plesk IP pool before changing; however, it may be in the server IP pool. To make sure the IP is not in the Plesk IP pool, go to Server Administration Panel &gt; Tools &amp; Settings &gt; IP Addresses and remove the IP if necessary.","If a replacement IP address does not exist in the server IP pool, the utility adds it to both Plesk and server IP pools.","To change IP addresses used by Plesk:","Generate a mapping file with current Plesk IP addresses by running the command:","./reconfigurator &lt;ip_map_file_name&gt;","Edit the file as described above and save it.","Reconfigure Plesk and its services by running the following command one more time:","./reconfigurator &lt;ip_map_file_name&gt;","Changing IP Addresses","68622.htm");
Page[41]=new Array("Plesk uses various external components, for example, Apache web server, mail service, antivirus, and so on. When interacting with these components, Plesk gets the information on their locations from the configuration file /etc/psa/psa.conf. ","Plesk configuration file provides an easy way of reconfiguring Plesk if a service is installed into another directory or migrated from the current partition to another. Note that you can only modify paths present in this file; other paths are hard-coded in Plesk components.","Each line of psa.conf has the following format:","&lt;variable_name&gt; &lt;value&gt;","A sample part of the psa.conf file is displayed below. To change a path to a service, utility, or package, specify the new path as a value of a corresponding variable.","# Plesk tree","PRODUCT_ROOT_D /usr/local/psa","# Directory of SysV-like Plesk initscripts","PRODUCT_RC_D /etc/init.d","# Directory for config files","PRODUCT_ETC_D /usr/local/psa/etc","# Directory for service utilities","PLESK_LIBEXEC_DIR /usr/lib/plesk-9.0","# Virtual hosts directory","HTTPD_VHOSTS_D /var/www/vhosts","# Apache configuration files directory","HTTPD_CONF_D /etc/httpd/conf","# Apache include files directory","HTTPD_INCLUDE_D /etc/httpd/conf.d","# Apache binary","HTTPD_BIN /usr/sbin/httpd","#Apache log files directory","HTTPD_LOG_D /var/log/httpd","#apache startup script","HTTPD_SERVICE httpd","# Qmail directory","QMAIL_ROOT_D /var/qmail","Important: Be very careful when changing the contents of psa.conf. Mistakes in paths specified in this file may lead to Plesk malfunctioning.","Changing Paths to Services","68623.htm");
Page[42]=new Array("If you experience problems with Plesk, for example, malfunctioning of a service, you can try to resolve them by restarting Plesk or the administrative web server sw-cp-server. Also, a restart is necessary to apply configuration changes that cannot be made while Plesk is running. ","To restart Plesk, run the following command:","/etc/init.d/psa restart","To restart sw-cp-server, run the following command:","/etc/init.d/sw-cp-server restart","Restarting Plesk","68620.htm");
Page[43]=new Array("This section describes how to stop, start, and restart services managed by Panel, and access their logs and configuration files.","Plesk  web interface","To start the service through the command line:","/etc/init.d/psa start","To stop the service through the command line:","/etc/init.d/psa stop","To restart the service through the command line:","/etc/init.d/psa restart","Plesk log files are located in the following directories:","Error Log: /var/log/sw-cp-server/error_log","Access log: /var/log/plesk/httpsd_access_log","Panel configuration files are the following:","php: $PRODUCT_ROOT_D/admin/conf/php.ini","www: /etc/sw-cp-server/applications.d/plesk.conf","Presence Builder","Log files are located in:","Error log: /var/log/httpd/sitebuilder_error.log","Logs: /usr/local/sitebuilder/tmp/","Configuration files are accessible at:","/usr/local/sitebuilder/config","/usr/local/sitebuilder/etc/php.ini","SSO","Log files are located in:","Error log: /var/log/sw-cp-server/error_log","SSO log: /var/log/sso/sso.log","Configuration files are accessible at:","/etc/sw-cp-server/applications.d/sso-cpserver.conf","/etc/sso/sso_config.ini","phpMyAdmin","The error log is located in:","/var/log/sw-cp-server/error_log","The configuration file is accessible at:","/usr/local/psa/admin/htdocs/domains/databases/phpMyAdmin/libraries/config.default.php","phpPGAdmin","The error log is located in:","/var/log/sw-cp-server/error_log","The configuration file is accessible at:","/usr/local/psa/admin/htdocs/domains/databases/phpPgAdmin/conf/config.inc.php","DNS / Named / BIND","To start the service through the command line:","/etc/init.d/named start","To stop the service through the command line:","/etc/init.d/named stop","To restart the service through the command line:","/etc/init.d/named restart","Log files are located in:","/var/log/messages","The configuration file is accessible at:","/etc/named.conf","FTP (ProFTPD)","Log files are located in:","/var/log/plesk/xferlog","Configuration files are accessible at:","/etc/xinetd.d/ftp_psa","/etc/proftpd.conf","/etc/proftpd.include","Courier-IMAP","To start the service through the command line:","/etc/init.d/courier-imap start","To stop the service through the command line:","/etc/init.d/courier-imap stop","To restart the service through the command line:","/etc/init.d/courier-imap restart","Log files are located in:","/var/log/plesk/maillog","Configuration files are accessible at:","/etc/courier-imap/imapd","/etc/courier-imap/imapd-ssl","/etc/courier-imap/pop3d","/etc/courier-imap/pop3d-ssl","QMail","To start the service through the command line:","/etc/init.d/qmail start","To stop the service through the command line:","/etc/init.d/qmail stop","To restart the service through the command line:","/etc/init.d/qmail restart","Log files are located in:","/var/log/plesk/maillog","Configuration files are accessible at:","/etc/xinetd.d/smtp_psa","/etc/xinetd.d/smtps_psa","/etc/xinetd.d/submission_psa","/etc/inetd.conf (Debians)","/var/qmail/control/","Postfix","To start the service through the command line:","/etc/init.d/postfix start","To stop the service through the command line:","/etc/init.d/postfix stop","To restart the service through the command line:","/etc/init.d/postfix restart","Log files are located in:","/var/log/plesk/maillog","Configuration files are accessible at:","/etc/postfix/","SpamAssassin","To start the service through the command line:","/etc/init.d/psa-spamassassin start","To stop the service through the command line:","/etc/init.d/psa-spamassassin stop","To restart the service through the command line:","/etc/init.d/psa-spamassassin restart","Log files are located in:","/var/log/plesk/maillog","Configuration files are accessible at:","/etc/mail/spamassassin/","/etc/mail/spamassassin/local.cf","/var/qmail/mailnames/%d/%l/.spamassassin","Dr.Web antivirus","To start the service through the command line:","/etc/init.d/drwebd start","To stop the service through the command line:","/etc/init.d/drwebd stop","To restart the service through the command line:","/etc/init.d/drwebd restart","Log files are located in:","/var/log/plesk/maillog","Configuration files are accessible at:","/etc/drweb/","Kaspersky antivirus","To start the service through the command line:","/etc/init.d/aveserver start","To stop the service through the command line:","/etc/init.d/aveserver stop","To restart the service through the command line:","/etc/init.d/aveserver restart","Log files are located in:","/var/log/plesk/maillog","/var/log/kav/5.5/kav4mailservers/aveserver.log","/var/log/kav/5.5/kav4mailservers/smtpscanner.log","/var/log/kav/5.5/kav4mailservers/avstats.log","/var/log/kav/5.5/kav4mailservers/kavscanner.log","/var/log/kav/5.5/kav4mailservers/kavupdater.log","Configuration files are accessible at:","/etc/kav/5.5/kav4mailservers/","Tomcat","To start the service through the command line:","/etc/init.d/tomcat5 start","To stop the service through the command line:","/etc/init.d/tomcat5 stop","To restart the service through the command line:","/etc/init.d/tomcat5 restart","Log files are located in:","/var/log/tomcat5/","Configuration files are accessible at:","/usr/share/tomcat5/conf/","MySQL","To start the service through the command line:","/etc/init.d/mysqld start","To stop the service through the command line:","/etc/init.d/mysqld stop","To restart the service through the command line:","/etc/init.d/mysqld restart","Log file is located in:","/var/log/mysqld.log","The configuration file is accessible at:","/etc/my.cnf","PostgreSQL","To start the service through the command line:","/etc/init.d/postgresql start","To stop the service through the command line:","/etc/init.d/postgresql stop","To restart the service through the command line:","/etc/init.d/postgresql restart","Startup log is located in:","/var/lib/pgsql/pgstartup.log","The configuration file is accessible at:","/var/lib/pgsql/data/postgresql.conf","xinetd","To start the service through the command line:","/etc/init.d/xinetd start","To stop the service through the command line:","/etc/init.d/xinetd stop","To restart the service through the command line:","/etc/init.d/xinetd restart","Log files are located in:","/var/log/messages/","The configuration file is accessible at:","/etc/xinetd.conf","Watchdog (monit)","To start the service through the command line:","/usr/local/psa/admin/bin/modules/watchdog/wd --start","To stop the service through the command line:","/usr/local/psa/admin/bin/modules/watchdog/wd --stop","To restart the service through the command line:","/usr/local/psa/admin/bin/modules/watchdog/wd --restart","Log files are located in:","/var/log/plesk/modules/watchdog/log/wdcollect.log","/var/log/plesk/modules/watchdog/log/monit.log","Configuration files are accessible at:","/usr/local/psa/etc/modules/watchdog/monitrc","/usr/local/psa/etc/modules/watchdog/wdcollect.inc.php","Watchdog (rkhunter)","Log is located in:","/var/log/rkhunter.log","The configuration file is accessible at:","/usr/local/psa/etc/modules/watchdog/rkhunter.conf","Apache","To start the service through the command line:","/etc/init.d/httpd start","To stop the service through the command line:","/etc/init.d/httpd stop","To restart the service through the command line:","/etc/init.d/httpd restart","Log files are located in:","/var/log/httpd/","/var/www/vhosts/&lt;domain_name&gt;/statistics/logs/","Configuration files are accessible at:","/etc/httpd/conf/httpd.conf","/etc/httpd/conf.d/","/var/www/vhosts/&lt;domain_name&gt;/conf/httpd.include","Mailman","To start the service through the command line:","/etc/init.d/mailman start","To stop the service through the command line:","/etc/init.d/mailman stop","To restart the service through the command line:","/etc/init.d/mailman restart","Log files are located in:","/var/log/mailman/","Configuration files are accessible at:","/etc/httpd/conf.d/mailman.conf","/usr/lib/mailman/Mailman/mm_cfg.py","/etc/mailman/sitelist.cfg","AWstats","To start the service through the command line:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/psa/admin/plib/DailyMaintainance/script.php","Configuration files are accessible at:","/usr/local/psa/etc/awstats/","Webalizer","To start the service through the command line:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/psa/admin/plib/DailyMaintainance/script.php","Configuration files are accessible at:","/var/www/vhosts/&lt;domain_name&gt;/conf/webalizer.conf","Backup Manager","Backup logs are located in:","/var/log/plesk/PMM/sessions/&lt;session&gt;/psadump.log","/var/log/plesk/PMM/sessions/&lt;session&gt;/migration.log","/var/log/plesk/PMM/logs/migration.log","/var/log/plesk/PMM/logs/pmmcli.log","Restore logs are located in:","/var/log/plesk/PMM/rsessions/&lt;session&gt;/conflicts.log","/var/log/plesk/PMM/rsessions/&lt;session&gt;/migration.log","/var/log/plesk/PMM/logs/migration.log","/var/log/plesk/PMM/logs/pmmcli.log","The configuration file is accessible at:","/etc/psa/psa.conf","Plesk Migration Manager","Migration logs are located in:","/var/log/plesk/PMM/msessions/&lt;session&gt;/migration.log","/var/log/plesk/PMM/rsessions/&lt;session&gt;/migration.log","/var/log/plesk/PMM/rsessions/&lt;session&gt;/conflicts.log","/var/log/plesk/PMM/logs/migration.log","/var/log/plesk/PMM/logs/pmmcli.log","/var/log/plesk/PMM/logs/migration_handler.log","Horde","Log is located in:","/var/log/psa-horde/psa-horde.log","Configuration files are accessible at:","Apache configuration","/etc/httpd/conf.d/zzz_horde_vhost.conf","/etc/psa-webmail/horde/conf.d/","Horde configuration:","/etc/psa-webmail/horde/","Atmail","Log files are located in:","/var/log/atmail/","Configuration files are accessible at:","Apache configuration","/etc/httpd/conf.d/zzz_atmail_vhost.conf","/etc/psa-webmail/atmail/conf.d/","Atmail configuration:","/etc/psa-webmail/atmail/atmail.conf","/var/www/atmail/libs/Atmail/Config.php","psa-logrotate","To start the service through the command line:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/psa/admin/plib/DailyMaintainance/script.php","Configuration files are accessible at:","/usr/local/psa/etc/logrotate.conf","/usr/local/psa/etc/logrotate.d/","Samba","To start the service through the command line:","/etc/init.d/smb start","To stop the service through the command line:","/etc/init.d/smb stop","To restart the service through the command line:","/etc/init.d/smb restart","Log files are located in:","/var/log/plesk/samba/","Configuration files are accessible at:","/etc/samba/smb.conf","/etc/samba/smb.conf.include","psa-firewall","To start the service through the command line:","/etc/init.d/psa-firewall start","To stop the service through the command line:","/etc/init.d/psa-firewall stop","To restart the service through the command line:","/etc/init.d/psa-firewall restart","Configuration files are accessible at:","/usr/local/psa/var/modules/firewall/firewall-active.sh","/usr/local/psa/var/modules/firewall/firewall-emergency.sh","/usr/local/psa/var/modules/firewall/firewall-new.sh","psa-firewall (IP forwarding)","To start the service through the command line:","/etc/init.d/psa-firewall-forward start","To stop the service through the command line:","/etc/init.d/psa-firewall-forward stop","To restart the service through the command line:","/etc/init.d/psa-firewall-forward restart","Configuration files are accessible at:","/usr/local/psa/var/modules/firewall/ip_forward.active","/usr/local/psa/var/modules/firewall/ip_forward.saved","psa-vpn","To start the service through the command line:","/etc/init.d/smb start","To stop the service through the command line:","/etc/init.d/smb stop","To restart the service through the command line:","/etc/init.d/smb restart","The configuration file is accessible at:","/usr/local/psa/var/modules/vpn/openvpn.conf","Managing Services from the Command Line and Viewing Service Logs","68885.htm");
Page[44]=new Array("By default, the Plesk GUI can work on all IP addresses available on the Plesk server (from the server&#8217;s IP pool). You may want to allow access to the Plesk GUI only from the local network. For that, you should move the GUI to an internal IP address.","To move Plesk GUI to a separate IP address, in the configuration file /etc/sw-cp-server/conf.d/plesk.conf, replace the lines","listen 8443 ssl","listen 8880;","with the lines","listen SPECIFIC_SERVER_IP:8443 ssl","listen SPECIFIC_SERVER_IP:8880;","where SPECIFIC_SERVER_IP is the new IP address that you want to use for the Plesk GUI.","Do not change the ports.","Moving the Plesk GUI to a Separate IP Address","72911.htm");
Page[45]=new Array("By default, when you install WordPress on sites through the Application Catalog (or Application Vault), WordPress Toolkit detects new installations and integrates them with WordPress Toolkit. For this reason, installation of WordPress on a site takes up to 20 seconds. If you want to avoid this, you can switch off automatic detection of new installations by the WordPress Toolkit.","To do this, in the Plesk configuration file /&lt;Plesk installation directory&gt;/admin/conf/panel.ini, add the following lines:","[wpToolkit]","features.autoAttachApsInstances = off","Switching Off Automatic Integration of WordPress Installations","73892.htm");
Page[46]=new Array("You can completely switch off WordPress Toolkit on your server. ","To switch off WordPress Toolkit, in the Plesk configuration file /&lt;Plesk installation directory&gt;/admin/conf/panel.ini, add the following lines:","[wpToolkit]","enabled=off","Switching Off WordPress Toolkit","73742.htm");
Page[47]=new Array("This chapter describes how to back up and restore data by means of the command-line utilities pleskbackup and pleskrestore, and introduces the tools for migrating hosted data between servers.","Backing up by means of the pleskbackup utility is done by issuing a command that specifies the objects to be backed up. The utility creates a backup archive containing settings and content. You can then perform a full or a selective restoration of data, and specify how to resolve possible conflicts that might occur.","Note: It is also possible to backup and restore data via Plesk user interface. For details, refer to Administrator's Guide.","Backing Up, Restoring, and Migrating Data","68836.htm");
Page[48]=new Array("To perform a backup of Panel hosting data, you need to execute the pleskbackup utility command that does the following:","Defines the data that need to be backed up.","Defines the way the backup process will be performed.","Defines properties of the files that will be contained in the backup.","Defines options for exporting the backup as a single file.","Note: Only the first component is obligatory; the others are optional.","The following sections explain the meaning and implementation of each component in detail.","The pleskbackup utility is located in $PRODUCT_ROOT_D/bin/pleskbackup where the $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems. ","To see a complete list of the pleskbackup commands and options, refer to the section Backup Utility Commands and Options.","If the command execution succeeds, a backup is created in the default server backup location, or is exported to a file if exporting options were specified. For details on exporting options, refer to the section Exporting Backup Files. If the command execution fails, a backup is not created.","You can perform advanced configuration of the backup operation through the file $PRODUCT_ROOT_D/admin/share/pmmcli/pmmcli-rc. For more details, refer to the section Defining How the Backup Process Is Performed. ","If a backup process fails, you can use its logs for troubleshooting. Each backup process's logs are stored in $PRODUCT_ROOT_D/PMM/logs/backup-YYYY-MM-DD-hh-mm-nnn/, where YYYY-MM-DD-hh-mm is the date and time when the backup was performed and nnn is a randomly generated number.","Backing Up Data","68837.htm");
Page[49]=new Array("Panel provides opportunities for backing up and restoring nearly all hosting data, which includes main Panel objects: administrator account, settings for Panel-managed services, reseller accounts, customer accounts, subscriptions, websites, databases and mail accounts. These backup objects are organized into a hierarchy where parent object is always an owner of its children. The hierarchy comprises of four levels: server, resellers, customers and subscriptions. The levels are such that a higher level includes objects on the lower levels but a lower level is completely separated from the higher objects.","@ ","You can create either a full or a partial backup. A full backup is the highest-level backup and includes all data related to a Panel installation. A partial backup includes only the desired Panel objects of any of the levels. For information on available options when creating a partial backup, refer to the section Specifying Data for Backing Up.","Restoring a backup, in turn, can also be either full or partial. Full restoration recovers all data contained in a backup, and partial recovers part of this data. For information on available options when restoring data from backups, refer to the Defining Objects for Restoration section.","Each backup object includes the following: ","Configuration defines the properties of the backup object and its descendants. ","Content contains binary data related only to the backup object (website content and content of mailboxes). ","This table shows what data (configuration and content) are related to each backup object.","Backup Object Type","Configuration","Content","server","This backup level includes the following:","Administrator information","Presence Builder settings","SSO settings","IP addresses","Database server settings","DNS settings","Mail server settings","Antivirus and spam protection settings","SSL certificates","Reseller plans, hosting plans, and add-on plans","Information about administrator's subscriptions, reseller accounts, customer accounts and websites","Information about user roles","Information about auxiliary users who can access Control Panel","Information about mail accounts and individual settings for protection from spam and viruses","Site isolation settings","Settings for notification on system events","License keys for Panel, virtual host templates, website content, error documents, log files, and content of mailboxes.","reseller","This backup level includes the following:","Reseller information","Reseller's hosting plans","Resource allotments and permissions for operations in Plesk","Allocated IP addresses","Information about customer accounts, subscriptions, and websites with DNS settings","Information about user roles","Information about auxiliary users who can access Plesk","Information about mail accounts and individual settings for protection from spam and viruses","Website content, error documents, log files, content of mailboxes.","customer","This backup level includes the following:","Customer information","Hosting plans to which the customer is subscribed","Resource allotments and permissions for operations in Customer Panel.","IP addresses used by customer's subscriptions","Information about websites with DNS settings","Information about user roles","Information about auxiliary users who can access Customer Panel","Information about mail accounts and individual settings for protection from spam and viruses","Website content, error documents, log files, content of mailboxes.","subscription","This backup level includes the following:","Information about a subscription, its owner and associated hosting plan","IP addresses allocated to the subscription","Resource allotments and permissions for operations in Customer Panel.","Information about websites with DNS settings","Information about mail accounts and individual settings for protection from spam and viruses","Website content, error documents, log files, content of mailboxes.","Backup Objects: Hierarchy and Volume","68838.htm");
Page[50]=new Array("Defining data that should be backed up includes the following:","Defining the backup level and, unless it is the server level, optionally, selecting which resellers, customers, or subscriptions should be backed up.","(Optional). Defining which resellers, customers, or subscriptions should be excluded from the backup.","(Optional). Restricting backup to either only mail content, web hosting content, or their configuration.","(Optional). Specifying that log files are excluded from backup.","Generally speaking, the data that can be backed up with one call of the pleskbackup utility are represented by any single cell of the following table.","(All)","Only web hosting settings","option: --only-hosting","Only mail","option: --only-mail","(All)","Only configuration","option: -c","(All)","Only configuration","option: -c","(All)","Only configuration","option: -c","Server","command:","server","(All)","Excluding resellers","options:","--exclude-reseller or","--exclude-reseller-file ","Excluding customers","options:","--exclude-client or","--exclude-client-file","Excluding subscriptions","options:","--exclude-domain or","--exclude-domain-file","All or selected resellers","command: resellers-name","or","resellers-id","(All) / (All selected)","Example 1","Excluding resellers","options:","--exclude-reseller or","--exclude-reseller-file","Example 1*","Excluding customers","options:","--exclude-client or","--exclude-client-file","Excluding subscriptions","options:","--exclude-domain or","--exclude-domain-file","All or selected customers","command:","clients-name","or","clients-id","(All) / (All selected)","Excluding customers","options:","--exclude-client or","--exclude-client-file","Excluding subscriptions","options:","--exclude-domain or","--exclude-domain-file","All or selected subscriptions","command:","domains-name","or","domains-id","(All) / (All selected)","Example 2","Excluding subscriptions","options:","--exclude-domain or","--exclude-domain-file","Example 1","With one call of pleskbackup, you can back up hosting data for several resellers (rows 5 or 6 in the table, depending on what is more convenient: to list resellers that should be included or those to be excluded) and restricting the backup data to configuration of web hosting on sites owned by the resellers or their customers (column 4 in the table).","To back up website hosting configuration of resellers with usernames reseller1 and reseller2, issue the following command:","pleskbackup resellers-name &quot;reseller1 reseller2&quot; --only-hosting -c","Example 2","With one call of pleskbackup, you can back up the mail configuration and content of mail accounts (column 5) for all subscriptions existing on the server (row 12).","To back up mail accounts with messages for all subscriptions:","pleskbackup domains-name --only-mail","The rest of this section explains each option in detail and provides examples of commands.","Defining backup level and selecting objects ","To define the backup level and select backup objects, the commands of the pleskbackup utility are used. ","If performing a selective backup, resellers, customers or subscriptions selected for the backup should be specified by their identifiers which are either usernames or IDs. The specification can be done in one of the following two ways:","Command line specification. The backup command takes object identifiers as arguments separated with spaces.","File specification. The backup command takes the --from-file option which specifies the file where the identifiers of objects are listed. The file must be in plain text format, and object identifiers are separated by line breaks (i.e., one identifier per line).","Note: If a command contains both specifications, file specification is used and the command line specification is ignored.","To back up all data related to Plesk installation:","pleskbackup server","To back up all resellers, customers, or subscriptions:","pleskbackup &lt;resellers|clients|domains&gt;-&lt;name|id&gt;","For example, to back up all customer accounts:","pleskbackup clients-name","or","pleskbackup clients-id","To back up several resellers, customers, or subscriptions defined in the command line:","pleskbackup &lt;resellers|clients|domains&gt;-&lt;name|id&gt; [","&lt;identifier1&gt; [","&lt;identifier2&gt; ... [&lt;identifier n&gt;]]","For example, to back up three resellers defined in the command line: ","pleskbackup resellers-name &quot;johndoe janedoe josephine&quot;","To back up several resellers, customers, or subscriptions listed in a file:","pleskbackup &lt;resellers|clients|domains&gt;-&lt;name|id&gt; --from-file=&lt;file&gt;","For example,","pleskbackup resellers-name --from-file=&quot;etc/backup lists/backup&quot;","Defining which objects should be excluded","Objects that should be excluded from the backup are specified by their usernames (reseller, customer accounts) or domain names (subscriptions). This can be done as follows:","Command line specification. The backup command takes objects identifiers as values of the --exclude-&lt;reseller|client|domain&gt; option separated by commas.","File specification. The backup command takes the objects identifiers from the file specified by the --exclude-&lt;reseller|client|domain&gt;-file option. The file must be in plain text format, and object identifiers are separated by line breaks (that is, one identifier per line).","Note: It is acceptable to use both specifications in one command. In such a case, all specified objects are excluded from the backup.","To back up all reseller accounts except for several selected resellers:","pleskbackup resellers-name --exclude-reseller=&lt;login1&gt;,&lt;login2&gt;[,&lt;login n&gt;]","or","pleskbackup resellers-name --exclude-reseller-file=&lt;file&gt;","For example,","pleskbackup --resellers-name --exclude-reseller=johndoe,janedoe","or","pleskbackup --resellers-name --exclude-reseller-file=&quot;etc/backup lists/backup&quot;","To back up a selected reseller without several subscriptions belonging to them or their customers:","pleskbackup --resellers-name &lt;username&gt; --exclude-domain=&lt;name1&gt;,&lt;name2&gt;,&lt;name n&gt;","or","pleskbackup --resellers-name &lt;username&gt; --exclude-domain-file=&lt;file&gt;","For example,","pleskbackup resellers-name johndoe --exclude-domain=example.com,example.net,example.org","or","pleskbackup resellers-name johndoe --exclude-domain-file=&quot;etc/backup lists/backup&quot;","Restricting backup to only mail content, only hosting content, or only their configuration","The amount of backup data can be further narrowed to backing up either mail or physical hosting content and configuration by using the --only-mail or --only-hosting options, respectively. ","Specifying the --only-hosting option results in backing up only website-specific data which includes the following, for each domain with physical hosting:","website content (including protected directories, web users, MIME types)","web hosting configuration (including settings of anonymous FTP, log rotation, hotlink protection, shared SSL, web users)","installed site applications","databases","subdomains","Specifying the --only-mail option results in backing up only mail-specific data that includes the following:","if used for the partial backup, for each domain included in the backup:","configuration of per-subscription mail settings","mail accounts","mailing lists","if used for the full backup, in addition to previous:","RBL protection settings","ACL white and black list configurations","The amount of backup data can also be narrowed in another way: by specifying that only configurations of the selected objects should be backed up. This specification is made by using the --only-configuration option.","Such backups are useful when the objects content is backed up by a third-party system. ","To back up mail configuration on subscriptions belonging to a customer:","pleskbackup clients-&lt;name|id&gt; &lt;name|id&gt; --only-mail --configuration ","For example, ","pleskbackup clients-id 42 --only-mail --configuration","To back up websites content and hosting configuration on subscriptions belonging to all resellers:","pleskbackup resellers-id --only-hosting","Excluding log files from back up","If Plesk's log files related to the hosted objects are not required to be backed up, they can be excluded from the backup by using the --skip-logs option.","To back up the Plesk configuration without log files:","pleskbackup server -c --skip-logs","Specifying Data for Backing Up","68839.htm");
Page[51]=new Array("Defining the properties of the files that will be contained in the backup includes the following:","Specifying that archives with backup object contents should not be compressed.","Specifying that a prefix should be added to the names of the backup files.","Specifying that backup files should be split into parts of the specified size.","Specifying that archives with backup object contents should not be compressed","By default, Plesk saves backed up content to compressed .zip archives to save disk space when the backup is stored. However, restoring backups that contain compressed archives requires almost twice as much disk space as restoring those with uncompressed files. If you want to create your backups without compression, use the -z option in your backup command.","Specifying that a prefix should be added to the names of the backup files","In order to better distinguish files that were created during one backup session from another, pleskbackup adds a prefix to the backup file name. By default, it is backup, so every backup file name looks like backup_&lt;file-name&gt;.&lt;ext&gt;. The prefix in names of the files that compose a particular backup can be customized by using the --prefix option. The option's value will be added as a prefix to the names of files of the created backup.","For example, to create a backup of the server mail configuration so that all files in the backup have the prefix mail-friday:","pleskbackup server --only-mail --configuration --prefix=&quot;friday&quot;","Specifying that backup files should be split into parts of the specified size","The pleskbackup utility is capable of splitting backup files into parts of a particular size, which is extremely useful in cases when the file size is critical. Such cases could include the following:","if backups are burnt to DVDs, file size should not exceed approximately 4 Gbytes","if backups are stored on the FAT32 file system, file size should not exceed approximately 4 Gbytes","if backups are stored on FTP, the FTP server may have its own restrictions on the size of a single file transferred to the server","To make pleskbackup split the backup files to parts of a particular size, use the -s|--split option and specify the required size as the option value. For details on how to specify the size, refer to the section Backup Utility Commands and Options. The default value used by pleskbackup if no custom size is specified is 2 Gbytes. The utility numbers file parts created as a result of a split by adding numerical suffixes to the file names starting from .1.","For example, to back up a subscription and split backup files into parts of no more than 700 Mbytes:","pleskbackup domains-name example.com --only-hosting --split=700M","Defining Properties of Files That Compose the Backup","68840.htm");
Page[52]=new Array("By default, pleskbackup stores backups in Plesk's backup storage located on the server in /var/lib/psa/dumps/. ","Plesk is capable of exporting the created backup as a single .zip file in one of the following ways:","to stdout","to a local file system","to an FTP server","To export the backup as a single file, use the --output-file option. Each particular export mode requires specific option values.","Important: After a backup is exported, pleskbackup removes it from the Plesk's backup storage.","The exported file can also be created uncompressed and/or split into parts of a particular size, just like the files forming the backup in the storage (details).","Exporting to stdout","To export a backup as a file to stdout, use the --output-file option with the stdout value. ","For example, to create a backup of a subscription with ID 1 and export it to stdout:","pleskbackup domains-id 1 --output-file stdout","Exporting to a local file system","To export a backup as a file to a local file system, use the --output-file option with a &lt;full-path-to-file&gt;\\&lt;file-name&gt; value.","For example, to create a backup of a subscription with ID 1 and export it to the file domain1.tgz located at /usr/local/irregular-backups/ folder:","pleskbackup domains-id 1 --output-file=/usr/local/irregular-backups/domain1.tgz","Exporting to FTP server","To export a backup as a file to an FTP server, use either of the following options:","--output-file=ftp://&lt;login&gt;:&lt;password&gt;@&lt;server&gt;/&lt;filepath&gt;","--output-file=ftp://&lt;server&gt;/&lt;filepath&gt;  --ftp-login=&lt;ftp login&gt; --ftp-password=&lt;ftp password&gt;","You may want to use a passive mode FTP connection if a firewall prevents the export. For this, use the --ftp-passive-mode option.","For example, to create backup of a subscription with ID 1 and export it to an FTP server example.com to the storage/backups/ directory, using johndoe as login and jjFh6gsm as password:","pleskbackup domains-id 1 --output-file=ftp://johndoe:jjFh6gsm@example.com/storage/backups","or","pleskbackup domains-id 1 --output-file=ftp://example.com/storage/backups --ftp-login=johndoe --ftp-password=jjFh6gsm","&nbsp;","Exporting Backup Files","68841.htm");
Page[53]=new Array("You can specify the following options for the backup operation:","Do not perform the backup if your server does not have specified free disk space.","Do not perform the backup if your server does not have enough free disk space to store the backup content.","Temporarily suspend websites during backup.","Configure the backup utility to include more details in backup reports.","Specifying disk space requirements for the backup","You can prevent the start of the backup operation if your server has not enough disk space to complete it. To set the free disk space requirements, change the parameters in the file $PRODUCT_ROOT_D/admin/share/pmmcli/pmmcli-rc. ","There are two ways to prevent the start of the backup operation:","Specify minimal free disk space on your server. <br>If the server does not have the specified disk space, Plesk will not start the backup operation. Set the minimal free disk space in MB by changing the value of the FREE_DISK_SPACE parameter. For example, to prevent the backup if free disk space on the server is less than 100 MB, edit the line in the following way:","FREE_DISK_SPACE 100","Restrict the backup if your server does not have enough free disk space to store the backup content. If this option is turned on, Plesk calculates the future backup size and compares it with the free disk space on the server. If there is not enough disk space, Plesk will not start the backup operation. Note that this option can significantly increase the backup time.<br>To turn this option on, set the CHECK_BACKUP_DISK_SPACE to 1. To turn this option off, set the parameter to 0:","CHECK_BACKUP_DISK_SPACE 0","Suspending websites","If your backup will include websites, we recommend that you suspend them during the backup process by using the --suspend option of the backup utility. This will help you avoid possible errors that may be caused by changes made to the site configuration or content during the backup. ","The suspension is made as short as possible: each site is suspended only for the time it is being backed up: The site is started automatically as soon as its data are processed.","Defining level of backup verbosity","There are three levels of backup verbosity:","Low: backup utility writes into a log  and displays only general errors, such as syntax errors (no or wrong command specified, invalid input parameters), runtime errors, unhandled exceptions, low disk space for backup and so on.","Medium: backup utility writes into a log  and displays general errors and information on backup stages.","High: backup utility writes into a log and displays general errors, information on backup stages, debug information and messages sent to and received from the backup utility.","The verbose mode of the backup process is defined by the -v option:","Option","Verbosity","Example","no, -v, -vv","Low","To create a complete server backup with a low level of verbosity on Linux/Unix:","# opt/psa/bin/pleskbackup server -vv","-vvv","Medium","To create a complete server backup with a medium level of verbosity on Linux/Unix:","# opt/psa/bin/pleskbackup server -vv","-vvvv, -vvvvv","High","To create a complete server backup with a high level of verbosity on Linux/Unix:","# opt/psa/bin/pleskbackup server -vv","To run a task on creating a complete server backup with a maximum level of verbosity:","pleskbackup server -vvvvv","Defining How the Backup Process Is Performed","68842.htm");
Page[54]=new Array("Location","$PRODUCT_ROOT_D/bin/pleskbackup where the $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems.&nbsp;","Usage","pleskbackup &lt;command&gt; [&lt;arguments&gt;] [&lt;options&gt;]","Commands","Command","Argument","Description ","server","Backs up whole Plesk server.","resellers-name","[&lt;login-1&gt; &lt;login-2&gt; &lt;...&gt; &lt;login-n&gt;]","Backs up all data for the resellers specified by logins. ","Logins should be separated by spaces, and, if on Windows, enclosed in quotes. ","Can be used with the --from-file option. In such case, resellers specified in the file are backed up and resellers specified as command arguments are ignored.","If no logins are specified and the -f option is not used, all resellers are backed up.","resellers-id","[&lt;ID1&gt; &lt;ID2&gt; &lt;...&gt; &lt;IDn&gt;]","Backs up all data for the resellers specified by IDs.","IDs should be separated by spaces, and, if on Windows, enclosed in quotes.","Can be used with the --from-file option. In such case, resellers specified in the file are backed up and resellers specified as command arguments are ignored.","If no IDs are specified and the -f option is not used, all resellers are backed up.","clients-name","[&lt;login-1&gt; &lt;login-2&gt; &lt;...&gt; &lt;login-n&gt;]","Backs up all data for the customers specified by logins. ","Logins should be separated by spaces, and, if on Windows, enclosed in quotes.","Can be used with the --from-file option. In such case, customers specified in the file are backed up and customers specified as command arguments are ignored.","If no logins are specified  and the -f option is not used, all customers are backed up.","clients-id","[&lt;ID1&gt; &lt;ID2&gt; &lt;...&gt; &lt;IDn&gt;]","Backs up all data for the customers specified by IDs.","IDs should be separated by spaces, and, if on Windows, enclosed in quotes.","Can be used with the --from-file option. In such case, customers specified in the file are backed up and customers specified as command arguments are ignored.","If no IDs are specified  and the -f option is not used, all customers are backed up.","domains-name","[&lt;name-1&gt; &lt;name-2&gt; &lt;...&gt; &lt;name-n&gt;]","Backs up all data for the domains specified by names. ","Names should be separated by spaces, and, if on Windows, enclosed in quotes.","Can be used with the --from-file option. In such case, domains specified in the file are backed up and domains specified as command arguments are ignored.","If no names are specified  and the -f option is not used, all domains are backed up.","domains-id","[&lt;ID1&gt; &lt;ID2&gt; &lt;...&gt; &lt;IDn&gt;]","Backs up all data for the domains specified by IDs. ","IDs should be separated by spaces, and, if on Windows, enclosed in quotes.","Can be used with the --from-file option. In such case, domains specified in the file are backed up and domains specified as command arguments are ignored.","If no IDs are specified  and the -f option is not used, all domains are backed up.","--help","Displays help on the utility usage.","Exclude Options","Option","Description ","--exclude-reseller[=&lt;login1&gt;,&lt;login2&gt;,...]","Skips resellers with the specified logins during backup.","--exclude-reseller-file[=&lt;file&gt;]","Skips resellers listed in the specified file during backup.","--exclude-client=[&lt;login1&gt;,&lt;login2&gt;,...]","Skips customers with the specified logins during backup.","--exclude-client-file=&lt;file&gt;","Skips customers listed in the specified file during backup.","--exclude-domain[=&lt;name1&gt;,&lt;name2&gt;,...]","Skips domain with the specified names during backup.","--exclude-domain-file=&lt;file&gt;","Skips domains listed in the specified file during backup.","General Options","Option","Description ","-v|--verbose","Shows more information about the backup process. Multiple -v options increase verbosity. For the maximum verbosity level, define 5 options.","-c|--configuration","Backs up only configurations of Plesk objects, excluding their content.","-s|--split[=&lt;integer&gt;[K|M|G]]","Splits the backup files into parts of the specified size. The parts are numbered by appending numerical suffixes starting with .1. ","Size is specified in Kbytes, Mbytes or Gbytes. If none is defined, size is interpreted as being in bytes.","If no argument is specified, a default value of 2 Gbytes is used.","-z|--no-gzip","Sets that object content is archived without compressing.","--only-mail","Backs up only mail configuration and content.","When used with the resellers|clients|domains-login|id commands, backs up configuration of domain-level mail system, and content and configuration of mail accounts.","When used with the server command, also backs up server-wide mail configuration.","Cannot be used with the --only-hosting option.","--only-hosting","Backs up only physical hosting configuration and Web site content, including site applications, databases and subdomains.","Cannot be used with the --only-mail option.","--suspend","Suspends domains during backup operation.","-f| --from-file=&lt;file&gt;","Backs up resellers|customers|domains listed in the specified file, ignoring those specified in the command line as arguments. ","The file should be in plain text format and should contain a list of resellers|customers|domains, one per line.","Used only with the resellers-name, resellers-id, clients-name, clients-id, domains-name, domains-id commands. ","Depending on the command, resellers|customers|domains are listed in the file by either logins or IDs. ","--skip-logs","Sets that log files are not saved to backup.","--prefix=&lt;string&gt;","Adds a specified prefix to the backup file names.","Used to customize backup file name which is created with the backup prefix by default.","FTP Options","Option","Description ","--ftp-login=&lt;ftp_login&gt;","Specifies FTP login that will be used for uploading backup file to the FTP server.","--ftp-password=&lt;ftp_password&gt;","Specifies password that will be used for uploading backup file to the FTP server.","--ftp-passive-mode","Specifies that a passive mode FTP connection should be used.","Output File Option","Option","Description ","--output-file","Exports backup as a single file to  stdout and removes backup from Plesk's storage.","--output-file=&lt;fullpath/filename&gt;","Exports backup as a single file with the specified name to a local file system and removes backup from Plesk's storage.","--output-file=&lt;ftp://[&lt;login&gt;[:&lt;password&gt;]@]&lt;server&gt;/&lt;filepath&gt;&gt;","Exports backup as a single file to the specified FTP server and removes backup from Plesk's storage.","The FTP_PASSWORD environment variable can be used for setting a password.","The --ftp-login and --ftp-password FTP options can be used for setting login and password.","Backup Utility Commands and Options","68843.htm");
Page[55]=new Array("To perform restoration of Plesk hosting data, you should execute the pleskrestore utility command that does the following:","Defines the Plesk objects to be restored.","Defines how the restore process will be performed.","Defines conflict resolution rules and policies.","The following sections explain each component in detail.","The pleskrestore utility is located in $PRODUCT_ROOT_D/bin/pleskbackup where the $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems. ","To see a list of the pleskrestore commands and options, refer to the section Restoration Utility Commands and Options.","If a restoration process fails, you can use its logs for troubleshooting. Each restoration process's logs are stored in $PRODUCT_ROOT_D/PMM/logs/restore-YYYY-MM-DD-hh-mm-nnn/, where YYYY-MM-DD-hh-mm is the date and time when the restoration was performed and nnn is a randomly generated number.","Restoring Data","68847.htm");
Page[56]=new Array("Defining objects for restoration includes the following:","Specifying a source backup file.","Defining the level of restored objects.","Applying a filter on the specified level.","Generally speaking, the data that can be restored with one call of the pleskrestore utility are represented by any cell in the following table.","Restoration levels specified with the -level option","Server","Resellers","Customers","Subscriptions","Selected with the -filter option","Selected with the -filter option","Selected with the -filter option","Backup file","&lt;server&gt;.xml | zip | tar","Full restoration","All reseller accounts","Selected reseller accounts","All customer accounts belonging to administrator","Selected customer accounts belonging to administrator","All subscriptions belonging to administrator","Selected subscriptions belonging to administrator","&lt;reseller&gt;.xml | zip | tar","Full restoration of a reseller account","All customer accounts belonging to reseller","Selected customer accounts belonging to reseller","All subscriptions belonging to reseller","Selected subscriptions belonging to reseller","&lt;customer&gt;.xml | zip | tar","Full restoration of a customer account","All subscriptions belonging to customer","Selected subscriptions belonging to customer","&lt;subscription&gt;.xml | zip | tar","Full restoration of a subscription","Specifying a source backup file","The source backup file defined for restoration can be of one of the following types:","&lt;info&gt;.xml - backup metadata file, when restoring from backup located in Plesk's storage.","&lt;backup&gt;.&lt;zip|tar&gt; - archived backup file, when restoring from an exported backup.","For example, to restore the whole server backup, you choose a &lt;backup storage root&gt;/&lt;server&gt;.xml file, or an exported server backup file. To restore a client belonging to a reseller, you choose a &lt;backup storage root&gt;/resellers/&lt;reseller ID&gt;/clients/&lt;client ID&gt;/&lt;client&gt;.xml file.","Defining the Level of Restored Objects","Defining the level of restored objects allows you to narrow the amount of restored data according to your needs. For example, you may want to restore only subscriptions which belong to a customer or a reseller, skipping all other data not related to subscriptions.","To define the level of restored objects, use the -level option with an appropriate value. The option is required, so in cases when you do not need any narrowing but just wish to restore all data from a backup, define the level equal to the level of the file.","To restore the entire server:","pleskrestore restore &lt;backup storage root&gt;/&lt;server&gt;.xml -level server","Note: When the whole server backup is restored, license keys are not restored by default. To restore license keys along with other server content, use the -license option in your restore command.","To restore the entire server with license keys:","pleskrestore --restore &lt;backup storage root&gt;/&lt;server&gt;.xml -level server -license","&nbsp;","To restore all domains belonging to a reseller:","pleskrestore --restore &lt;backup storage root&gt;/resellers/&lt;reseller ID&gt;/&lt;reseller&gt;.xml -level domains","&nbsp;&nbsp;&nbsp;","To restore all reseller accounts:","pleskrestore --restore &lt;backup storage root&gt;/&lt;server&gt;.xml -level resellers","Applying filter to the specified level","To perform a more selective restore, use a filter (the -filter option) which selects particular objects of the specified level (resellers, customers, subscriptions) to be restored. The objects are specified by their names, which are domain names for subscriptions, and usernames for resellers and customers. The specification can be done as follows:","Command line specification. The restore command takes object identifiers as values of the -filter option defined in the following string: list:&lt;item1&gt;,&lt;item2&gt;,...,&lt;itemN&gt;.","File specification. The restore command takes the objects identifiers from the file specified as an argument of  the -filter option. The file must be in plain text format, and object identifiers are separated by line breaks (that is, one identifier per line).","To restore two resellers from a server backup:","pleskrestore --restore &lt;backup storage root&gt;/&lt;server&gt;.xml -level resellers -filter list:JohnDoe,JaneDoe","or","pleskrestore --restore &lt;upload directory&gt;/&lt;server backup name&gt;.zip -level resellers -filter list:JohnDoe,JaneDoe","&nbsp;","To restore two subscriptions owned by the server administrator:","pleskrestore --restore &lt;backup storage root&gt;/&lt;server&gt;.xml -level domains -filter list:example.com,sample.org","&nbsp;","To restore several subscriptions of a customer defined in a file:","pleskrestore --restore &lt;backup storage root&gt;/resellers/SandyLee/clients/JaneDow/&lt;client&gt;.xml -level domains -filter &lt;path to the file&gt;/restore-domains.txt","Defining Objects for Restoration","68848.htm");
Page[57]=new Array("By default, all backups are created in a backup storage located on the Plesk-managed server: in a storage specified by the DUMP_D variable defined in the /etc/psa/psa.conf configuration file","The storage is structured as follows, starting with the content of the storage root folder (we omit auxiliary files and folders which are irrelevant for backing up and restoring Plesk data using pleskbackup and pleskrestore utilities).","&nbsp;","&lt;info&gt;.xml","Metadata files of full and server-level backups, one per backup, describe configuration and content of server, admin, and all their descendants.","&lt;content&gt;.&lt;zip|tar|tgz&gt;","Archives with content  of server and admin.","clients/","Directory containing the following backup data:","clients owned by admin or with no owner","objects owned by the clients","Organization of the directory is the same as that of  &lt;storage&gt;/resellers/&lt;reseller ID&gt;/clients/.","domains/","Directory containing the following backup data:","domains owned by  admin or with no owner","objects owned by the domains","Organization of the directory is the same as that of  &lt;storage&gt;/resellers/&lt;reseller ID&gt;/clients/&lt;client ID&gt;/domains.","resellers/","Directory containing the following backup data:","resellers","objects owned by the resellers<br>","&lt;reseller ID&gt;/","Directories containing backup data of particular resellers, one reseller per directory, and the objects owned by them. ","The reseller ID stands for the reseller login name.","&lt;info&gt;.xml","Metadata files of the reseller backups, one file per backup, describe configuration and content of the reseller and the objects they own.","&lt;content&gt;.&lt;zip|tar|tgz&gt;","Archives with the reseller content.","domains/","Directory containing the following backup data:","domains owned by  the reseller","objects owned by  the domains","Organization of the directory is the same as that of  &lt;storage&gt;/resellers/&lt;reseller ID&gt;/clients/&lt;client ID&gt;/domains/.","clients/","Directory containing the following backup data:","clients owned by  the reseller","objects owned by  the clients ","&lt;client ID&gt;/","Directories containing backup data of particular clients, one client per directory, and the objects owned by them. ","The client ID stands for the client login name.","&lt;info&gt;.xml","Metadata files of the client backups, one file per backup, describe configuration and content of the client and the objects he owns.","&lt;content&gt;.&lt;zip|tar|tgz&gt;","Archives with the client content.","domains/","Directory containing the following backup data:","domains owned by  the client","objects owned by  the domains","&lt;international domain name&gt; &lt;domain ID&gt;/","Directories containing backup data of particular domains, one domain per directory, and the objects owned by them. ","The domain ID is omitted if the domain IDN is less than 47 symbols. ","&lt;info&gt;.xml","Metadata files of the domain backups, one file per backup, describe configuration and content of the domain and the objects it owns.","&lt;content&gt;","Other files and folders which contain domain contents, and its children contents and configurations.","&nbsp;","Files of each backup are placed in the storage folders according to the described structure. ","f a partial backup is created, its files will be placed according to the location of the backup objects in the hierarchy. For example, if backing up domain example.com owned by reseller JaneDoe, its files will be located in the &lt;storage root directory&gt;/resellers/JaneDoe/domains/example.com/ folder. If backing up reseller, JohnDoe, who owns a domain joe.info and has one client, DukeNukem, who owns domain sample.org, the backup files will be located in the following folders:","&lt;storage root directory&gt;/resellers/JohnDoe/","&lt;storage root directory&gt;/resellers/JohnDoe/domains/joe.info/","&lt;storage root directory&gt;/resellers/JohnDoe/clients/DukeNukem/","&lt;storage root directory&gt;/resellers/JohnDoe/clients/DukeNukem/domains/sample.org/","To distinguish files belonging to different backups of the same object, a specific prefix and suffix are added to the file names:","the backup is added by default, and, if you like, you can change it to your own on a per-backup basis","a suffix designating the backup creation date is always added to each backup file, and the date format is &lt;yymmddhhmm&gt;. For example, the files of a backup created on 6 April 2011, 8:58 PM will have the suffix 1104062058.","Plesk is capable of exporting a backup as a single .tgz file. Each archive has the same structure as the storage, the only difference is that there is only one &lt;info&gt;.xml file on each level. ","If a partial backup is exported, the resulting file structure is reduced from the top so that the highest level corresponds to the level of the highest backup object. For example, if a backup of a single customer (called, for example, SandyLee) is exported, the resulting file will have the following structure: ","zip {","&lt;sandy lee info&gt;.xml","&lt;content&gt;.zip","domains/","subscription1/","...","subscription_N/","...","}","Backup File Structure","68850.htm");
Page[58]=new Array("When restoring data, you can also do the following:","Temporarily suspend websites during restoration.","Configure the restoration utility to include more details in backup reports.","Configure the restoration utility to restore files even if they do not have a valid signature.","Suspending Websites","If you are going to restore websites, we recommend that you suspend them during the restoration by using the -suspend option. This will help you avoid possible errors in the restored sites that may be caused by changes made to the site configuration or content during the restoration. ","The suspension is made as short as possible: each site is suspended only for the time it is being restored: The site is started automatically as soon as the data are processed.","Defining Level of Restore Verbosity","pleskrestore works in one of the following verbosity modes:","Non-verbose mode. Default mode. The minimum level, only general errors are displayed, sauc as, syntax errors (no or wrong command specified, invalid input parameters), runtime errors and unhandled exceptions, and so on.  ","Verbose mode. Restore runs with verbosity level which additionally includes deployer errors, information about conflicts (read about restore conflicts in the section Conflict Resolution Rules and Policies), and so on. Enabled by adding the -verbose option to the pleskrestore command.","Restoring Backups Without Valid Signatures","When you attempt to restore a backup file by means of the pleskrestore utility, Plesk checks the file and does not restore it if any of the following problems are found:","The file is corrupted.","The file was modified manually after downloading from the server.","The file was created on another server.","The file was created in a Plesk version earlier than 11.5.","Note: Actually, files created in earlier Plesk versions are not a problem. Plesk marks such backups as problematic because they lack backup signatures. A backup signature, introduced in Plesk 11.5, enables Plesk to check backups.","To skip checking and restore a backup regardless of potential problems, use the -ignore-sign option.","Plesk administrators can also restore backups with problems is through the Plesk GUI by selecting the corresponding option on the Tools &amp; Settings &gt; Backup Manager &gt; &lt;backup_name&gt; page. Customers and resellers are not allowed to restore such backups by default. However, you can allow all users to restore any backups regardless of potential problems. To do this, add the following lines to the /usr/local/psa/admin/conf/panel.ini configuration file:","[pmm]","allowRestoreModifiedDumps = on","To return to the default restrictions, remove these lines or change the second line to the following:","allowRestoreModifiedDumps = off","Defining How the Restore Process is Performed","68849.htm");
Page[59]=new Array("Conflict is a situation when Plesk object settings in a backup and Plesk object settings on a destination server are such that restoring a backup object leads to an error or unpredictable Plesk behavior.","Types of Conflicts","The restoration process can encounter several types of conflicts, as follows:","Timing conflicts. An object being restored might exist in the system and its last modification date might be more recent than the date of backup. Or an object could be deleted from the system later than the backup was created. ","Resource usage conflicts. There are two groups of resource usage conflicts:","Common resource usage conflict: The total amount of measurable resources after restoration might appear to be over the limit for this particular user (for example, disk space limit).","Unique resource usage conflict: An object being restored requires a unique resource which is already being used by another object in the system or does not exist (for example, domain).","Configuration conflicts. It might happen that the configuration being restored is not enabled on the destination server. Two situations can arise here:","Configuration options are not enabled for the domain.","Required configuration options are not available (for example, web applications are not available for the customer, database server is not configured on the host, no IP address is allocated to the reseller, and so on).","Conflict Resolutions","The following conflict resolutions options are possible:","Overwrite. This means that all objects will be restored from the backup files regardless of their current presence in the system. Overwrite works as follows:","If an object or a setting from backup does not exist in Plesk, it is created.","If an object or a setting from backup exists in Plesk, it replaces the existing object or a setting.","If an object or a setting exists in Plesk but is missing in a backup, the existing object or a setting remains.","Proceed with current. This means that objects that are currently present in the system will not be affected by the restoration process. The restoration process will proceed to the objects belonging to the object that already exists in Plesk, without making modifications to that object. ","Do not restore. This means that the objects that are currently present in the system or were deleted after the backup will not be restored with the lower level objects.","Automatic. This means that configuration option that should be enabled for domain is enabled automatically.","Overuse. This means that objects are restored even when the resources are overused. Can be applied only to objects that belong to a reseller who is working in the oversell mode.","Rename. This means that unique resources for the restored domain are reassigned with the specified name, existing in the system (mapping).","Conflict Resolution Policies and Rules","Depending on the scope of a conflict resolution, we distinguish between conflict resolution rules and policies:","Rule defines the way a specific single conflict should be resolved.","Policy defines the way all conflicts of a particular type should be resolved.","Conflicts Resolving Mechanism: Default Policies, Custom Policies, and Rules","The restoration utility brings a set of default, hard-coded conflict resolution policies, which are as follows:","For timing conflicts - Overwrite","For common resource usage conflicts - Overuse","For unique resource usage conflicts - Do not restore","For configuration conflicts - Automatic","The default policies are always applied&nbsp;during restoration and cannot be changed or overridden.","Applying default policies may not resolve all the conflicts that occur. In such cases, the person performing the restoration should additionally define custom rules and/or policies that resolve the remaining conflicts. Custom rules and policies are defined in an XML format as described in the section Resolutions Description Format.","A simplified presentation of conflict resolving during restoration is as follows:","Administrator runs pleskrestore with specific parameters.","pleskrestore detects the conflicts that have occurred and resolves them using the default policies.","pleskrestore checks if any conflicts remain unresolved.","If all conflicts are resolved, the restoration continues.","pleskrestore stops the restoration and, if run in debug or verbose mode, returns a detailed description (in XML format) of each remaining conflict.","Based on the returned description of the conflicts, the administrator creates a file that defines a resolution for each conflict (with rules) and/or in bulk (with custom policies). ","The administrator runs the pleskrestore utility with the --conflicts-resolution option and the file created in the previous step as its argument.","pleskrestore detects the conflicts that have occurred and resolves them using the default policies.","pleskrestore processes the remaining conflicts:","pleskrestore applies resolution rules from the file.","pleskrestore applies resolution policies from the file to the remaining conflicts.","pleskrestore checks whether any conflicts remain unresolved.","If all conflicts are resolved, the restoration continues.","If any conflicts remain unresolved, pleskrestore stops the restoration and, if run in debug or verbose mode, returns a detailed description (in XML format) of each remaining conflict.","To have such a dump restored, the administrator should add resolution rules for each remaining conflict to the conflict resolution file and repeat the restoration task.","Conflict Resolution Rules and Policies","68851.htm");
Page[60]=new Array("Applying default policies may not resolve all the conflicts that occur during the restoration. In such cases,you should additionally define custom rules and/or policies that resolve the remaining conflicts. Custom rules and policies are defined in an XML format as described in the section Resolutions Description Format. Using this file, you can define how a particular conflict or all conflicts of a particular type should be resolved. This section describes how to implement custom conflict resolutions during the restoration.","Custom Conflict Resolutions","68852.htm");
Page[61]=new Array("Conflict descriptions returned by the  pleskrestore utility contain message elements included for GUI generation purposes. Despite the self-explanatory character of XML conflict descriptions, the values of the message elements may be confusing, so this section describes the meanings of these messages as they are displayed in Plesk GUI.","&nbsp;","Value of message element","Message displayed in Plesk GUI","backup__restore__object_vhost","Virtual host","backup__restore__object_plesk_admin","server administrator","backup__restore__conflict_object_name","&lt;object name&gt;","backup__restore__conflict_object_complex_name","&lt;object name&gt; of &lt;group name&gt;","backup__restore__conflict_object_mailname","&lt;mail name&gt;@&lt;domain name&gt;","backup__restore__object_ftpuser","FTP account","backup__restore__object_webuser","web user","backup__restore__object_domain","subscription name or domain name","backup__restore__object_subdomain","subdomain","backup__restore__object_domainalias","domain alias","backup__restore__object_client","customer","backup__restore__object_reseller","reseller","backup__restore__object_autoresponder","auto-reply","backup__restore__object_mailalias","mail alias","backup__restore__object_database","database","backup__restore__object_mailname","mail account","backup__restore__conflict_timing_reason_owner_absent","Cannot restore object: object owner is not specified","backup__restore__conflict_timing_reason_wrong_owner","Cannot restore object: object owner does not exist in Plesk","backup__restore__conflict_timing_reason_object_already_exists","Cannot restore &lt;object name&gt;: &lt;object name&gt; &lt;object type&gt; already exists in Plesk","backup__restore__conflict_configuration_reason_ip","Cannot restore object: required IP address &lt;IP&gt; not found in owner's IP pool","backup__restore__conflict_configuration_reason_db","Cannot restore database: required database server &lt;host&gt; is not registered in Plesk ","backup__restore__conflict_configuration_reason_site_app","Cannot restore web application: required web application &lt;application name&gt; not found in owner's web application pool ","backup__restore__conflict_unique_reason_name_already_used","Cannot restore &lt;object&gt;: name &lt;unique resource name&gt; is already used in Plesk by another &lt;object&gt; ","backup__restore__conflict_resource_usage_reason","Cannot restore object: resource limit &lt;limit name&gt; will be exceeded (required: &lt;value&gt;, available: &lt;value&gt;) ","Conflict Description Messages","68853.htm");
Page[62]=new Array("Custom rules and policies are defined in a file of XML format. Using this file, you can define how a particular conflict or all conflicts of a particular type should be resolved. The XML file contains two main sections: for policies and (optionally) for rules. The format of each section is described below.","Policies","The file should be structured as follows.","conflict-resolution-rules<br>Required. Document root element.","policy","Required. Contains the policy descriptions. Child elements, if present, must be placed in the order shown on the scheme.","timing<br>Optional. Contains a description of the policy on resolving timing conflicts. See the structure below.<br>Must be present in the document if a timing policy should be used during the restore.<br>May not be present in the document if no policy is required for timing conflicts.","resource-usage<br>Optional. Contains a description of the policy on resolving resource usage conflicts. See the structure below.<br>Must be present in the document if a resource usage policy should be used during the restore.<br>May not be present in the document if no policy is required for resource usage conflicts.","configuration<br>Optional. Contains a description of the policy on resolving configuration conflicts. See the structure below.<br>Must be present in the document if a configuration policy should be used during the restore.<br>May not be present in the document if no policy is required for configuration conflicts.","rule<br>Optional. Contains the rule descriptions. For details on the node structure, refer to the Rules section below.","The policy elements have the same structure:","@@@","resolution<br>Required. Contains a definition of conflict resolution. Structured as follows:","The resolution element must not be empty, it is required that it contains one, and only one of its child elements:","do-not-restore<br>Sets the Do Not Restore resolution, empty value.","proceed-with-current<br>Sets the Proceed With Current resolution, empty value.","automatic<br>Sets the Automatic resolution, empty value.","overuse<br>Sets  the Overuse resolution, empty value.","overwrite<br>Sets  the Overwrite resolution, empty value.","rename<br>Sets  the Rename resolution, empty value.","new-name<br>Required. Makes sense only if defined for configuration conflicts. Specifies the name of a new configuration that should be assigned to all conflict objects. The value must be a string.","The samples of policy description can be found here.","Rules","The file should be structured as follows. ","conflict-resolution-rules<br>Required. Document root element.","policy<br>Required. Contains the policy descriptions. For details on the node format, refer to the Policies section above.<br>The element content must reflect the conditions under which the conflicts were detected.","rule<br>Optional. Contains a rule description. <br>Must be present in the document when defining conflict resolution rules. Should be present as many times as the number of unresolved conflicts.","At least one of the attributes (conflict-id, conflict-guid) MUST be present.","conflict-id<br>Optional. Defines the ID of the conflict being resolved. Value is an integer.<br>The ID should be obtained from the conflict description returned by pleskrestore (the &quot;/conflicts-description/conflict[@id]&quot; attribute value)","conflict-guid<br>Optional. Defines the global ID of the conflict being resolved. Value is a string.<br>The GUID should be obtained from the conflict description returned by pleskrestore (the &quot;/conflicts-description/conflict[@guid]&quot; attribute value). <br>If omitted, the conflict for resolution is identified by ID. ","dump-objects<br>Optional. Holds a collection of descriptions of backup objects involved in the conflict and having the same conflict resolution <br>Must be present in the document in case when different objects involved in the same conflict should be resolved in different ways.<br>May not be present in the document in cases when all objects involved in the conflict should be resolved the same way.<br>See the structure below.","resolution<br>Required. Contains a definition of the resolution of the conflict. See the structure below.","&nbsp;","dump-objects structure:","node<br>Required. Contains a description of the backup object involved in the conflict.<br>The element contents must be taken from the conflict description returned by pleskrestore (the &quot;/conflicts-description/conflict/conflicting-objects/node&quot; element).<br>Structured as follows:","name<br>Required. Specifies the object type. Value must be a string.","context<br>Optional. Holds a collection of data specifying the object position in the backup.","path<br>Required if the context element is present in the document. Specifies the location of the object definition in the backup metadata. Value must be a string conforming to the XPath notation.","attributes<br>Required, holds a collection of the object properties.","attribute<br>Required. Specifies a particular property of the object (e.g., login, ID, GUID, etc.), empty value.","name<br>Required. Specifies the property name. Value must be a string.","value<br>Required. Specifies the property value. Value must be a string.","&nbsp;","resolution structure:","The resolution element must not be empty. It is required that it contains one, and only one of its child elements:","do-not-restore<br>Sets the Do Not Restore resolution for the conflict, empty value.","proceed-with-current<br>Sets the Proceed With Current resolution for the conflict, empty value.","automatic<br>Sets the Automatic resolution for the conflict, empty value.","overuse<br>Sets the Overuse resolution for the conflict, empty value.","overwrite<br>Sets the Overwrite resolution for the conflict, empty value.","rename<br>Sets the Rename resolution for the conflict, empty value.","new-name<br>Required. Specifies the name of a unique resource that should be assigned to the conflicting objects. Value must be a string.<br>Makes sense only for unique resource usage conflicts (mapping of IP, database server, object owner).","&nbsp;","Resolutions Description Format","68854.htm");
Page[63]=new Array("The default conflict resolution policies are described in the following XML:","&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;conflict-resolution-rules&gt;","  &lt;policy&gt;","    &lt;timing&gt;","      &lt;resolution&gt;","        &lt;proceed-with-current /&gt;","      &lt;/resolution&gt;","    &lt;/timing&gt;","    &lt;resource-usage&gt;","      &lt;resolution&gt;","        &lt;do-not-restore /&gt;","      &lt;/resolution&gt;","    &lt;/resource-usage&gt;","    &lt;configuration&gt;","      &lt;resolution&gt;","        &lt;automatic /&gt;","      &lt;/resolution&gt;","    &lt;/configuration&gt;","  &lt;/policy&gt;","&lt;/conflict-resolution-rules&gt;","&nbsp;","The following conflict resolution file resolves all configuration conflicts with database mapping. This can be done if all configuration conflicts beyond default policies appear because a database server defined in the backup is missed in the target Plesk installation.","&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;conflict-resolution-rules&gt;","  &lt;policy&gt;","    &lt;configuration&gt;","      &lt;resolution&gt;","        &lt;rename new-name=&quot;host:192.0.2.12:port:3306&quot;/&gt;","      &lt;/resolution&gt;","    &lt;/configuration&gt;","  &lt;/policy&gt;","&lt;/conflict-resolution-rules&gt;","Samples of Policy Description","68858.htm");
Page[64]=new Array("This section contains examples of conflicts that may appear and their possible resolutions.","Samples of Conflict Resolution With Rules","68859.htm");
Page[65]=new Array("This sample represents descriptions of a conflict which was unresolved upon using default policies, and its resolution.","The conflict appears because of the following mismatch in backup data and the destination Plesk configuration:","&nbsp;","Backup","Destination Plesk","Subscription example.com owned by the reseller with ID 30 has web hosting configured on shared IP address 192.0.2.200.","Reseller with ID 30 does not have shared IP address 192.0.2.200 in his or her IP pool.","The conflict is resolved with IP mapping suggesting that the restored subscription will be hosted on shared IP 192.0.2.34 which is in the owner's IP pool.","Note that the conflict resolution XML contains no conflict resolution policies.","Sample 1: Configuration Conflict with Missing IP Address","68860.htm");
Page[66]=new Array("&lt;conflicts-description&gt;","	&lt;conflict id=&quot;0&quot;&gt;  ","    &lt;type&gt;","      &lt;configuration&gt;","        &lt;reason-description&gt;","          &lt;required-resource-description&gt;","            &lt;ip type=&quot;shared&quot; value=&quot;192.0.2.200&quot;&gt;&lt;/ip&gt;","          &lt;/required-resource-description&gt;        ","          ","          &lt;plesk-object-identifier&gt;","          &lt;!-- beginning of definition of Plesk object that conflicts with an object in the backup --&gt;","          &lt;!-- In resource usage conflicts, the plesk-object-identifier element specifies Plesk object which is an owner of the conflicting resource. In this example, the conflicting resource is IP, and its owner is a described reseller with ID 30. --&gt;","            &lt;type&gt;reseller&lt;/type&gt;","            &lt;database-id&gt;30&lt;/database-id&gt;","            &lt;guid&gt;93dbe1b1-cff5-430f-8466-5b810099772f&lt;/guid&gt;","          &lt;/plesk-object-identifier&gt;","          &lt;!-- end of definition of Plesk object that conflicts with an object in the backup --&gt;          ","        &lt;/reason-description&gt;","        ","        &lt;resolve-options&gt;","          &lt;option name=&quot;do-not-restore&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;rename&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;automatic&quot;&gt;&lt;/option&gt;","        &lt;/resolve-options&gt;","        &lt;!-- resolve-options element lists all resolutions that are possible for this particular conflict. When composing the conflict resolution rule, you should choose one of these resolutions. --&gt;","        ","      &lt;/configuration&gt;","    &lt;/type&gt;","    ","    &lt;conflicting-objects&gt;","    &lt;!-- beginning of definition of backup objects that conflict with destination Plesk objects. Here, it is a domain example.com --&gt;","      &lt;node children-processing-type=&quot;&quot; name=&quot;domain&quot;&gt;","        &lt;attributes&gt;","          &lt;attribute name=&quot;id&quot; value=&quot;25&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;guid&quot; value=&quot;0822c175-a10d-459e-bd3a-e5cbc497e1f0&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;owner-guid&quot; value=&quot;93dbe1b1-cff5-430f-8466-5b810099772f&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;name&quot; value=&quot;example.com&quot;&gt;&lt;/attribute&gt;","        &lt;/attributes&gt;","      &lt;/node&gt;","    &lt;/conflicting-objects&gt;  ","    &lt;!-- end of definition of backup objects that conflict with destination Plesk objects --&gt;    ","    ","    &lt;overview&gt;","    &lt;!-- beginning of more detailed conflict overview. Here, the conflict appears because the required IP 192.0.2.200 is not in the owner's IP pool --&gt;","      &lt;object&gt;","        &lt;message&gt;backup__restore__conflict_object_name&lt;/message&gt;","        &lt;name&gt;example.com&lt;/name&gt;","        &lt;type&gt;domain&lt;/type&gt;","        &lt;reasons&gt;","          &lt;reason&gt;","            &lt;message&gt;backup__restore__conflict_configuration_reason_ip&lt;/message&gt;            ","            &lt;param name=&quot;ip-address&quot; value=&quot;192.0.2.200&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;ip-type&quot; value=&quot;shared&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;type&quot; value=&quot;reseller&quot;&gt;&lt;/param&gt;            ","          &lt;/reason&gt;","        &lt;/reasons&gt;","      &lt;/object&gt;","    &lt;/overview&gt;","    &lt;!-- end of detailed conflict overview  --&gt;","    ","  &lt;/conflict&gt;","&lt;/conflicts-description&gt;","Conflicts Description","68861.htm");
Page[67]=new Array("&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;resolve-conflicts-task-description&gt;","  &lt;conflict-resolution-rules&gt;","    &lt;policy /&gt;","    &lt;rule conflict-id=&quot;0&quot;&gt;","      &lt;dump-objects&gt;","        &lt;node name=&quot;domain&quot;&gt;","          &lt;attributes&gt;","          &lt;attribute name=&quot;id&quot; value=&quot;25&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;guid&quot; value=&quot;0822c175-a10d-459e-bd3a-e5cbc497e1f0&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;owner-guid&quot; value=&quot;93dbe1b1-cff5-430f-8466-5b810099772f&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;name&quot; value=&quot;example.com&quot;&gt;&lt;/attribute&gt;","          &lt;/attributes&gt;","        &lt;/node&gt;","      &lt;/dump-objects&gt;","      &lt;resolution&gt;","      &lt;!-- beginning of the conflict resolution definition: IP mapping: upon restore, the conflicting domain example.com should have hosting configured on IP 192.0.2.34 --&gt;","        &lt;rename new-name=&quot;ip-type:shared:ip-address:192.0.2.34&quot;/&gt;","      &lt;/resolution&gt;","      &lt;!-- end of the conflict resolution definition --&gt;","    &lt;/rule&gt;","  &lt;/conflict-resolution-rules&gt;","&lt;/resolve-conflicts-task-description&gt;","Conflicts Resolution","68862.htm");
Page[68]=new Array("This sample shows a description and resolution of configuration conflicts which was unresolved due to the absence of the required database server on the destination server.","The conflicts appear because of the following mismatches in backup data and destination Plesk configuration.","Backup","Destination Plesk","Domain sample.net has database mysql_db2_7469 on the MySQL database server with host name 192.0.2.15 listening on port 3306.","No MySQL servers configured on host 192.0.2.15.","Domain 69.sample.net has database mysql_db1_6319 on the MySQL database server with host name 192.0.2.15 listening on port 3306.","These conflicts are resolved with database mapping (Rename resolution) suggesting that the first databases will be restored onto the MySQL server with host name 192.0.2.12, and the second onto the local MySQL database server.","Sample 2: Configuration Conflict With Missing Database Server","68863.htm");
Page[69]=new Array("&lt;conflicts-description&gt;","  &lt;conflict id=&quot;0&quot;&gt;","    &lt;type&gt;","      &lt;configuration&gt;","        &lt;reason-description&gt;","          &lt;required-resource-description&gt;","            &lt;db-server host=&quot;192.0.2.15&quot; type=&quot;mysql&quot; port=&quot;3306&quot;&gt;&lt;/db-server&gt;","          &lt;/required-resource-description&gt;          ","          &lt;plesk-object-identifier&gt;","          &lt;!-- beginning of definition of Plesk object that conflicts with an object in the backup. In resource usage conflicts it is owner of the conflicting resource. Here, it is Plesk administrator who is the owner of all database servers --&gt;","            &lt;type&gt;admin&lt;/type&gt;","            &lt;database-id&gt;1&lt;/database-id&gt;","            &lt;guid&gt;00000000-0000-0000-0000-000000000000&lt;/guid&gt;","          &lt;/plesk-object-identifier&gt;","          &lt;!-- end of definition of Plesk object that conflicts with an object in the backup --&gt;","          ","        &lt;/reason-description&gt;","        &lt;resolve-options&gt;","          &lt;option name=&quot;do-not-restore&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;rename&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;automatic&quot;&gt;&lt;/option&gt;","        &lt;/resolve-options&gt;","      &lt;/configuration&gt;","    &lt;/type&gt;","    &lt;conflicting-objects&gt;","    &lt;!-- beginning of definition of backup objects that conflict with destination Plesk objects. Here, it is database mysql_db2_7469  --&gt;","      &lt;node children-processing-type=&quot;&quot; name=&quot;database&quot;&gt;","        &lt;attributes&gt;","          &lt;attribute name=&quot;guid&quot; value=&quot;86124f4a-5935-48c4-80df-6d3e9c645378_db_20&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;owner-guid&quot; value=&quot;86124f4a-5935-48c4-80df-6d3e9c645378&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;name&quot; value=&quot;mysql_db2_7469&quot;&gt;&lt;/attribute&gt;","        &lt;/attributes&gt;","      &lt;/node&gt;","    &lt;/conflicting-objects&gt;","    &lt;!-- end of definition of backup objects that conflict with destination Plesk objects --&gt;","    &lt;overview&gt;","    &lt;!-- beginning of detailed overview of the conflict. This conflict appears because database mysql_db2_7469 requires MySQL database server with host name 192.0.2.15 listening on port 3306, which is not configured on the destination Plesk. --&gt;","      &lt;object&gt;","        &lt;message&gt;backup__restore__conflict_object_complex_name&lt;/message&gt;","        &lt;name&gt;mysql_db2_7469&lt;/name&gt;","        &lt;type&gt;database&lt;/type&gt;","        &lt;owner-name&gt;sample.net&lt;/owner-name&gt;","        &lt;reasons&gt;","          &lt;reason&gt;","            &lt;message&gt;backup__restore__conflict_configuration_reason_db&lt;/message&gt;","            &lt;param name=&quot;db-type&quot; value=&quot;mysql&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;db-host&quot; value=&quot;192.0.2.15&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;db-port&quot; value=&quot;3306&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;type&quot; value=&quot;admin&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;name&quot; value=&quot;backup__restore__object_plesk_admin&quot;&gt;&lt;/param&gt;","          &lt;/reason&gt;","        &lt;/reasons&gt;","      &lt;/object&gt;","    &lt;/overview&gt;","    &lt;!-- end of detailed overview of the conflict --&gt;","  &lt;/conflict&gt;","  &lt;!-- =============== begin new conflict description =============== --&gt;  ","  &lt;conflict id=&quot;1&quot;&gt;","    &lt;type&gt;","      &lt;configuration&gt;","        &lt;reason-description&gt;","          &lt;required-resource-description&gt;","            &lt;db-server host=&quot;192.0.2.15&quot; type=&quot;mysql&quot; port=&quot;3306&quot;&gt;","&lt;/db-server&gt;","          &lt;/required-resource-description&gt;","          &lt;plesk-object-identifier&gt;","          &lt;!-- beginning of definition of Plesk object that conflicts with an object in the backup. In resource usage conflicts it is the owner of the conflicting resource. Here, it is Plesk administrator who is the owner of all database servers --&gt;","            &lt;type&gt;admin&lt;/type&gt;","            &lt;database-id&gt;1&lt;/database-id&gt;","            &lt;guid&gt;00000000-0000-0000-0000-000000000000&lt;/guid&gt;","          &lt;/plesk-object-identifier&gt;","          &lt;!-- end of definition of Plesk object that conflicts with an object in the backup --&gt;","        &lt;/reason-description&gt;","        ","        &lt;resolve-options&gt;","          &lt;option name=&quot;do-not-restore&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;rename&quot;&gt;&lt;/option&gt;","          &lt;option name=&quot;automatic&quot;&gt;&lt;/option&gt;","        &lt;/resolve-options&gt;","      &lt;/configuration&gt;","    &lt;/type&gt;","    ","    &lt;conflicting-objects&gt;","    &lt;!-- beginning of definition of backup objects that conflict with destination Plesk objects. Here, it is database mysql_db1_6319  --&gt;","      &lt;node children-processing-type=&quot;&quot; name=&quot;database&quot;&gt;","        &lt;attributes&gt;","          &lt;attribute name=&quot;guid&quot; value=&quot;e1fbb4b2-538b-4542-9220-56808741a3d3_db_19&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;owner-guid&quot; value=&quot;e1fbb4b2-538b-4542-9220-56808741a3d3&quot;&gt;&lt;/attribute&gt;","          &lt;attribute name=&quot;name&quot; value=&quot;mysql_db1_6319&quot;&gt;&lt;/attribute&gt;","        &lt;/attributes&gt;","      &lt;/node&gt;","    &lt;/conflicting-objects&gt;","    &lt;!-- end of definition of backup objects that conflict with destination Plesk objects --&gt;","    &lt;overview&gt;","    &lt;!-- beginning of detailed overview of the conflict. This conflict appears because database mysql_db1_6319 requires MySQL database server with host name 192.0.2.15 listening on port 3306, which is not configured on the destination Plesk server. --&gt;","      &lt;object&gt;","        &lt;message&gt;backup__restore__conflict_object_complex_name&lt;/message&gt;","        &lt;name&gt;mysql_db1_6319&lt;/name&gt;","        &lt;type&gt;database&lt;/type&gt;","        &lt;owner-name&gt;69.sample.net&lt;/owner-name&gt;","        &lt;reasons&gt;","          &lt;reason&gt;","            &lt;message&gt;backup__restore__conflict_configuration_reason_db&lt;/message&gt;","            &lt;param name=&quot;db-type&quot; value=&quot;mysql&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;db-host&quot; value=&quot;192.0.2.15&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;db-port&quot; value=&quot;3306&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;type&quot; value=&quot;admin&quot;&gt;&lt;/param&gt;","            &lt;param name=&quot;name&quot; value=&quot;backup__restore__object_plesk_admin&quot;&gt;&lt;/param&gt;","          &lt;/reason&gt;","        &lt;/reasons&gt;","      &lt;/object&gt;","    &lt;/overview&gt;","    &lt;!-- end of detailed overview of the conflict --&gt;","  &lt;/conflict&gt;","&lt;/conflicts-description&gt;","Conflicts Description","68864.htm");
Page[70]=new Array("&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;","&lt;resolve-conflicts-task-description&gt;","  &lt;conflict-resolution-rules&gt;","    &lt;policy /&gt;","    &lt;rule conflict-id=&quot;0&quot;&gt;","    &lt;!-- beginning of the first conflict resolution rule: restore the database described in the  node  element on local MySQL server listening on the port 3306 --&gt;","      &lt;dump-objects&gt;","        &lt;node name=&quot;database&quot;&gt;","          &lt;attributes&gt;","            &lt;attribute name=&quot;name&quot; value=&quot;mysql_db2_7469&quot;/&gt;","          &lt;/attributes&gt;","        &lt;/node&gt;","      &lt;/dump-objects&gt;","      &lt;resolution&gt;","        &lt;rename new-name=&quot;host:192.0.2.12:port:3306&quot;/&gt;","      &lt;/resolution&gt;","    &lt;/rule&gt;","    &lt;!-- end of the first conflict resolution rule --&gt;","    &lt;rule conflict-id=&quot;1&quot;&gt;","    &lt;!-- beginning of the second conflict resolution rule: restore the database described in the  node  element on local MySQL server listening on the port 3306 --&gt;","      &lt;dump-objects&gt;","        &lt;node name=&quot;database&quot;&gt;","          &lt;attributes&gt;","            &lt;attribute name=&quot;name&quot; value=&quot;mysql_db1_6319&quot;/&gt;","          &lt;/attributes&gt;","        &lt;/node&gt;","      &lt;/dump-objects&gt;","      &lt;resolution&gt;","        &lt;rename new-name=&quot;host:localhost:port:3306&quot;/&gt;","      &lt;/resolution&gt;","    &lt;/rule&gt;   ","    &lt;!-- end of the second conflict resolution rule --&gt; ","  &lt;/conflict-resolution-rules&gt;","&lt;/resolve-conflicts-task-description&gt;","Conflicts Resolution","68865.htm");
Page[71]=new Array("Location","$PRODUCT_ROOT_D/bin/pleskbackup where the $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems.&nbsp;","Usage","pleskrestore &lt;command&gt; [&lt;arguments&gt;] [&lt;options&gt;]","Commands","Command","Argument","Description ","--restore","&lt;backup_file&gt;","Restores data from the specified backup.","Requires the -level option.","--check-backup","&lt;backup_file&gt;","Checks integrity of the specified backup file, which is:","backup digital sign match","backup file format","content files integrity","--get-restore-task-status","&lt;task ID&gt;","Displays the status of a restoration task while the restoration is being implemented. You can get the task ID using the -async option with the --restore command.","-i|--info ","&lt;backup_file&gt;","Shows the backup file description.","-h|--help ","Displays help on the utility usage.","Options","Option","Argument","Description ","-level","clients|resellers|domains|server","Specifies restore level.","Required with the --restore command.","-filter","&lt;file&gt;|&lt;list:&lt;item1_name&gt;[,&lt;item2_name&gt;[,...]]&gt;","Specifies list of subscriptions, customer or reseller names for restoring. The object names are listed either in a specified file, one per line, or as the option argument, separated by commas.","-only-mailnames","&lt;file | list:item1[,...]&gt;","Specifies a list of mailboxes for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is &lt;mailbox&gt;@&lt;domain_name&gt;.","Use the additional option -domain-name to specify the subscription for which you want to restore the mailboxes.","-only-maillists","&lt;file | list:item1[,...]&gt;","Specifies a list of mailing lists for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is &lt;mailing list&gt;@&lt;domain_name&gt;. ","Use the additional option -domain-name to specify the subscription for which you want to restore the mailing lists.","-only-databases","&lt;file | list:item1[,...]&gt;","Specifies a list of databases for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is [&lt;server_type&gt;:[&lt;server_host&gt;:[&lt;server_port&gt;:]]]&lt;database_name&gt;, where server_type can be mysql, mssql, or postgresql. ","Use the additional option -domain-name to specify the subscription for which you want to restore the databases.","-only-web-content","file | list:item1[,...]&gt;","Specifies a list of files or directories for restoration. The list can be read from a file or specified in a  comma-separated list. Paths to files and directories should be relative to the subscription root. ","Use the additional option -domain-name to specify the subscription for which you want to restore the files","-only-sites","file | list:item1[,...]&gt;","Specifies a list of sites for restoration. The list can be read from a file or specified in a comma-separated  list. The format of a list item is &lt;domain_name&gt;. ","Use the additional option -domain-name to specify the  subscription for which you want to restore the sites.","-only-dns-zones","file | list:item1[,...]&gt;","Specifies a list of DNS zones for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is &lt;domain_name&gt;. ","Use the additional option -domain-name to specify the subscription for which you want to restore the DNS zones.","-only-certificates","file | list:item1[,...]&gt;","Specifies a list of SSL certificates for restoration. The list can be read from a file or specified in a comma-separated list. The format of a list item is &lt;certificate_name&gt;[:&lt;domain_name&gt;].  ","Use the additional  option -domain-name to specify the subscription for which you want to restore the certificates.","-domain-name","&lt;domain_name&gt;","Specifies the domain name. Used with the -only-mailnames, -only-maillists, -only-databases, -only-web-content, -only-dns-zones, -only-sites or -only-certificates options.","-configuration-only","Restores configuration only (without content). Used with the -level, -only-mailnames, -only-databases, -only-sites and -only-maillists options.","-content-only","Restores content only (without configuration). Used with the -only-mailnames, -only-databases, -only-sites and -only-maillists options.","-server-pool","Specifies that SSL certificates are from the server pool. Use with the -only-certificates option.","-license","Restores Plesk license key from the backup.","-verbose","Enables verbose restore mode.","-quiet","Enables quiet restore mode.","-debug","Enables debugging restore mode.","-nowarning","Do not display warning messages.","-conflicts-resolution","&lt;file&gt;","Specifies file that describes conflict resolution policies and rules.","-dump-file","&lt;backup_file&gt;","Specifies a backup file to restore. ","-param-file","&lt;param_file&gt;","Specif parameters file.","-suspend","Suspends the sites being restored.","-backup-password","&lt;password&gt;","If you used password protection for a backup, use this option to specify the password. You can also set the password with the environment variable PLESK_BACKUP_PASSWORD, this is a more secure way.","-ignore-backup-password","Allows you to restore a backup without providing the backup  password. Note that in this case, some sensitive data will not be restored properly. For example, user passwords will be replaced with random ones, the information about already installed APS apps will be lost, and so on.","-ignore-sign","Allows restoring backups that are created on other servers or in Plesk versions earlier than 11.5. ","Warning: If you use this option, Plesk will restore the backup file even if it is corrupted or modified manually.","-async","Restores the backup asynchronously, which means it returns the restoration task's identifier, which you can use later to retrieve the task's status. Used with the --restore command.","Restoration Utility Commands and Options","68866.htm");
Page[72]=new Array("You can migrate data to Plesk 12.5 from other servers managed by earlier Plesk versions by using the Plesk's Migration &amp; Transfer Manager function. This function is available in Server Administration Panel &gt; Tools &amp; Settings &gt; Migration &amp; Transfer Manager if the corresponding component is installed on the server. This component is not included in typical installations. Alternatively, in case of a large amount of data, you can automate migration using the migrate command-line utility. ","For detailed information about migrating data to Plesk-managed servers, refer to the Deployment Guide.","Migrating and Transferring Data","68867.htm");
Page[73]=new Array("The PCI Data Security Standard (PCI DSS)","The PCI DSS is a security standard that helps organizations to proactively protect customer account data. The standard constantly evolves to remain viable in today's rapidly changing Internet and computing environment. It is reviewed at least every 24 months, and can be updated at any time. To learn more about the standard, visit www.pcisecuritystandards.org.","Compliance with PCI DSS and PA DSS","Credit card companies require compliance with PCI DSS for every entity that is involved in the storage, processing, or transmission of credit card information.  Failure to comply can result in denial or revocation of your organization's facility to process credit cards.","Furthermore, as these standards have become widely recognized, non-compliance places your organization at risk of legal and/or civil consequences if credit card information becomes compromised.","Compliance with PCI DSS is necessary whether or not you use Plesk to process transactions online. Even if you use a POS terminal or other methods to process transactions, and simply retain information in Plesk, you must ensure proper use of the program to maintain the security and confidentiality of customer data.","Since July 1, 2010, Credit Card Processors and Bank Card Acquirers have had to ensure that merchants and agents use only Payment Application Data Security Standard (PA DSS) compliant applications. Plesk is certified as compliant under the security standard that applies to software vendors that develop applications for sale to merchants to process and/or store cardholder data.","Plesk PCI DSS Compliance","To protect sensitive data hosted on your server and to make Plesk PCI DSS compliant, you should implement special security measures. Regardless of an operating system type you use, the measures are as follows:","Ensure that software incorporates all security updates.","Set up encryption of remote connections.","Prohibit access to databases server from external addresses.","Disable weak SSL ciphers and protocols for web servers, mail servers, and components.","Prevent services from disclosing information about your data and versions of software you use. ","PCI DSS Compliance","75623.htm");
Page[74]=new Array("This section describes the steps that you should perform if you want to secure your server and achieve compliance with PCI DSS on a Linux server.","Installing the latest version of Software","Before you begin, it is recommended to update all the software on you server to the latest versions, if it is possible.","Disabling weak SSL ciphers and protocols","Then you need to run the PCI Compliance Resolver utility available from the Plesk installation directory. It will disable weak SSL/TLS ciphers and protocols for web and e-mail servers operated by Plesk, along with other security changes.","To run the utility:","Log in to the server shell.","Issue the following command:","plesk sbin pci_compliance_resolver {--enable|--disable} [&lt;service&gt;] ","The following values may be used for the &lt;service&gt; argument:","panel - Applying security changes for sw-cp-server (nginx for Plesk).","apache - Applying security changes for Apache server.","courier - Applying security changes for Courier IMAP.","dovecot - Applying security changes for Dovecot.","qmail - Applying security changes for qmail.","postfix - Applying security changes for Postfix MTA.","proftpd - Applying security changes for ProFTPd.","all - Applying security changes for all installed services described above. This is a default value.","Running the utility with the&nbsp;--enable&nbsp;option applies the following security changes to the specified services:","Sets the following list of ciphers: &#8220;EECDH+AESGCM+AES128:EECDH+AESGCM+AES256:EDH+AESGCM+AES128:EDH+AESGCM+AES256:EECDH+SHA256+AES128:EECDH+SHA384+AES256:EDH+SHA256+AES128:EDH+SHA256+AES256:EECDH+SHA1+AES128:EECDH+SHA1+AES256:EDH+SHA1+AES128:EDH+SHA1+AES256:EECDH+HIGH:EDH+HIGH:AESGCM+AES128:AESGCM+AES256:SHA256+AES128:SHA256+AES256:SHA1+AES128:SHA1+AES256:HIGH:!aNULL:!eNULL:!EXPORT:!DES:!RC4:!MD5:!PSK:!KRB5:!aECDH:!EDH+3DES&#8221;.","On the latest versions of operating systems, sets the following protocols:&nbsp;&quot;TLSv1.1 TLSv1.2&quot;. On the older versions (including Centos 5, Red Hat Enterprise Linux 5, Debian 6, CloudLinux 5), sets the following protocols: &quot;TLSv1&nbsp;TLSv1.1&nbsp;TLSv1.2&quot; (actually, only TLSv1 will work on those operating systems).","Sets DH parameter's size to 2048.","Disables SSL/TLS compression.","Sets disable_plaintext_auth = yes for Dovecot. ","Disallows plaintext authentication for non-encrypted connections for Courier.","Running the utility with the&nbsp;--disable&nbsp;option partly reverts the changes made by the utility with the&nbsp;--enable&nbsp;option. In particular, the DH parameter size and SSL/TLS compression settings remain as is, the list of cyphers and protocols are reverted to the default set (this set contains the &quot;TLSv1 TLSv1.1 TLSv1.2&quot; protocols and the &quot;HIGH:!aNULL:!MD5&quot; cyphers). ","If you need to change protocols and/or cyphers for all services, you can call the server_pref utility (the details of using this utility can be found here).","If you need to set specific parameters for some services, call manually the&nbsp;sslmng&nbsp;utility:","plesk sbin sslmng --ciphers=&quot;EECDH+AESGCM+AES128:EECDH+AESGCM+AES256:EDH+AESGCM+AES128:EDH+AESGCM+AES256:EECDH+SHA256+AES128:EECDH+SHA384+AES256:EDH+SHA256+AES128:EDH+SHA256+AES256:EECDH+SHA1+AES128:EECDH+SHA1+AES256:EDH+SHA1+AES128:EDH+SHA1+AES256:EECDH+HIGH:EDH+HIGH:AESGCM+AES128:AESGCM+AES256:SHA256+AES128:SHA256+AES256:SHA1+AES128:SHA1+AES256:HIGH:!aNULL:!eNULL:!EXPORT:!DES:!RC4:!MD5:!PSK:!KRB5:!aECDH:!EDH+3DES&quot; --protocols=&quot;TLSv1.1 TLSv1.2&quot; --strong-dh --disable-tls-compression","Add the option &quot;--service &lt;some_service&gt;&quot; to the command above and change SSL/TLS settings of a particular service if you need.","Note: The changes made by the sslmng utility can be overwritten by the subsequent call of the server_pref utility or by Plesk update.","Limitations","There are the following limitations:","The protocols for qmail mail agent cannot be configured, therefore qmail is not secure enough to satisfy PCI DSS. It is recommended to use Postfix instead.","Ciphers for qmail cannot be changed via Plesk utilities (though it is possible to change them via the configuration file).  ","TLSv1.1, TLSv1.2 are not supported on CentOS 5, Red Hat Enterprise Linux 5, CloudLinux 5, Debian 6.","DH parameter's size cannot be managed for ProFTPd.","DH parameter's size cannot be managed for Apache from OS vendor (CentOS 5, Red Hat Enterprise Linux 5, CloudLinux 5).","SSL/TLS compression is not disabled on Debian 6, Debian 7 for ProFTPd, Dovecot, and Postfix.","Prohibiting external access to the MySQL database server","You also need to prohibit access to MySQL database server from external addresses. To do this, run the following command:","plesk sbin mysqlmng --bind-address local","Protecting information about files","To alleviate security risks arising from disclosure of information about files and their properties by Apache Web server, configure the FileETag directive in the Web server configuration file.","To do this:","Open for editing the Web server's configuration file.","On Debian and Ubuntu, it is located at&nbsp;/etc/apache2/apache2.conf.","On other distributions of Linux, it is located at&nbsp;/etc/httpd/conf/httpd.conf.","Locate the line&nbsp;FileETag INode MTime Size&nbsp;and remove the&nbsp;INode&nbsp;keyword from this line.","Save the file.","Restart the Web server.","On Debian package-based systems, issue the command&nbsp;/etc/init.d/apache2 restart.","On RPM package-based systems, issue the command&nbsp;/etc/init.d/httpd restart.","Securing FTP access","To prevent ProFTPd from showing information about its version on FTP connections:","Open for editing the ProFTPd configuration file&nbsp;/etc/proftpd.conf.","Insert the following line into the file:&nbsp;ServerIdent off.","Save the file.","If you allow FTP connections to your server, you must prohibit all FTP connections except secure FTPS connections.","To allow only FTPS connections to your server:","Go to&nbsp;Tools &amp; Settings&nbsp;&gt;&nbsp;Security Policy.","Select the option&nbsp;Allow only secure FTPS connections&nbsp;for&nbsp;FTP usage policy.","Tune Plesk to Meet PCI DSS on Linux","65871.htm");
Page[75]=new Array("Apache, FTP, mail and other system services write information on their functioning to log files. These files are periodically analyzed by the statistics utility that parses logs and inserts the resource usage data into the psa database.","Two other utilities, Webalizer and AWstats, also parse the services logs and generate HTML files with the statistical data.","Details about where the log files reside and how the utilities process them are given in this chapter.","System Services Logs","System services logs contain traffic usage data and operational details that might be useful for troubleshooting (for example, errors and access information). ","Logs of the two services that are responsible for Plesk operation, sw-cp-server and sw-engine, are the following:"," /var/log/sw-cp-server/error_log - the error log of the sw-cp-server (web server nginx) ."," /var/log/sw-cp-server/sw-engine.log - the  error log of the sw-engine (PHP process manager PHP-FPM).","The Plesk log file is the following:","/var/log/plesk/panel.log - contains PHP messages and messages related to the operations of Plesk.","Domain logs are stored in $HTTPD_VHOSTS_D/system/&lt;domain_name&gt;/logs/. These are logs produced by web, FTP and mail services for each domain. Usually, the $HTTPD_VHOSTS_D variable's value is /var/www/vhosts. Also, $HTTPD_VHOSTS_D contains a different path if you changed the location of virtual host directories using the transvhosts.pl utility.","To save disk space, Plesk rotates logs: it removes the information written before a specified date or the least relevant information when the log size reaches a limit. For more information on logs rotation, see the section Log Rotation.","Processing Statistics","Once a day, Plesk runs the statistics utility. This gets the statistical data from the services log files, calculates daily traffic usage values for each domain and customer, and writes these values to the DomainsTraffic and the ClientsTraffic tables of the psa database. You can also run the statistics utility manually to calculate statistics for all domains or a particular domain. For details, see the section Calculating Statistics from Logs.","Webalizer and AWstats are third-party utilities that represent statistical information from log files in the HTML format. These utilities store the files for each domain in the subdirectories of /var/www/vhosts/&lt;domain_name&gt;/statistics. You can view HTML statistics in the Plesk GUI or make Plesk send them to your email address. For instructions on how to set up automatic sending of resource usage reports, see the section Resource Usage Reports.","In addition, you can recalculate statistic for previous months using the AWstats utility. For instructions on how to do this see the section Recalculating Statistics for Previous Months.","Statistics and Logs","68646.htm");
Page[76]=new Array("Plesk calculates traffic usage statistics from logs every day using the statistics utility.","If you need to recalculate traffic usage statistics, you can run the statistics utility manually. It is located in the /usr/local/psa/admin/sbin/(on RPM-based OSes) or /opt/psa/bin (on DEB-based OSes) statistics directory.","To recalculate statistics for all domains, run the utility without options or with the --calculate-all option:","# ./statistics --calculate-all","To recalculate statistics for a particular domain, run the utility with the --calculate-one option:","# ./statistics --calculate-one --domain-name=&lt;domain_name&gt;","Calculating Statistics from Logs","68650.htm");
Page[77]=new Array("By default, Plesk utilities present only the current month's statistics in HTML format. You can retrieve HTML statistics for previous months using the AWstats utility. To do this, restore traffic usage information from logs and run the utility manually. Detailed instructions are provided below.","To recalculate statistics for previous months:","Define the required environment variables by running the commands:","export vhost_name=&lt;domain_name&gt;","export AWSTATS_BIN_D=`grep ^AWSTATS_BIN_D /etc/psa/psa.conf | awk '{print $2}'`","export HTTPD_VHOSTS_D=`grep ^HTTPD_VHOSTS_D /etc/psa/psa.conf | awk '{print $2}'`","export PRODUCT_ROOT_D=`grep ^PRODUCT_ROOT_D /etc/psa/psa.conf | awk '{print $2}'`","export awstats=${AWSTATS_BIN_D}/awstats.pl","export awstats_gen_opts=&quot;-staticlinks -configdir=${PRODUCT_ROOT_D}/etc/awstats -config=${vhost_name}-http&quot;","Remove *.txt files from the $HTTPD_VHOSTS_D/system/&lt;domain_name&gt;/statistics/webstat directory by running the command:","find $HTTPD_VHOSTS_D/system/$vhost_name/statistics/webstat -name '*.txt' -exec mv '{}' '{}'.orig \\;","Analyze the domain log files with awstats by running the command:","$awstats $awstats_gen_opts -LogFile=$HTTPD_VHOSTS_D/system/${vhost_name}/statistics/logs/access_log.processed","This command creates subdirectories with the names &quot;YYYY-MM&quot; in the $HTTPD_VHOSTS_D/system/&lt;domain_name&gt;/statistics/webstat directory. &quot;YYYY&quot; and &quot;MM&quot; show the year and the month in which the corresponding statistics were collected.","If you want to rebuild statistics pages for a long period, you should start recalculation from the earliest log files. For example, if you have set the number of log files to 10 analyze files in the following order: access_log.processed.10, access_log.processed.9, … access_log.processed.1, access_log.processed.","If any of directories with names in 'YYYY-MM' format for the recalculation period are missing, create them by running the command:","for y in &lt;year_first&gt; &lt;year_last&gt; ; do for m in `seq 1 12` ; do mkdir ${HTTPD_VHOSTS_D}/system/${vhost_name}/statistics/webstat/$y-$(printf &quot;%.2d&quot; $m) ; done ; done","&lt;year_first&gt; and &lt;year_last&gt; are the first and the last years of the period for which you want to recalculate statistics.","Run the following cycle to build statistics pages:","for y in &lt;year_first&gt; &lt;year_last&gt; ; do \\"," for m in `seq 1 12` ; do \\","     dest_dir=$HTTPD_VHOSTS_D/system/$vhost_name/statistics/webstat/$y-$(printf &quot;%.2d&quot; $m) ; \\","     $awstats $awstats_gen_opts -month=$m -year=$y -output &gt; $dest_dir/awstats.${vhost_name}-http.html ; \\","     ln -s $dest_dir/awstats.${vhost_name}-http.html $dest_dir/index.html ; \\","     for output in alldomains allhosts lasthosts unknownip allrobots lastrobots session urldetail urlentry urlexit osdetail unknownos refererse refererpages keyphrases keywords errors404 ; do \\","         $awstats $awstats_gen_opts -month=$m -year=$y -output=$output &gt; $dest_dir/awstats.${vhost_name}-http.$output.html ; \\","     done ; \\"," done ; \\","done","Run statistics to update the upper frame navigation menu with a month listing:","$PRODUCT_ROOT_D/admin/sbin/statistics --calculate-one --domain-name=$vhost_name","Recalculating Statistics for Previous Months","68649.htm");
Page[78]=new Array("Plesk rotates logs using the logrotate utility. This is located in the $PRODUCT_ROOT_D/logrotate/sbin/logrotate directory, where the $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems. ","You can set the following parameters of logs rotation:","Log rotation condition. This may be one of the following:","Size - Plesk rotates logs when their size exceeds a particular limit.","Time - daily, weekly, or monthly logs rotation.","Maximum number of log files.","Log compression. Enable this, if you want Plesk to compress log files to gzip archives.","Email to which Plesk should send processed log files.","Log Rotation Settings of Plesk Services","You can define log rotation parameters for Plesk services in general and for each domain separately.","Log rotation parameters for Plesk services are defined in the $PRODUCT_ROOT_D/etc/logrotate.conf configuration file. Part of this file is shown below.","# less /usr/local/psa/etc/logrotate.conf","include /usr/local/psa/etc/logrotate.d","/usr/local/psa/var/log/xferlog.processed {","	missingok","	rotate 3","	size    10M","	compress","	nocreate","}","Log Rotation Settings of Hosted Domains","In turn, log rotation parameters for domains hosted on the Plesk server are stored in configuration files in the $PRODUCT_ROOT_D/etc/logrotate.d/ directory. ","You can configure log rotation for a particular domain through the Plesk GUI. To do this:","Log in to Plesk and go to the subscription.","In Website &amp; Domains, click Logs under the domain for which you want to change log rotation settings.","Click the @ icon on the top right and click Manage Log Files.","Click Log Rotation.","Change the log rotation configuration if needed.","When you click OK, the configuration is saved in the domain logrotate configuration file $PRODUCT_ROOT_D/etc/logrotate.d/&lt;domain_name&gt;. A fragment of this file is provided below. Configuration changes are applied equally for all log files of this domain.","/var/www/vhosts/domain.tst/statistics/logs/*.processed {","	monthly","	rotate	10","	compress","	missingok","}","Adding Creation Date to Rotated Log File Names","To make working with log files more convenient, you can include the file creation date into the names of rotated log files. If you do this, the names of rotated log files will have the following format &lt;log_name&gt;.processed-YYYYMMDD.gz, where &lt;log_name&gt; is the name of the log file before rotation, like error_log or httpsd_access_log, and YYYYMMDD is the date of the log rotation. For example, error_log.processed-20130101.gz.","To include the creation date into the names of rotated log files, open the desired log rotation configuration file and add the line dateext to the corresponding sections.","Log Rotation","68648.htm");
Page[79]=new Array("Plesk has a built-in mechanism that generates daily, weekly, or monthly reports on resource usage by customers, resellers, and domains. You can view these reports in Server Administration Panel &gt; Tools &amp; Settings &gt; Summary Report.","There are two types of report:","Summary reports contain common information, such as number of customers and resellers, total traffic and disk space usage, number of domains, subdomains, mailboxes, and so on.","Full reports contain all the information from summary reports and separate statistics on resource usage for each customer, reseller, and domain.","To switch between summary and full reports, choose the corresponding value in the checkbox at the top left of the screen.","You can also make Plesk send these reports to a certain email address. To do this, go to Server Administration Panel &gt; Tools &amp; Settings &gt; Summary Report &gt; Delivery Schedule and choose the schedule from the existing ones or create a new one.","To produce reports, Plesk uses the autoreport.php script located in $PRODUCT_ROOT_D/admin/plib/report/ directory, where $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems.","Resource Usage Reports","68647.htm");
Page[80]=new Array("Starting from Plesk 11.5, you can configure logging in the $PRODUCT_ROOT_D/admin/conf/panel.ini file, the [log] section.","To enable or disable logging of SQL queries performed on the Plesk database, use the log.show.sql_query parameter, for example:","log.show.sql_query=true","To enable or disable the support for multithreaded logging, use the log.show.thread parameter, for example:","log.show.thread=true","See more parameters in the $PRODUCT_ROOT_D/admin/conf/panel.ini.sample file.","Configuring Logging","73268.htm");
Page[81]=new Array("For those Plesk administrators who want to use Plesk more efficiently, we propose ways to improve Plesk functioning in different situations. In this chapter, we will discuss the following improvements:","Reducing resources consumption for Plesk installations that operate in virtual private server environment.","Increasing the number of domains that a single Plesk server is capable of managing.","Preventing server overload by limiting the number of anti-spam processes.","Enhancing Performance","68731.htm");
Page[82]=new Array("If you deploy Plesk in a VPS environment, for example, Virtuozzo containers, consider switching Plesk to the VPS-optimized mode. This mode switches off modules that are not critical for hosting services. See the section Apache Modules Switched Off in VPS-Optimized Mode for details.This makes Plesk use less memory than other control panels and provides better utilization of hardware resources and increased density of virtual environments per server. ","Note: You can switch only clean Plesk installations to the optimized mode, it is not possible to do this with Plesk installations upgraded from earlier versions. Moreover, you can enable the optimized mode only on fresh installations of Plesk which have not yet been initialized.","Reducing Resources Consumption in VPS Environments","68732.htm");
Page[83]=new Array("In Virtuozzo containers for Linux, the VPS-optimized mode switches off the InnoDB engine in the MySQL database server, and Apache web server modules that are not critical for hosting services.","The only disadvantages of using the optimized mode are as follows:","Web applications requiring InnoDB will not work.","Perl, python and ASP scripts will not work because the required Apache modules will be switched off.","PHP will be available only through CGI.","To switch Plesk to the VPS-optimized mode in the Virtuozzo environment:","Install the pp12.5.30-vps-optimized EZ template. The template applies the necessary configuration.","If you need to switch Plesk back to the normal mode of operation, perform the following steps:","Switch on the InnoDB engine.","Open for editing the file /etc/my.cnf.","Locate the lines containing entries skip-innodb and remove them, or comment them out. ","Save the file.","Restart MySQL server.","Switch on the required Apache modules.","On Debian Linux, use the a2enmod utility to switch on all required modules. For example, if you want to switch on the PHP module, issue the following command:","a2enmod php5","On other distributions of Linux, edit the main Apache configuration file, which, in most Linux installations, is located in /etc/httpd/conf/.","Open for editing the file /etc/httpd/conf/httpd.conf.","Locate the lines LoadModule &lt;module_name&gt; corresponding to the modules that you want to switch on, and uncomment the lines.","Save the file.","Restart Apache.","Switch Plesk back to normal operation mode by issuing the following SQL query:","mysql -uadmin -p`cat /etc/psa/.psa.shadow` psa -e &quot;update misc set val='0' where param='vps_optimized_mode_status';&quot;","Setting Up VPS Optimized Mode in Virtuozzo Containers","68747.htm");
Page[84]=new Array("If you operate in VPS environments  other than Virtuozzo-based ones (Virtuozzo containers or OpenVZ containers), you can also switch Plesk to VPS-optimized mode.","To switch Plesk to the VPS-optimized mode in a non-Virtuozzo environment run the following command: ","PRODUCT_ROOT_D/bin/vps_optimized --turn-on, where $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems.","Optimizing Resources Consumption","To improve the Plesk resources consumption, update the mysqld configuration file /etc/my.cnf by adding the skip-bdb line to the [mysqld] section, and restart mysqld.","Although it is not recommended to use SpamAssassin and Odin Premium Antivirus while operating in the VPS-optimized mode, you can still do that. The following instructions help you optimize these services:","To optimize Odin Premium Antivirus resource consumption, open for editing file /etc/drweb/drweb32.ini, set PreFork = No, and restart the service.","To optimize SpamAssassin resource consumption, run the following command after performing the initial Plesk configuration:","/usr/local/psa/bin/spamassassin --update-server -max-proc 1","Switching to Power User","Plesk administrators have the option to use Plesk for their own needs by only leaving relevant controls in the UI and removing all those related to shared hosting business (resellers, service plans, subscriptions). To enable this simple and lightweight user interface, run the following command:","/usr/local/psa/bin/poweruser --on","Setting Up VPS-Optimized Mode in Non-Virtuozzo Environments","68748.htm");
Page[85]=new Array("The following Apache modules are switched off in the optimized mode:","authn_alias","authn_anon","authn_dbm","authn_default","authz_user","authz_owner","authz_groupfile","authz_dbm","authz_default","ldap","authnz_ldap","ext_filter","mime_magic","deflate","usertrack","dav_fs","vhost_alias","speling","proxy_balancer","cache","disk_cache","file_cache","mem_cache","version","asis","bw","proxy_ajp","auth_ldap","perl","python","php5","php4","The list of modules can vary depending on the operating system distribution and architecture. When Plesk is installed and the optimized mode is switched on, you can check the list in the following files:","On 32-bit operating systems - /usr/lib/plesk-9.0/vps_optimized_aspects/apache-modules-all","On 64-bit operating systems - /usr/lib64/plesk-9.0/vps_optimized_aspects/apache-modules-all","Apache Modules Switched Off in VPS-Optimized Mode","68749.htm");
Page[86]=new Array("By default, Plesk allows you to manage up to 300 domains on a single server. If you plan to run more sites on a Plesk server, consider switching on the support of piped logs in the Apache web server. This is done on the Tools &amp; Settings &gt; Apache Web Server page of the Server Administration Panel.","Running Apache with piped logs allows you to host up to 900 domains on a server. If you are going to host a larger number of web sites on your server, Apache may fail to work because of a problem with the file descriptors limit. To avoid this, you can recompile Apache with more file descriptors.","Note: Plesk (8.2.0 and later) with piped logs feature enabled can host up to 900 domains without the recompilation of Apache system packages.","Recompiling Apache with More File Descriptors on RedHat-like Systems","To recompile related applications and libraries, such as openssl, apache, imap, PHP etc from source RPMs with more file descriptors, perform the following steps:","Make sure that the system allows you to open enough files:","# /sbin/sysctl fs.file-max","fs.file-max = 131072","If fs.file-max is quite small (several thousands or so), change it in the following way:","Add the following line to /etc/sysctl.conf:","fs.file-max = 131072","Running the shell command:","# /sbin/sysctl -w fs.file-max=131072","Note: If you are running Virtuozzo, you have to adjust the fs.file-max on the hardware node and it will be applied to all VEs.","Make sure you have the glibc-kernheaders and glibc-headers packages installed. They can be taken from the operating system CD or from the download site of your operating system.","Edit the __FD_SETSIZE value in typesizes.h and  posix_types.h files:","To find the typesizes.h file, run:","# find /usr/include/ -name typesizes.h","To find the posix_types.h file, run:","# find /usr/include/ -name posix_types.h","To edit the __FD_SETSIZE value in a file, run:","#define __FD_SETSIZE 65536","Download the following source RPMs, which can be found on the download site of your operating system or similar places. You may use RPM search engines such as http://rpm.pbone.net or http://rpmfind.net:","openssl-*.src.rpm","httpd-*.src.rpm","imap-*.src.rpm","php-*.src.rpm","libc-client-devel-*.src.rpm (if this RPM is installed)","curl-*.src.rpm","Recompile openssl first. For example:","# /usr/bin/rpmbuild --rebuild openssl-0.9.7a-35.src.rpm","Install the compiled openssl RPM with the following command line:","# rpm -Uvh --force /usr/src/redhat/RPMS/i386/openssl-0.9.7a-35.i386.rpm","Recompile and install cURL in the same way.","Recompile and install apache:","# rpmbuild --rebuild httpd-2.0.51-2.9.src.rpm","# rpm -Uvh --force /usr/src/redhat/RPMS/i386/httpd-2.0.51-2.9.i386.rpm","# rpm -Uvh --force /usr/src/redhat/RPMS/i386/httpd-devel-2.0.51-2.9.i386.rpm","# rpm -Uvh --force /usr/src/redhat/RPMS/i386/mod_ssl-2.0.51-2.9.i386.rpm","Recompile and install the libc-client library which is provided by the imap or libc-client-devel packages (depending on the OS) . Recompile the one that is installed in the system, for example:","# /usr/bin/rpmbuild --rebuild imap-2002d-3.src.rpm","# rpm -Uvh --force /usr/src/redhat/RPMS/i386/imap-devel-2002d-3.i386.rpm","or","# /usr/bin/rpmbuild --rebuild libc-client-devel.src.rpm","# rpm -Uvh --force /usr/src/redhat/RPMS/i386/libc-client-devel.rpm","Recompile and install PHP, for example:","# rpmbuild --rebuild php-4.3.10-2.4.src.rpm","# rpm -Uvh --force /usr/src/redhat/RPMS/i386/php-*","Add the following command to /etc/rc.d/init.d/httpd and /usr/sbin/apachectl startup scripts of apache before other commands:","ulimit -n 65536","Replace the /usr/sbin/suexec with the one from Plesk:","# cp /usr/local/psa/suexec/psa-suexec /usr/sbin/suexec","# /etc/init.d/httpd restart","For Plesk versions earlier than 7.5:","# cp /usr/local/psa/suexec/psa-suexec /usr/sbin/suexec","# chown root:apache /usr/sbin/suexec","# chmod 4510 /usr/sbin/suexec","# /etc/init.d/httpd restart","Recompiling Apache with More File Descriptors on Debian Systems","To recompile Apache, PHP and IMAP with a number of file descriptors larger than FD_SETSIZE (1024) on Debian systems:","Add the following line to /etc/sysctl.conf:","fs.file-max = 65536","Run the following shell command:","/sbin/sysctl -w fs.file-max=65536","Note that the value fs.file-max can be equal to 220=1048576).","Add the following line to the beginning of /etc/init.d/apache2 and /usr/sbin/apache2ctl:","ulimit -n `cat /proc/sys/fs/file-max`","Change __FD_SETSIZE value in /usr/include/bits/typesizes.h and /usr/include/nptl/bits/typesizes.h files. It should be like this:","#define __FD_SETSIZE 65536","Download and rebuild packages:","# apt-get install apt-src","# apt-src --build install openssl","# dpkg -i libssl*.deb openssl*.deb","# apt-src --build install apache2","# dpkg -i libapr*.deb apache2_*.deb apache2-common*.deb apache2-mpm-prefork*.deb apache2-utils*.deb","# cp /opt/psa/suexec/psa-suexec2 /usr/lib/apache2/suexec2 /etc/init.d/apache2 restart","# apt-src --build install libc-client2002edebian","# dpkg -i libc-client-dev_2002edebian1-*.deb libc-client2002edebian*.deb mlock*.deb","# apt-src --build install php4","# dpkg -i `ls *deb|grep php4|grep -v apache-mod`","Increasing the Number of Domains that Plesk Can Serve","68766.htm");
Page[87]=new Array("If there is a large spam attack, the antispam daemon spamd starts too many processes and the system can run out of resources. You can limit the number of simultaneously running SpamAssassin processes through the Plesk GUI. Use the The maximum number of worker spamd processes to run (1-5) option on the Server &gt; Tools &amp; Settings &gt; SpamFilter page. You can retrieve this value by executing the following command:","#  mysql  -uadmin -p`cat /etc/psa/.psa.shadow ` psa -e &quot;select * from misc where param='spamfilter_max_children'&quot;","Making Your Mail Spam Resistant","68735.htm");
Page[88]=new Array("Customer and Business Manager automates certain hosting providers' tasks such as creating Plesk accounts and subscriptions, registering domain names, issuing invoices, and so on. To do this, Business Manager uses its own task manager. This task manager does the following: ","Schedules and runs tasks.","Stores task details and execution statuses.","Suggests how to resolve possible task execution problems.","If you want to utilize your server resources better, consider optimizing task manager performance in your environment by changing its settings defined in the /opt/plesk-billing/task-manager/config/config.ini configuration file. The paragraphs of this section describe the ways to optimize certain aspects of the task manager.","Reducing Disk Space Consumption","If you want the task manager to consume less disk space, you can reduce the size of its own database. To do this, adjust the following settings that define how much information the task manager stores in the database:","How long task manager stores information about processed tasks. The parameters that set these intervals for completed, failed and canceled tasks are completedTasksClearInterval, failedTasksClearInterval, and canceledTasksClearInterval correspondingly.","By default, these intervals are equal to 1 year. If you want to change them, specify the values in the ISO 8601 standard, for example, P1Y for the 1 year interval.","How much information about each task execution is stored. For troubleshooting purposes, the task manager writes information about task executions to log files, one file per each execution. The parameter that sets maximum number of stored log files for each task is the maxTaskLogs. Its default value is 5. To make the logs consume less disk space, specify a smaller value of this parameter.","Note: When you set the task removal intervals described above, remember that setting too small values may make troubleshooting difficult since you may not have enough information about recent task executions.","Increasing Task Manager Performance","When you run all scheduled tasks at once, task manager starts processing a certain number of tasks simultaneously. After completing (or failing to complete) the task, the task manager starts another task from the queue and so on. To make processing of multiple tasks faster, increase the maximum number of tasks processed simultaneously. The parameter that sets this number is runAllMaxInstances. ","However, when you set a greater value for this parameter, remember that too big values increase the system load and therefore may reduce the Plesk performance or even block customer access to the Customer Panel.","Increasing Logs Detalization","To make the task manager produce more information that may help you in troubleshooting issues, adjust the logging settings in the following ways:","Increase the number of execution logs for each task. To do this, edit the value of the maxTaskLogs parameter. When you set a greater value, remember that this will increase the disk space consumption.","Increase the verbosity of the logs. By default, the task manager writes only error information to log files. To get more information on tasks execution, include tasks execution messages into the logs by changing values of the parameters log.info and log.sql to 1.","Important: Including debug information into the task manager logs will reduce its performance; Therefore, we recommend that you include this information only when you troubleshoot certain issues.","Optimizing the Task Manager Performance","70713.htm");
Page[89]=new Array("This chapter introduces Plesk themes that can be used to customize Plesk appearance and branding. It also describes how to remove links for access to Presence Builder, Google Services for Websites, reconfigure behaviour of the link to Support service and other GUI elements.","Customizing Plesk Appearance and GUI Elements","68617.htm");
Page[90]=new Array("Administrators and resellers can change the following settings related to Plesk branding and appearance:","By means of Plesk GUI - change the Plesk logo image, URL attached to it, and Plesk name shown in browser's title bar text.","By means of custom themes - change the Plesk logo image, URL attached to it, Plesk name shown in browser's title bar text, and visual appearance of Plesk's pages (CSS styles and images used for button backgrounds).","A theme is a ZIP archive containing all CSS and image files used by Plesk. Preparing a custom theme involves the following steps:","Obtaining a ZIP archive with the default Plesk theme.","Unpacking the archive and changing the necessary files.","Packing the archive with modified files, uploading it to the server, and installing the theme.","To learn about creating and using custom themes, refer to the Using Custom Skins in the Administrator's Guide.","Customizing Plesk Appearance and Branding","68473.htm");
Page[91]=new Array("This section describes how to switch on or off, or modify various Plesk features and customize links in Plesk. For example, you can hide all controls related to mail service, or show promotional links in your Plesk. To learn more about these and other possible customizations, read the subsections of this section.","To display, hide, or edit Plesk interface elements, you can use one of the following approaches or a combination of them: run a special command-line utility, modify a license key to Plesk, change configuration files, or configure Plesk server settings through Odin Partner Central.","Here are some details on these approaches:","Command line. Changing the Plesk GUI is performed by running the panel_gui and the server_pref utilities. For more information, see the corresponding chapters of the Reference for Command Line Utilities document.","License key upgrade. You can perform license upgrade via the web-based Partner Central interface or via Partner API - an XML-based remote-call protocol. Below we provide more information about this approach.","Plesk configuration files. Changing the Plesk GUI requires editing the configuration files: ","panel.ini for Plesk customizations","config for Presence Builder customizations.","Configuring Plesk through Odin Partner Central. This approach can be used to configure multiple Plesk installations at once. You can set up Plesk configuration parameters through the Partner Central UI, and associate these settings with one or more license keys. Below we provide more information about this approach.","Note: Odin Partner Central is a new user interface for buying, tracking and managing Odin licenses. Its predecessor, Odin Key Administrator, is now acting as a powerful back-end system. We strongly recommend using Partner Central instead of Key Administrator.","&nbsp;","License Key","There are extra features that can be turned on or off in the Plesk license. Those users who have access to the Odin Partner Central web-based management interface or Partner API can manage extra features.","The license modifications can be done on a per-license level, or be a default for you and applied automatically to all the licenses created for you. In both cases, you should contact Odin sales: In order to apply the partner-wide defaults, or to enable a particular extra customization on a per-license level.","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface (Partner Central), or contact your sales representative.","&nbsp;","Web-based Partner Central User Interface","You can turn on or off extra features through the Partner Central UI &gt; the Manage Licenses tab.","To turn on or off required features for a new license, start the Buy New License wizard and add the features at step three, the feature management.","To turn on or off required features for an existing license, click the license name and select the command Upgrade. Then add the features at step two, the Feature Management.","To turn off a license feature, detach it from the license.","For details on managing license features, see the Partner Central User Guide, sections Managing Licenses and Purchasing Licenses. You can also access this guide by clicking the Help link in the Partner Central UI.","&nbsp;","The Partner API","To turn off the extra features in new or existing licenses by means of Partner API, run the appropriate API method with specific feature API identifiers set. ","For new licenses:","Add API identifiers of the required features to the &quot;array of identifiers of upgrade plans&quot; parameter of the partner10.createKey method and execute it.","For details on the method specification, see: ","http://central.odin.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey","For existing licenses:","Add API identifiers of the required features to the &quot;upgrade plan name&quot; parameter of the partner10.upgradeKey method and execute it.","For details of the method specification, see: ","http://central.odin.com/docs/partner-api/1.0, section Specifications of Methods / partner10.upgradeKey","&nbsp;","Configuring Plesk through Partner Central","You can set up configuration settings through the Partner Central UI &gt; the Product Configuration tab, and assign your settings to multiple licenses on the Manage Licenses tab. Partner Central automatically applies the settings to all Plesk installations that have these license keys. These settings can later be overridden by the settings defined via the command line, license key upgrade, or in Plesk configuration files. ","For details on creating custom configurations, see the Partner Central User Guide, section Configuring Multiple Plesk Installations. You can also access this guide by clicking the Help link in the Partner Central UI.","Hiding and Changing Plesk GUI Elements","68540.htm");
Page[92]=new Array("These buttons let your customers visit a website where they can purchase new or manage existing domain names. By customizing them, you can make the customers use your preferred domain name registrar.","Domain Registration and Management Services","67238.htm");
Page[93]=new Array("Server Administration Panel: Tools &amp; Settings &gt; Register Domain Names and Manage Domain Names buttons.","  ","Customer Panel: Websites &amp; Domains tab &gt; Register Domain Names and Manage Domain Names buttons.","&nbsp;&nbsp;","Location of Domain Registration and Domain Management Buttons","68218.htm");
Page[94]=new Array("You can change the domain name registrar's URLs only through command line.","To change the URL of the Register Domain Names button, run the following command:","/usr/local/psa/bin/panel_gui -p -domain_registration_url &lt;url&gt;","To change the URL of the Manage Domain Names button, run the following command:","/usr/local/psa/bin/panel_gui -p -domain_management_url &lt;url&gt;","Changing Domain Name Registrar's URLs","68568.htm");
Page[95]=new Array("You can hide the domain name registration and domain management buttons both through the command line and the Partner API.","To remove the Register Domain Names button and  Manage Domain Names button using the command line, run the following command:","/usr/local/psa/bin/panel_gui -p -domain_registration true","To remove the Register Domain Names button and  Manage Domain Names button using the Partner API:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;EXTRAS_BUTTONS_OFF&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on these methods specification, please see http://central.odin.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Note: API identifier &quot;EXTRAS_BUTTONS_OFF&quot; also disables the controls related to SSL certificate selling services and the link to the provider's website.","&nbsp;","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Hiding Domain Registration and Domain Management Buttons","68569.htm");
Page[96]=new Array("These buttons lead to a website where your customers can purchase and view SSL certificates. By customizing these controls, you can make the customers use your preferred SSL certificates vendor.","SSL Certificates Selling Services","67245.htm");
Page[97]=new Array("Server Administration Panel: Tools &amp; Settings &gt; SSL Certificates &gt; Add &gt; Buy SSL Certificate button.","&nbsp;&nbsp;","Server Administration Panel: Tools &amp; Settings &gt; SSL Certificates &gt; View button.","&nbsp;&nbsp;","Server Administration Panel: Tools &amp; Settings &gt; Buy SSL Certificate button.","&nbsp;&nbsp;","Customer Panel: Websites &amp; Domains tab &gt; SSL Certificates &gt; Add SSL Certificate &gt; Buy SSL Certificate button.","&nbsp;&nbsp;","Customer Panel: Websites &amp; Domains tab &gt; Secure Your Sites &gt; View Certificates button.","&nbsp;&nbsp;","Locations of Links for Purchasing and Viewing SSL Certificates","68221.htm");
Page[98]=new Array("You can change the SSL certificate seller's URLs only through the command line interface.","To change the URLs of the Buy SSL Certificate and View Certificates buttons, run the following command:","/usr/local/psa/bin/panel_gui -p -cert_purchasing_url https://&lt;url&gt;","The Format of a POST Request","Note that buttons used to buy or view SSL certificates do not just lead to a URL specified with the command above. Actually, Plesk sends a POST request to this URL. The format of the POST request body varies depending on a button function. For example, if a button is used to buy SSL certificates, the request body contains such CSR parameters as a domain name, business name, country, and so on. ","The table below provides the details on the parameters which are sent in POST requests.","Button location","Parameters in the POST request body","Example","Server Administration Panel, Tools &amp; Settings &gt; SSL Certificates &gt; Add &gt; Buy SSL Certificate.","Control Panel, Websites &amp; Domains &gt; Secure Your Sites &gt; Add SSL Certificate &gt; Buy SSL Certificate.","csr = &lt;encoded request&gt; ","csr_domain = &lt;domain name&gt;","csr_bits = &lt;key size&gt;","csr_email = &lt;administrator's email&gt;","csr_company = &lt;company name&gt;","csr_department = &lt;organization department name&gt;","csr_state = &lt;state&gt;","csr_city = &lt;city&gt;","csr_country = &lt;country&gt;","action = CREATE_CERT","csr = -----BEGIN CERTIFICATE REQUEST----- MIICyTCCAbE CAQAwgYMxCzA JBgNVBAYTAlJVMQww CgYDVQQIEwNOc2sx DDAKBgNV ...  -----END CERTIFICATE REQUEST-----","csr_domain = example.com","csr_bits = 2048","csr_email = admin@example.com","csr_company = ACME","csr_department = IT","csr_state = Illinois","csr_city = Chicago","csr_country = US","action = CREATE_CERT","Server Administration Panel, Tools &amp; Settings &gt; SSL Certificates &gt; View.","Server Administration Panel, Tools &amp; Settings &gt; Buy SSL Certificate.","Control Panel, Websites &amp; Domains &gt; Secure Your Sites &gt; View Certificates.","action = MODIFY_CERT","Reverting the URL to the Default Value","To restore the default URL, issue the following SQL query:"," delete from misc where param='cert_purchasing_url';","Changing SSL Certificate Seller's URLs","68574.htm");
Page[99]=new Array("You can hide the buttons for viewing and purchasing SSL certificates both through the command line and the Partner API.","To remove the buttons for viewing and purchasing SSL certificates using the command line, run the following command:","/usr/local/psa/bin/panel_gui -p -cert_purchasing true","To remove the buttons for viewing and purchasing SSL certificates using the Partner API:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;EXTRAS_BUTTONS_OFF&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on these methods specification, please see","http://central.odin.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Note: API identifier &quot;EXTRAS_BUTTONS_OFF&quot; also disables the controls related to SSL certificate selling services and the link to the provider's website.","&nbsp;","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Hiding Buttons for Viewing and Purchasing SSL Certificates","68575.htm");
Page[100]=new Array("This button redirects customers to your site where they can purchase and use services provided by your company. ","Location of the Link to Provider's Website","Server Administration Panel &gt; Tools &amp; Settings &gt; View Services button.","Changing the URL of the View Services Button","You can change the URL of the View Services button only through the command line.","To change the URL that opens when the View Services button is clicked, run the following command:","/usr/local/psa/bin/panel_gui -p -mpc_portal_url &lt;url&gt;","Hiding the View Services Button","You can hide the View Services button both through the command line and the Partner API.","To remove the View Services button using the command line, run the following command:","/usr/local/psa/bin/panel_gui -p -extras true","To remove the View Services buttons using the Partner API:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;EXTRAS_BUTTONS_OFF&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on these methods specification, please see","http://central.odin.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Note: API identifier &quot;EXTRAS_BUTTONS_OFF&quot; also disables the controls related to SSL certificate selling services and link to the provider's website.","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Link to Provider's Website","67246.htm");
Page[101]=new Array("These are controls that open Presence Builder. You can hide them from customer's interface. This will not disable Presence Builder. ","Presence Builder Buttons","67396.htm");
Page[102]=new Array("Customer Panel: Websites &amp; Domains tab &gt; Presence Builder and Create Site.","Location of the Presence Builder Buttons","68234.htm");
Page[103]=new Array("You can hide the Presence Builder buttons only through Partner API.","To hide the Presence Builder buttons:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;DISABLE_SITEBUILDER&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on the methods specification, please see","http://central.odin.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Hiding the Presence Builder Buttons","68235.htm");
Page[104]=new Array("When a new minor or major version of Plesk is released, Plesk Installer adds an information box to the Server Administration Panel home page offering to update Plesk. This can be disabled, so that only updates for the current version are installed.","Plesk Upgrades","67397.htm");
Page[105]=new Array("You can disable the Plesk upgrades only by modifying license keys, through the Partner API.","To disable Plesk upgrades:","Use the partner10.createKey or partner10.upgradeKey with the API identifier &quot;DISABLE_FEATURE_UPGRADES&quot; in the &quot;array of identifiers of upgrade plans&quot; parameter.","For details on the methods specification, please see","http://central.odin.com/docs/partner-api/1.0, section Specifications of Methods / partner10.createKey and section Specifications of Methods / partner10.upgradeKey","Important: Once you have turned off a feature through the Partner API, there are no documented methods to turn it back on. If you need to perform this reverse operation, please use the web-based user interface, or contact your sales representative.","Disabling Plesk Upgrades","68236.htm");
Page[106]=new Array("These are the controls that let hosting customers use the mail services integrated with Plesk. If you want to use a mail server running on a separate machine, or want to prohibit Plesk users from operating mail services, you can remove the corresponding controls from customer's interface. This option does not actually switch off the Plesk-managed mail server.","Mail Service Controls","67398.htm");
Page[107]=new Array("Customer Panel: the Mail item in the left navigation pane.","&nbsp;&nbsp;","Customer Panel: Websites &amp; Domains &gt; Mail Settings ","&nbsp;","Customer Panel: Users &gt; user name &gt; Change Settings &gt; Create an email address under your account option.","&nbsp;&nbsp;","Location of the Mail Service Controls","68237.htm");
Page[108]=new Array("You can hide the mail service controls using the Plesk user interface or the command line.","To hide mail service controls using the Plesk interface:","In the Server Administration Panel, go to Tools &amp; Settings &gt; Mail Server Settings (in the Mail group).","Clear the Enable mail management functions in Plesk checkbox.","Click OK.","To hide the mail service controls using the command line, run the following command:","/usr/local/psa/bin/server_pref -u -disable-mail-ui true","Hiding the Mail Service Controls","68596.htm");
Page[109]=new Array("You can display the mail service controls using the Plesk user interface or the server_pref command line utility.","To display the mail service controls using the Plesk interface:","In the Server Administration Panel, go to Tools &amp; Settings &gt; Mail Server Settings (in the Mail group).","Select the Enable mail management functions in Plesk checkbox.","Click OK.","To display the mail service controls using the command line, run the following command:","/usr/local/psa/bin/server_pref -u -disable-mail-ui false","Displaying the Mail Service Controls","68597.htm");
Page[110]=new Array("Promos are the promotion banners that are shown both in the Server Administration Panel and Customer Panel. There are built-in Odin promos of Customer and Business Manager (they are shown if Business Manager is not installed), Help Desk, and a number of other featured applications. You can create your own promos and insert them in Plesk. All promos can be hidden.","Promos","67399.htm");
Page[111]=new Array("Server Administration Panel: Home.","Server Administration Panel: Tools &amp; Settings.","Server Administration Panel: Tools &amp; Settings &gt; Mail Server Settings.","Customer Panel in the Power User view: Home.","Location of Promos","68284.htm");
Page[112]=new Array("You can create your own promo by editing the panel.ini configuration file.","To create a promo:","Open the configuration file /usr/local/psa/admin/conf/panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Add the line [promos] to the file.","Specify the parameters of your promo by adding lines like &quot;&lt;promo_name&gt;.&lt;parameter&gt;=&lt;value&gt;&quot; after the line [promos]. You can use the following parameters:","active. Shows if your promo will appear by default or not. Boolean.","icon. URL of an icon that will be shown in the promo.","title. Title of the promo.","text. The promo description.","buttonUrl. The URL that opens upon clicking the promo button.","buttonText. The caption of the promo button.","hideText. Text of the link for hiding the promo.","For example, you want to create a promo that looks like the following (this is the Plesk default Google Integration Promo):"," You need to add the following lines to the panel.ini:","[promos]","custom.googleIntegration.active=true","custom.googleIntegration.icon=http://www.softicons.com/download/internet-cons/webset-icons-by-graphicriver/png/48/google.png","custom.googleIntegration.title=integration with Google Services","custom.googleIntegration.text=Configure integration with Google Services, such as AdSense, Google Apps, Webmaster tools.","custom.googleIntegration.buttonUrl=https://plesk.server:8443/plesk/server/google-tools/","custom.googleIntegration.buttonText=Configure","custom.googleIntegration.hideText=Hide","Save the file.","Creating a Promo","68603.htm");
Page[113]=new Array("You can either hide promos at all or hide some specific promos, namely:","Promos on the Server Administration Panel &gt; Tools &amp; Settings pages.","A certain promo on the Home page of the Server Administration and Customer Panels.","In all these cases, modify the panel.ini configuration file to get the desired result.","To hide all promos in Plesk:","Open the configuration file /usr/local/psa/admin/conf/panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Place the following lines in the file and save it:","[promos]","enabled=off","[aps]","serverAppsPromoEnabled=off","To hide promos on the Server Administration Panel and Customer Panel &gt; Home pages:","Open the configuration file /usr/local/psa/admin/conf/panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Place the following lines in the file and save it:","[promos]","enabled=off","To hide Odin promos on the Server Administration Panel &gt; Tools &amp; Settings  and Tools &amp; Settings &gt; Mail Server Settings pages:","Open the configuration file /usr/local/psa/admin/conf/panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Place the following lines in the file and save it:","[aps]","serverAppsPromoEnabled=off","To hide a certain promo on the Server Administration Panel and Customer Panel &gt; Home pages:","Open the configuration file /usr/local/psa/admin/conf/panel.ini on the Plesk-managed server.  If the file does not exist, create it.","Place the following lines in the file and save it:","[promos]","&lt;promo_id&gt;.active=false","The &lt;promo_id&gt; may be one of the following:","cbm - for the Customer and Business Manager promo.","cloudFlare - for the mod_cloudflare Apache module promo.","commTouch - for the Odin Premium Outbound Antispam promo.","googleIntegration - for the Integration with Google Services promo.","helpDesk - for the HelpDesk promo.","mobile - for the Plesk Server Mobile Monitor and Plesk Server Mobile Manager promos.","sitebuilderTrial - for the Presence Builder Try and Buy mode promo.","Otherwise, it can be your own promo name.","Hiding Odin Promos","68604.htm");
Page[114]=new Array("If you provide dedicated Plesk-managed servers to your customers, you might want to configure the Support link in Plesk to redirect server administrators to your website when they need assistance.","By default, the Support button (located in Server Administration Panel &gt; Tools &amp; Settings) opens the Plesk Online Server Support form at the Odin website, with a number of parameters automatically collected and filled in, such as the Plesk administrator's name, company, email, phone, product key number, operating system details, Plesk version, and build number.","You can choose to:","Configure the Support button in Server Administration Panel to open the support form page on your website with the above listed parameters pre-collected.","Configure the Support button in Server Administration Panel to open a user's mail client and prompt to compose a new message with your support email address specified in the address line and the above listed parameters pre-collected.","Link to Online Support Service","53231.htm");
Page[115]=new Array("The Odin support form link is defined by the support_url parameter in the psa.misc table of the Plesk's database. If the support_url parameter is absent or empty, upon clicking the Tools &amp; Settings &gt; Support button, the user is redirected to Odin support through the following URL:","'https://www.odin.com/support/request/?sv=' . urlencode(serialize($val))","where $val is an associative PHP array containing the following parameters:","firstName, the Plesk administrator's contact name.","company, the Plesk administrator's company name.","email, the Plesk administrator's email address.","phone, the Plesk administrator's phone number.","keyNumber, the Plesk license key number used on the server.","operatingSystem, the operating system installed on the server.","PSAVersion, the version number of the Plesk software.","PSABuild, the build number of the Plesk software.","PSAInstType, the type of Plesk software installation.","Before changing the link, consider the following to ensure that the support page of your site is configured properly:","Your support page will accept the sv variable through the GET method. The value of this variable is a serialized associative array of pre-collected parameters.","You can get the array of parameters on your web site page in the following way:","$params = unserialize($_GET['sv']);","You can address any parameter of this array in the following way:","$params['firstName']","$params['company']","...","To make the Support button open the support form on your website, follow these steps:","Connect to the Plesk's database (psa).","Run the following query:","If the support_url parameter is absent, run:","insert into misc(param, val) values('support_url', 'https://example.com/support')","Where 'https://example.com/support' is the URL of the support page on your website.","If the support_url parameter already exists, run:","update misc set val = 'https://example.com/support' where param = 'support_url'","Where 'https://example.com/support' is the URL of the support page on your website.","Note: On Windows systems, you can use the dbclient.exe utility to add the information to the Plesk's database. For information about using the dbclient.exe utility, consult Plesk for Microsoft Windows: Reference for Command Line Utilities.","Creating Link to Support Form on Your Site","53303.htm");
Page[116]=new Array("You can modify the link to Odin support, so that after clicking the Tools &amp; Utilities &gt; Support button in Server Administration Panel, your customers are offered to compose an email with your support address already specified in the address line. The customer's contact details and server information will be automatically collected and included in the message body.","You can customize the link to Odin support by specifying your email address in the support_url parameter of the psa.misc table of the Plesk's database.","To make the Support button of the Server Administration Panel open the page for composing email with your support email address, follow these steps:","Connect to the Plesk's database (psa).","Run the following query:","If the support_url parameter is absent, run:","insert into misc(param, val) values('support_url', 'mailto:yoursupport@example.com')","Where 'yoursupport@example.com' is the email address where you want your customers' support requests to be sent.","If the support_url parameter already exists, run:","update misc set val = 'mailto:yoursupport@example.com' where param = 'support_url'","Where 'yoursupport@example.com' is the email address where you want your customers' support requests to be sent.","Note: On Windows systems, you can use the dbclient.exe utility to add the information to the Plesk's database. For information about using the dbclient.exe utility, consult Plesk for Microsoft Windows: Reference for Command Line Utilities.","Creating Link to Compose Email Message","53304.htm");
Page[117]=new Array("The Like button allows administrators to share the link to the Plesk page on Facebook with their Facebook friends. When the administrator clicks the Like button in Plesk, a story appears in the user's friends' News Feed with a link back to page. You can hide this button. Customers and resellers do not see this button.","The Facebook Like Button","70924.htm");
Page[118]=new Array("The button is located in the following places of the Plesk's UI:","1. The Server Administration Panel, in the page footer.","2. The Customer Panel, in the page footer.","Location of the Like Button","70925.htm");
Page[119]=new Array("You can hide the Facebook Like button only by editing the panel.ini configuration file.","To hide the Like button:","Open the configuration file /usr/local/psa/admin/conf/panel.ini.  If the file does not exist, create it.","Place the following lines in the file and save it:","[facebook]","showLikeLink = false","To undo the change and return to the default values, remove these lines from panel.ini.","Hiding the Like Button","70928.htm");
Page[120]=new Array("The product rating widget allows administrators to provide feedback on their Plesk user experience. A form which gives the opportunity to rate the product and send comments appears after one month of using Plesk. If the administrator chooses to provide feedback later, Plesk adds the Provide Feedback button to the navigation pane of the Server Administration Panel and to the bottom of the Customer Panel in Power User view.","You can hide the product rating widget so that customers and resellers do not see it.","Product Rating Widget","71145.htm");
Page[121]=new Array("The widget appears right in front of the Plesk GUI, once the administrator logs in to Plesk.","Location of the Widget","71147.htm");
Page[122]=new Array("You can hide the product rating widget only by editing the panel.ini configuration file.","To hide the product rating widget:","Open the configuration file /usr/local/psa/admin/conf/panel.ini. If the file does not exist, create it.","Place the following lines in the file and save it:","[rating]","enabled=false","&nbsp;","If you do not want to hide the form but only want to change the period of time after which the form is shown to the administrator, add the following lines to the file:","[rating]","enabled=true","showAfterDays=60","The showAfterDays parameter sets the number of days after which you want the widget to be displayed.","To undo the change and return to the default values, remove these lines from panel.ini.","Hiding the Widget","71148.htm");
Page[123]=new Array("Plesk enables you to provide latest news to your customers by showing them RSS feeds in the Plesk UI.  You can embed a single RSS feed from any source.","RSS Feeds","72356.htm");
Page[124]=new Array("RSS feeds are shown on the Websites &amp; Domains page of the Customer Panel or on the Home page of the Server Administration Panel.","Location of RSS Feeds","72356.htm#o72386");
Page[125]=new Array("To add an RSS feed:","Open the configuration file /usr/local/psa/admin/conf/panel.ini  on the Plesk server.  If the file does not exist, create it.","Add the line [customSpots] to the file.","Specify the parameters of your promo by adding the following lines:","web.enabled = true ","web.type = rss ","web.params.url = &lt;rss_url&gt;","web.params.count = &lt;pages_number&gt;","Where &lt;rss_url&gt; is the address of the RRS feed and &lt;pages_number&gt; is the number of news pages shown in Plesk.","Save the file.","For example, to show three pages of news about Plesk, you should add the following text to the panel.ini:","[customSpots]","web.enabled = true ","web.type = rss ","web.params.url = &quot;http://kb.odin.com/rss/gen.xml?&amp;ArticleLanguage=en&amp;Type=LastCreated&amp;Product=8&amp;UpdatePeriod=daily&amp;ArticleType=all&quot;","web.params.count = 3","Adding RSS Feeds","72356.htm#o72387");
Page[126]=new Array("To hide an RSS feed:","Open the configuration file /usr/local/psa/admin/conf/panel.ini  on the Plesk server. ","Locate the [customSpots] section that describes the feed you want to hide.","Change the value of the web.enabled parameter in this section to false.","Save the file.","For example, the description of an RSS feed that is not shown in Plesk may look like the following:","[customSpots]","web.enabled = false","web.type = rss ","web.params.url = http://kb.odin.com/rss/gen.xml?&amp;ArticleLanguage=en&amp;Type=LastCreated&amp;Product=8&amp;UpdatePeriod=daily&amp;ArticleType=all","web.params.count = 3","Hiding RSS Feeds","72919.htm");
Page[127]=new Array("Plesk provides its users with an option to suggest new features for further Plesk versions and vote for ideas suggested by other people on the uservoice.com online service. To open the page where you can vote for new features and suggest new ones, click the button Suggest an Idea in the Server Administration Panel of the Customer Panel.","If you do not want to use this option, you can hide the button Suggest an Idea. Alternatively, you can change this button's URL so that it points to any other site you want.","Voting for New Features","72497.htm");
Page[128]=new Array("The button Suggest an Idea is available at the following locations:","The Server Administration Panel, in the page footer.","The Customer Panel, in the page footer.","Location of the Button Suggest an Idea","72497.htm#o72498");
Page[129]=new Array("To hide the button Suggest an Idea:","Open the configuration file /usr/local/psa/admin/conf/panel.ini on the Plesk server.  If the file does not exist, create it.","Add the following lines to the file:","[feedback]","userVoice = off","Save the file.","Hiding the Button Suggest an Idea","72497.htm#o72499");
Page[130]=new Array("To change the URL to which the button Suggest an Idea points:","Open the configuration file /usr/local/psa/admin/conf/panel.ini  on the Plesk server.  If the file does not exist, create it.","Add the following lines to the file:","[feedback]","userVoiceUrl = &quot;&lt;your_URL&gt;&quot;","Where &lt;your_URL&gt; is the URL of an alternative features voting service.","Save the file.","Changing the URL of the Button Suggest an Idea","72497.htm#o72500");
Page[131]=new Array("This chapter describes how to rebrand Presence Builder to show your custom product name, product and company logo images; to take users to a branded website with user's documentation; and to show a customized Getting Started video tutorial.","It also describes how to embed your own Getting Started video in languages other than English. You might want to prepare custom localized videos if most of your customers speak other languages.","Where to Find These Items in the Product?","The Product Name","The product name is shown in the editor's toolbar and in various information and error messages. Note that the product version cannot be changed.","To learn how to change the product name, see the section Changing the Editor's Name.","The Product and Company Logo Images, and the Copyright Notice","The Presence Builder logo, the company logo (that of Odin), and the copyright notice are shown only on the topic selection page. This is the first page that users see when they visit the editor.","The product logo, the company logo, and the copyright notice have hyperlinks attached to them. The product logo refers to http://www.odin.com/products/web-business-builder/, the company logo and the copyright notice refer to the Odin site at http://www.odin.com.","To learn how to change these logos, hyperlinks, and the copyright notice, see the section Changing the Product and Company Logos, Hyperlinks, and Copyright Notice.","Links to the User's Guide and Getting Started Video","The links to the User's Guide and the Getting Started video are accessible from the Presence Builder toolbar &gt; Help menu. Users are also advised to watch the Getting Started video when they visit the editor for the first time.","The User's Guide is hosted on the Odin site, and the Getting Started video is hosted on the Odin YouTube channel.","To learn how to change or remove these links, refer to the corresponding sections of this document:","Changing the Links to the User's Guide.","Changing the Links to the Getting Started Video.","Rebranding Presence Builder","72357.htm");
Page[132]=new Array("To change the editor's name Presence Builder to a custom name:","On the Plesk-managed server, open the configuration file /usr/local/sb/config.","In the [general] section of the file, locate the following line:","product = &quot;Presence Builder&quot;","Type the desired product name instead of Presence Builder, and save the file.","Changing the Editor's Name","72358.htm");
Page[133]=new Array("To replace the product logo:","Prepare an image file in PNG format and save it as product-logo.png.","The image should be 50 pixels in height to perfectly fit in the header area.","Upload the file to the directory /usr/local/sb/htdocs/skins/default/images/ on the hosting server. Confirm overwriting when prompted.","To replace the company logo:","Prepare an image file in PNG format and save it as producer-logo.png.","The image should be 43 pixels in height to perfectly fit in the header area.","Upload the file to the directory /usr/local/sb/htdocs/skins/default/images/ on the hosting server. Confirm overwriting when prompted.","To change the links attached to the product and company logos:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [general] section of the file, locate the following lines:","product_website_url = &quot;http://www.odin.com/products/web-business-builder/&quot;","company_website_url = &quot;http://www.odin.com&quot;","Type the desired addresses within the quotation marks and save the file.","To change the company name shown in the copyright notice:","On the hosting server, open the file /usr/local/sb/resources/locale/&lt;locale_code&gt;/Common.lng.","Locate the following line:","copyright = &quot;© Copyright %s Odin.&quot;","Type the desired text within the quotation marks and save the file.","Note that a hyperlink to www.odin.com is automatically added to the copyright notice. If you have previously specified a website address by adding the line company_website_url = &quot;your-company-name.com&quot; to the configuration file /usr/local/sb/config (as described in the preceding procedure), this hyperlink will point to that address.","Changing the Product and Company Logos, Hyperlinks, and Copyright Notice","72359.htm");
Page[134]=new Array("To change the link to the User's Guide:","On the hosting server, open the configuration file /usr/local/sb/config.","Add the line [help] to the file. If it is already present, skip this step.","Add the following line after the line [help]:","help_url = &lt;link_to _your_documentation&gt;","For example: http://example.com/user-guide/index.html?%%CONTEXT%%","At the end of this link, the mechanism providing context-sensitive help will automatically add a GUI screen identifier, so the resulting URL will appear as: http://example.com/user-guide/index.html?%2FSiteBuilder%2FPanel.","The value that you specify as help_url  may contain the following placeholders:","%%LOCALE%% - 4-letter code of the locale currently set in the editor, for example, en-US or ru-RU. The following locales are supported: ","en_US - American English.","en_GB - British English.","de_DE - German.","es_ES - Spanish.","fr_FR - French","it_IT - Italian.","ja_JP - Japanese.","nl_NL - Dutch.","pl_PL - Polish.","pt_BR - Brazilian Portuguese","ru_RU - Russian.","zh_CN - simplified Chinese.","zh_TW - traditional Chinese.","%%VERSION%% - full Presence Builder version, for example, 11.1.0.","%%MAJOR_VERSION%% - major Presence Builder version (first two numbers), for example, &quot;11.1&quot;.","%%CONTEXT%% - GUI screen identifier.","For example: If a user views the Presence Builder 11 editor in English, and clicks the Help link on the first page of the editor (which opens after clicking the Create Site button), the link http://example.com/%%MAJOR_VERSION%%/%%VERSION%%/%%LOCALE%%/user-guide/index.html?%%CONTEXT%% will be replaced with http://example.com/11.0/11.1.0/en-US/user-guide/index.html?%2FSiteBuilder%2FPanel.","Save the file.","Changing the Link to the User's Guide","72360.htm");
Page[135]=new Array("To change the link to the Getting Started video:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [help] section, add the following lines:","getting_started_video_url = &lt;video_link&gt;","getting_started_video_enabled = true","Save the file.","To use a custom Getting Started video for a specific language:","On the hosting server, open the configuration file /usr/local/sb/config.","Add the following line below getting_started_video_url:","getting_started_video_url_locale_&lt;locale-name&gt; = &lt;localized_video_link&gt;","Where &lt;locale-name&gt; is the four-letter code of the Presence Builder locale (for example, en_US or ru_RU) in which the video will show. The following locales are supported: ","en_US - American English.","en_GB - British English.","de_DE - German.","es_ES - Spanish.","fr_FR - French","it_IT - Italian.","ja_JP - Japanese.","nl_NL - Dutch.","pl_PL - Polish.","pt_BR - Brazilian Portuguese","ru_RU - Russian.","zh_CN - simplified Chinese.","zh_TW - traditional Chinese.","Ensure that the file contains the following line:","getting_started_video_enabled = true","Save the file.","To remove the link to the Getting Started video:","On the hosting server, open the configuration file /usr/local/sb/config.","Add the line [help] to the file. If it is already present, skip this step.","Add the following line after the line [help]:","getting_started_video_enabled = false","If the file contains the line getting_started_video_enabled = true, just change true to false.","Save the file.","Changing the Links to the Getting Started Video","72361.htm");
Page[136]=new Array("This chapter describes how to change the behavior of certain user interface elements and how to make certain functions of the Presence Builder editor unavailable to customers. In particular, it explains how to perform the following tasks:","Prohibit your customers from removing their sites from the editor. You can do this by removing the Remove Site button.","Make the following modules unavailable in the editor: Embedded Video, Image Gallery, Image Slider, Blog, Online Store, Shopping Cart, Map, Commenting, Contact Form, Social Sharing, Advertisement, Search, Navigation, Breadcrumbs, Banner, Site Logo, and Script.","Remove the option for images stored externally at Google Picasa to be used in image galleries.","Make the functionality for importing sites from SiteBuilder 4.5 unavailable.","Expand the library of website banner images that are available to customers.","Expand the library of design templates that are available to customers.","Enable your customers to request technical assistance. This can be done by adding a special button to the editor. ","Enable your customers to submit feedback. This can be done by adding a special button to the editor. ","Remove the option to publish a copy of a website on Facebook.","Configure the editor to remove published sites from hosting accounts when users click the Remove Site button in the editor.","Customizing the Functionality of Presence Builder","70246.htm");
Page[137]=new Array("The following procedure describes how to prevent your customers from deleting their sites from the editor. You can do this by removing the Remove Site button.","To remove the button from the editor:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [general] section of the file, locate the following line:","allow_delete_site_ui = true","Replace the true value with false.","Save the file.","Prohibiting Users from Removing Their Sites","71300.htm");
Page[138]=new Array("If you want to prevent your customers from using certain modules in the editor, you can make them unavailable. Unavailable modules are not visible in the editor, and therefore are not accessible to customers.","During restoration of a website from a snapshot, the modules that you make unavailable, and their content, are not restored. The user is notified that the snapshot contains unavailable or unsupported functionality, and is prompted to choose whether to restore the rest of the site, or cancel restoration.","When a new website based on a website topic is opened in the editor, the modules that are unavailable are not added to the site. ","To remove modules from the editor:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [general] section of the file, add the following line:","hidden_widgets = &lt;module's code name 1&gt;, &lt;module's code name 2&gt;","Where &lt;module's code name 1&gt; and &lt;module's code name 2&gt; are code names of the modules, separated by a comma.","Save the file.","The following is a list of codes for all modules in Presence Builder 11.","Module's name in the editor","Module's code name","Embedded Video","video","Image Gallery","imagegallery","Image Slider","slider","Blog","blog","Online Store and Shopping Cart","eshop","Commenting","commenting","Contact Form","contact","Social Sharing","sharethis","Advertisement","advertisement","Map","map","Search","search","Navigation","navigation","Breadcrumbs","breadcrumbs","Site Logo","siteLogo","Script","script"," ","Making Modules Unavailable in the Editor","71301.htm");
Page[139]=new Array("If you do not want your customers to use images stored at Google Picasa in their image galleries, remove the corresponding option from the Image Gallery module. To do this:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [general] section of the file, add the following line:","picasa_enabled = false","Save the file.","Making the Google Picasa Storage Unavailable for Use in Image Galleries","72364.htm");
Page[140]=new Array("If you want to prevent your customers from importing sites from SiteBuilder 4.5 hosting accounts, you can remove the Import Site from SiteBuilder 4.5 button from the editor. This can be done by adding a line to the configuration file /usr/local/sb/config.","To make the site import functionality unavailable to users:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [general] section of the file, add the following line:","show_import_site_button = 0","Save the file.","Making the Site Import Functionality Unavailable","71302.htm");
Page[141]=new Array("This section explains how to add custom banner images to Presence Builder's image library, and make them available for selection in the editor.","Suppose, you have an image file with the name jungle.jpg, and you want to add it to the editor. Do the following:","Resize the image to 960 pixels in width and 250 pixels in height. Convert the image to PNG format, and save it as header.png.","Create a copy of header.png, resize it to 200 pixels in width, and 57 pixels in height. Save it as preview.png.","Connect over SSH to the hosting server.","Locate the directory /sb/htdocs/headers/, and create a subdirectory with the banner name. For example, /sb/htdocs/headers/jungle_01.","Upload the header.png and preview.png files that you prepared to the directory /sb/htdocs/headers/jungle_01/.","Locate the directory /sb/resources/. It should contain the file customHeaders.xml.","If the file is missing, create it and insert the following lines into it:","&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt;","&lt;headers&gt;","	&lt;header id=&quot;jungle_01&quot;&gt;","	&lt;/header&gt;","&lt;/headers&gt;","If the file is present, add the following &lt;header&gt; node to it:","&lt;header id=&quot;jungle_01&quot;&gt;","	","&lt;/header&gt;","Add keywords for the image.","Keywords are used for the following purposes:","Binding of images to website topics. When a new site is created based on a website topic, the editor searches for banner images that may be relevant to the topic, and adds one of them to the generated website. It also uses the relevant banners in generated design templates, which users can preview and select in the editor &gt; Design tab &gt; Templates. The relevance is determined by matching keywords in the website topic's meta data and in the headers.lng file containing descriptions of all banner images in the form of keywords.","Enabling users to find images by keywords in the banner selection menu.","To add keywords, do the following:"," Open for editing the file /sb/resources/locale/&lt;locale_code&gt;/headers.lng."," Add a string in the following format:","&lt;header_id&gt; = &quot;&lt;keyword_1&gt;,&lt;keyword_2&gt;,&lt;keyword_3&gt;&quot;","Where:","&lt;header_id&gt; is the image ID that you specified in step 6, but with certain transformations: all uppercase letters must be changed to lower case, hyphens must be removed, the next symbol following a hyphen must be changed to upper case.","For example:","If the &lt;header_id&gt; is Jungle_01-eXample, then it must be changed to jungle_01Example.","If the &lt;header_id&gt; is my-super-banner, then it should be transformed to mySuperBanner.","If the &lt;header_id&gt; is my_super_banner, then it should be transformed to my_super_banner.","&lt;keyword&gt; is a human-readable word that describes the image or identifies items on the picture. ","You can use several keywords separated by commas. White spaces can be used only if they are part of a descriptive phrase or a combination of words.","Example:","jungle01 = &quot;jungle,tropics,green,nature,family travel&quot;","Save the file.   ","Issue the following command:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/sb/utils/updateResources.php header","Now you can go to the editor and open the list of banner images. The newly added image should be at the end of the list.","Adding Custom Banner Images","72365.htm");
Page[142]=new Array("This section explains how you can prepare your own design templates and make them available to your customers.","A design template is a combination of website elements (banner, footer, sidebars, site-wide modules), page layout settings, and colors, which are applied to a site when it is created in the editor.","The editor provides a selection of 24 design templates, 16 of which are randomly generated, and 8, created by a graphic designer especially for Presence Builder.","Users can view the design templates and apply them to their sites in the editor, on the Design tab &gt; Templates. Randomly generated designs are listed in the Generated section, and the templates prepared by the designer, in the Special section.","Preparing a Custom Design Template","The following site elements and settings can be saved in a design template:","The website layout: the location and size of the header, footer, content areas, and sidebars.","The banner image.","All site-wide modules.","The color scheme or individually selected colors.","The fonts.","The information about the borders and shapes of the page elements' corners.  ","To create a custom design template and add it to Presence Builder editor:","Log in to the editor and start creating a site.","Adjust the layout and design.","If you need instructions on how to do this, refer to Presence Builder User's Guide, sections Changing Your Website Layout and Selecting Website Colors, Fonts, and Styles for Borders and Corners.","Add the necessary site-wide modules and a banner.","If you need instructions on how to do this, refer to Presence Builder User's Guide, the chapter Content: Text, Tables, Images, Video, Forms, and Scripts, and the section Changing the Website Header Elements.","Save the design template: Go to the Design tab, and click Export Design.","On the Presence Builder server, create a directory in /usr/local/sb/htdocs/templates/generic/presets/.","The directory name should correspond to the desired name of the new template. For example: /usr/local/sb/htdocs/templates/generic/presets/my_mega_design.","Extract the contents of the ZIP archive with the template into the directory you have just created.","Prepare a thumbnail that will be shown in the editor: Make a screen capture of your design in the editor, resize the picture to 213 pixels in width and 151 pixel in height, and save it as screenshot.png.","Upload the file screenshot.png to the directory /usr/local/sb/htdocs/templates/generic/presets/&lt;your_template_name&gt;.    ","The template will show in Design tab &gt; Templates &gt; Special section.","To delete a custom design template, delete the directory /usr/local/sb/htdocs/templates/generic/presets/&lt;your_template_name&gt; from the server.","Adding Custom Design Templates","72366.htm");
Page[143]=new Array("To enable your customers to submit technical support requests from the Presence Builder editor, you can add to the editor a button with the label Support. The button will be placed in the editor's toolbar, in the Help menu.","To add the button:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [help] section of the file, add the following line:","support_url = &lt;URL&gt;","Where &lt;URL&gt; is the address of your online support help desk or a support forum. For example: http://helpdesk.example.com.","The value that you specify as support_url  may contain the following placeholders:","%%LOCALE%% - 4-letter code of the locale currently set in the editor, for example, en-US or ru-RU.","%%VERSION%% - full Presence Builder version, for example, 11.1.0.","%%SITE_UUID%% - website ID.","For example:","If a user views the Presence Builder 11.1 editor in English, and clicks the Support link, the link http://helpdesk.example.com/index.php?locale=%%LOCALE%%&amp;version=%%VERSION%%&amp;siteid=%%SITE_UUD%% will be transformed to http://helpdesk.example.com/index.php?locale=en-US&amp;version=11.1.0&amp;siteid=93ea19b0-7537-fb22-d603-685e29cfd3e8.","Save the file.","Adding the Support Button","72367.htm");
Page[144]=new Array("If you want to enable customers to send you feedback, you can do the following:","Set up a forum on your site.","Configure the editor to show a link with the label Give Feedback, which will direct users to that forum.","The link will be placed in the editor's toolbar, in the Help menu.","To add the link:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [help] section, locate the line containing feedback_url. If this line is not present, add the following line: ","feedback_url = &quot;&lt;URL to your online forum&gt;&quot;","where &quot;&lt;URL to your online forum&gt;&quot; is your forum's address enclosed in quotation marks.","Save the file.","To remove the link:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [help] section, locate the line containing feedback_url, and remove the address enclosed in quotation marks. If this line is not present, add the following line:","feedback_url = &quot;&quot;","Save the file.","Adding the Link for Sending Feedback","72362.htm");
Page[145]=new Array("If you want to prevent your customers from publishing website copies on Facebook, you can remove the corresponding option from the editor. This can be done by adding a line to the configuration file.","To make the functionality for publishing sites on Facebook unavailable to users:","On the hosting server, open the configuration file /usr/local/sb/config.","In the [general] section of the file, add the following line:","facebook_application_url = &quot;&quot;","Save the file.","Removing the Option to Add a Site Copy to Facebook","72368.htm");
Page[146]=new Array("When users remove a site from the Presence Builder editor, only the current site draft opened in the editor and saved site snapshots are removed. By default, published sites are not removed from hosting accounts.","If you want to save disk space, we recommend that you configure the editor to remove sites from hosting accounts when their owners click the Remove Site button.","To do this:","On the Presence Builder server, open the configuration file /usr/local/sb/config.","In the [general] section of the file, locate the following line:","delete_published_site_files = false","Change false to true.","Save the file.","Removing Sites from Hosting Accounts","72558.htm");
Page[147]=new Array("Presence Builder comes with a set of website topics. A topic is a site template containing several webpages prefilled with relevant text, images, navigation menus, appropriate scripts, and meta information for use by search engines.","Website topics work in the following way:","A user selects a suitable topic in Presence Builder by browsing in a list of topics or searching by a keyword.","A number of keywords can be defined for each topic.","The user specifies a website name, selects a language, and specifies personal information, such as name, company, address, email, and phone number.","This information is inserted into the appropriate areas of the website, for example, on the &quot;About Us&quot; and &quot;Contact Us&quot; pages. This is done by means of placeholder variables. The following variables can be used in topics: %%companyName%%, %%address%%, &nbsp;%%city%%, %%country%%, %%phone%%, %%email%%.","After the user clicks Create Site, the editor does the following:","Loads the selected website topic with the prefilled text.","Inserts the information supplied by the user in the appropriate areas.","Picks a random color scheme and layout for the site. They are randomly selected by the editor to ensure a unique appearance of the site; however, when creating your own topic, you can apply a custom layout and style and make the editor use them for your topic.","Picks an appropriate image file to show as the site banner. The relevance of banners to site topics is determined by matching keywords in the website topics' meta data and in the banner descriptions. The instructions on how to add banner images for topics are provided in the section Adding Custom Banner Images.","Loads the scripts (or modules) that should be used on the site. The modules provided by the editor include Text &amp; Images, Contact Form, Image Gallery, Image Slider, Blog, Embedded Video, Online Store, Social Sharing, Map, Site Search, and Advertising.","When creating a custom topic, you should include only the following modules: Text &amp; Images, Contact Form, Blog, Embedded Video, Comments, and Social Sharing.","The user makes the desired changes to the site content and publishes the site to a hosting account.","Customizing Website Topics in Presence Builder","72363.htm");
Page[148]=new Array("Creation of a custom topic involves the following steps:","Log in to Presence Builder and create a site with custom design and content: add pages, text, scripts, and select custom layout and styles. ","Save the created site to a snapshot and download the snapshot. ","Upload the snapshot to the server file system and convert it to a ZIP package. ","You can do this by using the command-line utility snapshot2wst.php, which is shipped with Presence Builder. ","Extract the package contents for further editing and edit the files that compose the site topic. In this step, you can:","Make corrections to the text shown on website pages.","Translate all text in the topic into a different language. ","Upload an icon that should accompany the site topic on the topic selection screen.   ","Specify a title and a description for the new topic.","Specify a title and a description for the topic category if you have decided to create a category.","Register the newly created topic with Presence Builder by means of the snapshot2wst.php utility. After registration, the new topic will appear on the topic selection screen in the Presence Builder editor.","Verify that the topic was successfully added to Presence Builder.","Adding Custom Website Topics","72370.htm");
Page[149]=new Array("To create a site:","Log in to the Presence Builder editor.","Select a site topic that you want to use as a basis for your custom topic.","In the Prefill Your Website dialog, do not enter any information. If it is prefilled, delete it.","Click Create Site.","Edit the design and content of the site as desired:","Add, edit, or remove pages, and change their order.","Add text, images, scripts, and other useful functions provided by modules.","Note: You should insert only the following modules: Text and Images, Contact Form, Blog, Embedded Video, Comments, and Social Sharing. When inserting the modules, be sure to add them to the page-specific areas.","All other modules, including those inserted into site-wide areas, will not be saved in a snapshot, and therefore, will not be available in the site topic. Other items that cannot be saved in a snapshot are documents uploaded through the Document Manager and the site ownership verification file.","Change the layout and colors of the site elements.","When adding or editing text in the topic, you can use the following placeholders: %%companyName%%, %%address%%, &nbsp;%%city%%, %%country%%, %%phone%%, %%email%%.","If you need assistance with the Presence Builder editor, open the User&#8217;s Guide by clicking Help &gt; Open User&#8217;s Guide.","When your site topic is ready, save it to a snapshot as described in the following section.","Step 1: Creating a Site in Presence Builder","72371.htm");
Page[150]=new Array("In this step, you need to save your topic to a snapshot.","To save and download a site snapshot:","In the Presence Builder editor&#8217;s main menu, click the icon @ next to the Save link.","Type a name for the snapshot.","Click Save.","To download it, click the @(Download) icon.","To prepare the snapshot for further editing, upload it to the Presence Builder server and convert to a ZIP archive as described in the following section.","Step 2: Saving a Site to a Snapshot","72372.htm");
Page[151]=new Array("In this step, you need to upload the site snapshot to the Presence Builder server and convert it to a ZIP archive for further editing.","To upload a snapshot to the server and convert it to a ZIP package:","Connect to the server using SSH or a Remote Desktop connection.","Upload your snapshot file to the server. You can upload it, for example, to the /home directory.","Convert the snapshot file to a ZIP archive by issuing the following command:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/sb/utils/snapshot2wst.php --create --snapshot=&lt;source_snapshot_file.ssb&gt; --file=&lt;resulting_ZIP_archive.zip&gt; --templateCategory=&lt;category_code&gt; --templateCode=&lt;topic_code&gt;","Where:","&lt;source_snapshot_file.ssb&gt; is the path to the source snapshot archive in the SSB format that you uploaded to the server. For example: /home/source-snapshot.ssb.","&lt;resulting_ZIP_archive.zip&gt; is the location and file name of the resulting ZIP package. For example: /home/package-file.zip.","&lt;category_code&gt; is an identification code of the topic category. You can specify a name of a new category if you want to create it, or specify the code of an existing category. Do not use white spaces in category names. You will be able to set a human-readable name for this category later, by editing a file in the topic archive (/resources/locale/en_US/SiteTemplates.lng).","The following is a list of codes for the default categories present in Presence Builder 11.1.","Category name","Category code","Services","Services","Construction and Housing","ConstructionHousing","Retail Businesses","Retail","Manufacturing","Manufacturing","Organizations","Organization","Entertainment and Leisure","Entertainmentleisure","Arts and Design Services","ArtsDesign","Health and Sport","HealthSport","Education Services","Education","Fan and Hobby","FanHobby","Personal","Personal","Other","Other","&lt;topic_code&gt; is an identification code for the new topic. Be sure to use a unique name that does not coincide with an already existing one, otherwise, your custom topic will overwrite an existing topic. Do not use white spaces in topic codes. You will be able to set a human-readable name for this topic later, by editing a file in the topic archive  (/resources/locale/en_US/site_templates/&lt;topic_code&gt;/info.lng). ","Note that there is also the option --useSnapshotDesign. It can be used to indicate that the styles, colors, layout, and images used in the site snapshot must be applied to the new website topic, and should not be overridden when new sites are generated based on that topic.","After the ZIP archive is created, you can unpack it for further editing, or you can edit the files without unpacking if your ZIP archive manager supports that. ","Step 3: Uploading the Snapshot and Preparing for Editing","72373.htm");
Page[152]=new Array("Although you have prepared most of the content for the topic in the Presence Builder editor in Step 1, you might also need to do the following:","Optional steps:","Correct typos in text or make other minor changes, if required.","Translate the text in the site topic into another language, if required.","Required steps:","Specify a title, a description, and keywords for the new topic.","Specify a title and a description for the new topic category, if you have decided to create a category.","Add an icon that should accompany the site topic on the topic selection screen in the Presence Builder editor.","To make changes to text contained in the website pages:","In the topic archive structure, open the following file for editing: /resources/locale/en_US/site_templates/&lt;topic_code&gt;/content.lng.","Note: On the file system, the directory name corresponding to your topic will look like the topic code you specified, but with an appended unique combination of symbols. ","Make the required changes to the text and save the file.","Note: If you want to correct the site slogan shown in the header area, or a site description added to the &lt;META&gt; tags of HTML pages of the site, edit the file /resources/locale/en_US/site_templates/&lt;topic_code&gt;/site.lng.   ","To specify a title, a description, and keywords for the topic:","In the topic archive structure, open the following file for editing: /resources/locale/en_US/site_templates/&lt;topic_code&gt;/info.lng.","Type the title and description in quotation marks.","Specify keywords. These keywords are used for the following purposes:","Binding of images to website topics. When a new site is created based on a website topic, the editor searches for banner images that may be relevant to the topic, and adds one of them to the generated website. It also uses the relevant banners in generated design templates, which users can preview and select in the editor &gt; Design tab &gt; Templates. The relevance is determined by matching keywords in the website topic's meta data and in the banner descriptions. The instructions on how to add banner images for topics are provided in the section Adding Custom Banner Images.","Enabling users to find topics by keywords on the topic selection screen.","Improving of search efficiency by search engines. These keywords are also added to the &lt;META&gt; tags of HTML pages of the site.","You can use several keywords separated with commas. White spaces can be used only if they are part of a descriptive phrase or a combination of words. For example:","keywords = &quot;team,sports team,league,roster&quot;","Save the file.","To specify a title and a description for the new topic category:","In the topic archive structure, open the following file for editing:","/resources/locale/en_US/CustomSiteTemplates.lng.","Type the title and description in quotation marks.","Save the file.","To add an icon for the topic:","Prepare an image with the dimensions of 67 x 134 pixels, and save it to the PNG format, under the file name &lt;topic_code&gt;.png.","The PNG file must contain a composite image created by combining two icons with the dimensions of 67 x 67, aligned vertically: The upper half of the image must contain a grey icon, and the lower half of the image, a full-colored icon. The grey icon is shown on the topic selection screen when the mouse pointer is not hovered over the topic, and the lower half of the image, the full-colored icon, is shown when the topic is selected. The following is an example of the composite image that you need to create.","  @","In the topic archive structure, upload the file to /htdocs/images/site_templates/.","When prompted, confirm you want to overwrite the existing file.","When you have finished editing the files, pack them into a ZIP archive and register with your Presence Builder installation, as described in the following section.","Step 4: Editing the Files That Compose the Site Topic","72374.htm");
Page[153]=new Array("To finish adding your custom topic to the Presence Builder editor and make it available for selection by users, you need to register the topic with Presence Builder.","To register a topic with Presence Builder, issue the following command:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/sb/utils/snapshot2wst.php --register --file=&lt;path_to_ZIP_archive_with_topic&gt;","Step 5: Registering the New Topic with Presence Builder","72375.htm");
Page[154]=new Array("To verify that your new topic was successfully added to Presence Builder:","Log in to the Presence Builder editor.","On the topic selection screen, select your topic and click Create Site.","Review the site content to ensure that everything looks as expected.","Step 6: Checking the New Topic","72376.htm");
Page[155]=new Array("You can rearrange and remove topics and categories by editing a configuration file and then applying it to a Presence Builder installation.","To modify the list of topics and categories available in Presence Builder, do the following:","Log in to the server over SSH or Remote Desktop.","Create a configuration file by issuing the following command:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/sb/utils/snapshot2wst.php --export --file=&lt;configuration_file&gt;.cfg","Edit the resulting configuration file:","To remove unwanted topics or categories, comment out the corresponding entries in the file: place a semicolon (;) at the beginning of each line.","Categories are represented by lines containing text enclosed in square brackets. For example: [Retail].","Topics are represented in the list by lines like &lt;topic_code&gt;.info = &#8220;Topic title&#8221;. ","To change the order of topics or categories, move the corresponding lines within the file.","Save the file.","Apply the modified configuration file to the Presence Builder installation by issuing the following command:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/sb/utils/snapshot2wst.php --import --file=&lt;configuration_file&gt;.cfg","To restore the default set of topics and categories in Presence Builder:","/usr/local/psa/bin/sw-engine-pleskrun /usr/local/sb/utils/snapshot2wst.php --reset","Rearranging and Removing Topics and Categories","72377.htm");
Page[156]=new Array("When you share a single physical server between many users, you consider all security aspects thoroughly. Although Plesk provides an acceptable security level, there are suggested ways to improve it. This chapter provides instructions on protecting Plesk server and hosted domains from unauthorized access.","Enhancing Security","68755.htm");
Page[157]=new Array("To secure the Plesk server, it is recommended to create /tmp as a separate partition and mount it with noexec and nosuid options. These options do the following:","noexec disables the executable file attribute within an entire file system, effectively preventing any files within the file system from being executed.","nosuid disables the SUID file-attribute within an entire file system. This prevents SUID attacks on, for example, the /tmp file system.","To secure the /tmp partition of your Plesk server:","If /tmp is a separate partition on the server, you only need to edit /etc/fstab and add the noexec and nosuid options for /tmp. Then remount the partition.","If the /tmp directory resides on the / partition:","Create a partition for /tmp, for example with a size of 512 MB:","# mkdir /filesystems","# dd if=/dev/zero of=/filesystems/tmp_fs seek=512 count=512 bs=1M","# mkfs.ext3 /filesystems/tmp_fs","Add the following line to /etc/fstab:","/filesystems/tmp_fs /tmp ext3 noexec,nosuid,loop 1 1","Move the current /tmp directory content to another location.","Mount the new /tmp partition:","# mount /tmp","Move the content from the old /tmp directory to the new one.","Restricting Script Execution in the /tmp Directory","68755.htm#o68757");
Page[158]=new Array("If you offer shared hosting services, one of the most important security aspects is site isolation. This means that users must not be able to access other users&#8217; files and databases.","Customers' files are usually located in separate directories owned by the corresponding system users, so other customers cannot access them by SSH or FTP. The main issue with site isolation is that the server sometimes executes all scripts of the same type (for example, Perl scripts) on behalf of the same system user. This means, for example, that if a customer's Perl script creates a file in the /tmp directory, another customer's Perl script can access this file because the system executes both script on behalf of the same user.","For PHP scripts, you can solve the site isolation problem by running PHP as a FastCGI or CGI application. In this case, the system executes each user's PHP scripts on behalf of the corresponding system user and thus isolates scripts owned by different users. In turn, if Plesk runs PHP as an Apache module, all PHP scripts are executed on behalf of the apache user. This weakens the site isolation.","Some other scripts, such as those written in Perl and Python, are always executed by Plesk on behalf of the same system user. So, in order to provide the best site isolation, you should either prohibit their execution on the server or manually configure the system to execute them securely. Refer to the corresponding documentation for instructions on configuring secure execution of such scripts.","By default, no server-wide site isolation settings apply: For each subscription, its site isolation settings are defined by its service plan (if the subscription is synced with it) or its own settings (if the subscription is customized and locked).","Note: Customers can change their site isolation settings only if they have the permission Hosting Settings Management."," To define the server-wide site isolation settings:","Open for editing the file PRODUCT_ROOT_D/admin/conf/site_isolation_settings.ini, where $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems and /opt/psa on DEB-based systems.","This configuration file specifies the list of allowed values for hosting settings:","[hosting]",";php = on",";php_handler_type = fastcgi",";python = off",";perl = off",";fastcgi = any",";miva = off",";ssi = any",";ssl = on",";shell = /usr/local/psa/bin/chrootsh",";asp = any",";php_safe_mode = on","By default, all lines are commented out with semicolons (;), so no server-wide settings apply.","To define a server-wide setting, uncomment the corresponding line by removing the semicolon (;) and edit the line. For example, to prohibit executing Perl scripts on your server, remove the semicolon from the line ;perl = off.","You can set the following values for the settings:","on and off for scripting options.","module, fastcgi, cgi for php_handler_type.","A line from /etc/shells file for shell.","any for any option if the option value is not restricted.","In addition, there are the following restrictions on the use of these values:","If php is off, php_handler_type and php_safe_mode must be set to any.","If fastcgi is off, php_handler_type must not be set to fastcgi.","However, you can grant the permission to override the server-wide settings to certain subscriptions or service plans. To do this, select the option Setup of potentially insecure web scripting options that override provider's policy in the subscription or service plan settings, Permissions tab.","Note: You can grant the permission Setup of potentially insecure web scripting options that override provider's policy in a plan only after you grant the permission Hosting settings management.","Configuring Site Isolation Settings","68755.htm#o68758");
Page[159]=new Array("By default, Plesk allows utilities or scripts to be run on behalf of root in two cases:","Scheduling tasks with the cron manager","Handling events with the Event Manager tool","This makes Plesk server vulnerable to malicious software. To eliminate these  vulnerabilities, create the following files and leave them empty:","$PRODUCT_ROOT_D/var/root.crontab.lock prevents users from running cron tasks and viewing the list of tasks scheduled on behalf of root.","$PRODUCT_ROOT_D/var/root.event.handler.lock prevents users from creating event handlers functioning on behalf of root.","The $PRODUCT_ROOT_D is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems","Protecting from Running Tasks on Behalf of root","68755.htm#o68759");
Page[160]=new Array("f you have Plesk with Presence Builder and Business Manager, you can tune your system to offer Presence Builder in the Try and Buy (or trial) mode.  This mode lets everyone evaluate the editor and create websites for free. However, to acquire such websites, a site owner will need to subscribe to your hosting plan or purchase a plan add-on. ","Note: If you use some other billing solution&nbsp;instead of Business Manager, you can use the Try and Buy mode as well. Learn more in the section Offering the Try and Buy with Alternative Billing Solutions.","How the Try and Buy Mode Works","The Try and Buy mode is aimed at customers who wish to create their own sites but have little or no programming skill. Plesk helps such customers by giving them full access to Presence Builder functions to create sites at no charge. To claim the created sites the customers subscribe to a hosting plan in Plesk or upgrade the existing one. The more people you attract by this promotion, the more hosting subscriptions with Presence Builder you will have. ","The Try and Buy mode targets two different groups:","Existing customers who want to have a website but are unable to launch Presence Builder due to various limitations. For example, their hosting plan does not provide this option, or they have exceeded the number of sites to publish. By using the Try and Buy, you can upsell Presence Builder to these customers.&nbsp;Learn more in the section Configuring the Try and Buy for Existing Customers.","New customers who have created a trial site and now want to claim it with a new hosting plan. Learn how to configure the Try and Buy mode for such customers in the section Configuring the Try and Buy for Potential Customers.","The scenario for upselling to existing customers works this way:","Links to launch Presence Builder become available to such customers on a number of pages in Customer Panel. The customers see the links and click them.","Plesk forwards these customers to Presence Builder where they create trial sites.","When the site is ready and the customers click Publish, they are prompted to upgrade their subscription.","If the upgrade is successfully completed, the site can be published to the upgraded hosting account.","The scenario for selling hosting with Presence Builder to potential customers is as follows:","You enable public access to the Presence Builder trial mode in Plesk by selecting the corresponding checkbox in the Server Administration Panel &gt; Tools &amp; Settings &gt; Try and Buy Mode Settings.  If this mode is activated, everyone who follows a special promotional link is able to create a trial site. ","You obtain the promotional link from the Plesk GUI and put this link on your website so that potential customers can access it. ","When the customers click the link, they are forwarded to Presence Builder where they create trial sites. The editor interface is identical to the one that appears in step 2.<br>","As soon as the site is ready, the customers click Publish, and Plesk requests them to buy a hosting plan.","The customers subscribe to a new plan and are free to publish the site.","Note: All notifications that customers receive while using the Try and Buy mode can be customized. Learn more in the section Customizing Trial Mode Notifications.","Trial (Try and Buy) Mode for Presence Builder","67078.htm");
Page[161]=new Array("Use the Try and Buy mode if you want your existing customers to create trial sites even if Presence Builder is not provided with their license or they have exceeded the number of sites they can publish. ","To configure the mode, update the settings of your hosting plans. To do that, open the settings and select the item Allow customer to create trial Presence Builder websites. After you update the plan settings, customers are able to launch Presence Builder by clicking the corresponding link in the Customer Panel. ","This feature is controlled on a per plan basis, so you can offer the Try and Buy mode only for certain plans. If you deselect this item, your customers will still see the buttons to launch Presence Builder but they will not be able to actually launch it unless their plan includes Presence Builder support.","Note: If the hosting plans you want to change are imported from Business Manager and you want to keep them synced, go to the properties of corresponding plans in Business Manager, make sure that the item Allow up-selling Presence Builder sites is selected, and send changes to Plesk by clicking Events &gt; Run Events.","Configuring the Try and Buy Mode for Existing Customers","67076.htm");
Page[162]=new Array("Acquire potential hosting customers with Presence Builder by giving them a link to Presence Builder in the Try and Buy mode. After your customers follow this link, create a site, and try to publish it, Plesk forwards them to the default online store of Business Manager. In the store, customers choose a plan with Presence Builder and subscribe to it. The subscription automatically includes the newly created site. On completing the billing and subscription setup routines, the customers become owners of the site and can publish it. You are free to block access to the trial mode URL and thereby make Presence Builder unavailable.","To offer the Try and Buy mode to potential customers, do the following:","Prepare the default online store in Business Manager to display Presence Builder-compatible plans.","This step requires a cosmetic update: Make sure that all plans available to potential customers include at least one Presence Builder site. By default, customers see the plans from the default online store. For each of these plans, go to plan properties and check that the value of item Sites published with Presence Builder is not 0. If a plan includes 0 sites, your customers will not be able to publish them after subscribing to such a plan. ","Enable the Try and Buy mode in the Server Administration Panel.","This allows customers to launch Presence Builder by following the trial mode access URL. In the Server Administration Panel, go to Tools &amp; Settings &gt; Try and Buy Mode Settings, and ensure that the Enable public access to trial mode checkbox is selected. ","Obtain the trial mode access URL and put it on your website to advertise hosting with Presence Builder and attract customers.","The trial mode access URL is also available on the Presence Builder settings page.","(Optionally) Configure lifetime of trial sites.","On the same page you can optionally specify how often to remove unclaimed sites.","(Optionally) Forward customers to a separate online store. This is relevant when you want to display a separate list of plans to potential customers who want hosting with Presence Builder.","&nbsp;If you wish to have a separate store for the trial offering, extend the trial mode access URL with a store ID to point to a particular store. The syntax of the new URL is: &lt;existing URL&gt;&amp;storeId=&lt;custom store ID&gt;. To control the plans list view, independently add a widget ID to the URL. The syntax of the new URL is: &lt;existing URL&gt;&amp;widgetId=&lt;custom widget ID&gt;.","Note: The store and widget IDs must exist in Business Manager.","Once you complete these steps, your potential customers will be able to create trial sites and acquire them. To block this feature, deselect access to the Try and Buy mode on the mode settings page.","Configuring the Try and Buy Mode for Potential Customers","67080.htm");
Page[163]=new Array("The Presence Builder settings (Tools &amp; Settings &gt; Try and Buy Mode Settings) let you either display the Try and Buy mode notification to customers or hide it. The notification is displayed in a bar at the top of the editor page. This section explains how to change the notification text or add some extra information to the notification. By default, Presence Builder in trial mode uses messages from the tbbMessagesDefault.lng file of the used locale. ","To customize notifications displayed to your customers by Presence Builder in trial mode:","Go to the /usr/local/sb/resources/locale/&lt;locale_name&gt; directory on Linux operating systems, or to C:\\Parallels\\Plesk\\sb\\resources\\locale\\&lt;locale_name&gt; directory on Windows operating systems.","&lt;locale_name&gt; is the name of the locale for which you change the notifications. For example, the default English locale name is en_US.","Copy the tbbMessagesDefault.lng and rename it to tbbMessagesCustom.lng.","When the tbbMessagesCustom.lng file exists, Presence Builder uses it instead of tbbMessagesDefault.lng.","Edit messages in the tbbMessagesCustom.lng file. ","You can edit the following messages:","Message Keyword in Locale","Message Description","startUpsellLimitExceedingTitle","Title of the dialog window shown on Presence Builder start page to a customer who has exceeded the limit on the websites published with Presence Builder.","startUpsellLimitExceedingBody","Body of the dialog window shown on Presence Builder start page to a customer who has exceeded the limit on websites published with Presence Builder.","startUpsellNoSitesTitle","Title of the dialog window shown on Presence Builder start page to a customer whose subscription does not include Presence Builder.","startUpsellNoSitesBody","Body of the dialog window shown on Presence Builder start page to a customer whose subscription does not include Presence Builder.","editorTopMessageTrialSite","&quot;Call to action&quot; bar message at the top of Presence Builder Editor shown to a new customer who creates a trial site.","editorTopMessageUpsellLimitExceeding","&quot;Call to action&quot; bar message for a trial site at the top of Presence Builder Editor shown to a customer who has exceeded the limit on the websites published with Presence Builder.","editorTopMessageUpsellNoSites","&quot;Call to action&quot; bar message for a trial site at the top of Presence Builder Editor shown to a customer whose subscription does not include Presence Builder.","defaultPersonalName","Default name of the customer shown on Presence Builder start page to existing customers.","initialMailSubject","Subject of website creation email confirmation sent to a new customer.","initialMailHtml","Body of website creation email confirmation sent to a new customer.","limitsExceededTitle","Title of the dialog window shown upon clicking the Publish button to a customer who has exceeded the limit on the websites published with Presence Builder.","limitsExceededMsg","Body of the dialog window shown upon clicking the Publish button to a customer who has exceeded the limit on the websites published with Presence Builder.","firstSitePublishTitle","Title of the dialog window shown upon clicking the Publish button to a customer whose subscription does not include Presence Builder.","firstSitePublishMsg","Body of the dialog window shown upon clicking the Publish button to a customer whose subscription does not include Presence Builder.","licenseExceededMsg","Error message shown in the Status bar upon clicking the Publish button to a customer when the number of Presence Builder websites allowed by the Plesk license has been reached.","trialSiteSignUpPublishTitle","Title of the dialog window shown upon clicking the Publish button to a new customer who creates a trial site.","trialSiteSignUpPublishMsg","Body of the dialog window shown upon clicking the Publish button to a new customer who creates a trial site.","trialFeatureDisabled","Error message shown in the Status bar when a new customer tries to verify ownership in the settings of a trial site. ","You can use the following placeholders in Presence Builder trial mode notifications:","ppServerId - unique ID of Plesk server;","billingSignUpEntryPoint - entry point to Business Manager for new customers;","billingUpSellEntryPoint - entry point to Business Manager for existing customers;","subscriptionId - unique ID of the user subscription;","sbSiteUuid - unique ID of a website in Presence Builder;","sbOneTimeBackUrl - link Presence Builder that can be used only once;","locale - locale name;","trialSiteLifeTime - time that passes before trial websites that were not purchased by customers are removed from the server;","trialSiteExpireDate - expiration date of trial websites;","trialSiteUrl - link to trial website;","siteOwnerName - name of the user owning the website;","siteOwnerCompanyName - user's company name;","siteOwnerEmail - user's email;","siteOwnerPhone - user's phone number;","siteOwnerAddress - user's address;","siteOwnerCity - user's city;","siteOwnerCountry - user's country;","queryString - an additional query string passed to trial mode access URL;","helpUrl - link to Presence Builder documentation;","sbHttpHost - Presence Builder host name.","When using placeholders in messages, use the following placeholder markers:","&amp;placeholder_name&amp; - when you use a placeholder inside a hyperlink;","@placeholder_name@ - when you use a placeholder inside a JavaScript code;","%placeholder_name% - when you use a placeholder in plain text.","Customizing Trial Mode Notifications","67077.htm");
Page[164]=new Array("If you wish to offer the Try and Buy mode for Plesk with Presence Builder and a custom billing solution, you should also carry out the following operations: ","Forward customers from Presence Builder to a custom store and save details about created sites.","When a customer clicks to purchase a site, Presence Builder sends an HTTP POST request to a billing entry point. This request contains information about the customer and the created site. Business Manager (billing engine) uses this information to associate the site with the customer's hosting account. To shift to a custom billing engine, you should change the billing entry point URL and extend your billing engine logic to save the POST parameters that come to the URL.<br>","Ensure that customers purchase a hosting plan or add-on.","This solely depends on the billing system and is beyond the scope of the CAS integration.<br>","(For new customers only) Create a customer account, a subscription, and a site in Plesk.","Associate the site created in Presence Builder with an appropriate site in Plesk. ","This appendix explains how to complete operations 1, 3, and 4.","How to Forward Customers to a Custom Entry Point","By default, the store entry point URL points to Business Manager. This URL is stored in two placeholders (billingSignUpEntryPoint and billingUpSellEntryPoint) in file tbbMessagesDefault.lng. The location of this file depends on a Plesk installation directory (we assume that you use the default one), server OS and architecture. Find the file in one of the following directories:","(On Microsoft Windows) C:\\Program Files\\Parallels\\sb\\resources\\locale\\en_US or C:\\Program Files (x86)\\Parallels\\sb\\resources\\locale\\en_US depending on the server architecture.","(On RPM and DEB package-based Linux) /usr/local/sb/resources/locale/en_US","To customize the entry point URL, you should create a copy of the tbbMessagesDefault.lng. file, name it tbbMessagesCustom.lng, and modify the settings in the latter file. ","Note: We assume that you change the entry point for a store in  the en_US locale. To change the entry point for other locales, create and modify the tbbMessagesCustom.lng file in the respective directories that are on the same level with en_US.","To change the entry point URL:","Substitute all occurrences of the billingSignUpEntryPoint and billingUpSellEntryPoint placeholders with the URL of your custom billing solution. Take care to remove leading and trailing &quot;@&quot; and &quot;%&quot; symbols in all occurrences of the placeholders in the file. For example, if the new entry point URL is http://example.com, you should change @billingUpSellEntryPoint@ to http://example.com.","Remove the &quot;@sbHttpHost@&quot; part before the custom billing solution URL in the post methods.","To illustrate, if your custom billing solution's URL is http://example.com, the original entry of the following form:","form method='post' action='@sbHttpHost@@billingSignUpEntryPoint@?@queryString@'","needs to be rewritten so that it looks like this:","form method='post' action='http://example.com?@queryString@'","Do this for every entry containing either the @billingSignUpEntryPoint@ or the @billingUpSellEntryPoint@ placeholder.","What Parameters to Save","The billing entry point receives POST requests that contain information about customers and trial sites they have created. Although the requests contain a number of parameters, you need to save only one - sbSiteUuid. This is the unique identifier of the created site. To move the site to the customer's hosting account, you should associate the parameter with an appropriate site in Plesk.","How to Create a Customer Account, a Subscription, and a Site","To create these three objects, use XML API - the protocol to create and manage Plesk objects remotely. First, you should create a customer account and save the resulting ID. Then, create a subscription with the owner-id (in add/gen_setup) set to the customer ID. Finally, create a site with the webspace-id (in add/gen_setup) set to the subscription ID. Each of these three operations is presented by a packet you send to Plesk.","If you wish to quickly get started with sending XML API packets, read XML API Manual. It contains the chapter Client Code Samples that describes how you can implement your own packet sender by using samples of client applications (PHP, C#, VB.NET).","Find samples of the packets in XML API Manual, sections:","Supported Operations &gt; Managing Customer Accounts &gt; Creating Customer Accounts &gt; Request Samples","Supported Operations &gt; Managing Subscriptions (Webspaces) &gt; Creating a Subscription (Webspace) &gt; Request Samples","Supported Operations &gt; Managing Sites (Domains) &gt; Creating a Site &gt; Request Samples","How to Associate a Site Created in Presence Builder with a Plesk Site","An association between a Presence Builder site and Plesk site is also achieved through XML API. One of the protocol calls turns a trial site into a regular site and associates it with a Plesk site. This association means that when a customer clicks Edit in Presence Builder, their previously created site is displayed. This operation requires two parameters - the GUID of a Plesk site and sbSiteUuid that you previously received. ","The protocol call (or packet) to associate Presence Builder and Plesk sites is found in XML API Manual, section Supported Operations &gt; Managing Integration With Presence Builder &gt; Assigning a Trial Site &gt; Request Samples. This section contains call samples that you can reuse with your own values. Details on how to find a site GUID are also included in the reference document, section Supported Operations &gt; Managing Sites (Domains) &gt; Getting Information About Sites &gt; Request Samples.","What to Do Next","After you have successfully achieved the basic integration, you can extend your application to work with existing customers as well. This involves you showing them the options of upgrading their current subscription with Presence Builder support (existing customers are forwarded to billingUpSellEntryPoint, while new customers go to billingSignUpEntryPoint) rather than creating new subscriptions.","You can also personalize the store interface by using parameters received from Presence Builder. For example, you can adjust the store locale based on customers' personal data, or use the data in messages displayed to customers.","Offering the Try and Buy Mode with Alternative Billing Solutions","68376.htm");
Page[165]=new Array("The new cfgmon utility enables administrators to track changes in critical configuration files. Below are examples of commands.","To display a list of configuration files that are tracked for changes, run the following command:","# plesk sbin cfgmon --list-all","For each file, you will see the path to the file and the time when the file's was last modified.","&nbsp;&nbsp;","To see the history of changes for the /etc/httpd/conf.d/ssl.conf file:","# plesk sbin cfgmon -s /etc/httpd/conf.d/ssl.conf","A list of revisions will be displayed with paths to each revision.","&nbsp;&nbsp;","To see the exact changes that were made to a file (for example /etc/httpd/conf.d/ssl.conf) in a certain revision (for example, 48), run the following command:","# plesk sbin cfgmon -r 48 | diff /etc/httpd/conf.d/ssl.conf","&nbsp;&nbsp;","To display all commands of the cfgmon utility, run the command:","# plesk sbin cfgmon --help","&nbsp;","Tracking Changes in Configuration Files","73233.htm");
Page[166]=new Array("Plesk 12.5 is shipped with the following interface languages:","English (United States)","Danish (Denmark)","German (Germany)","Greek (Greece)","Spanish (Spain)","Finnish (Finland)","French (France)","Indonesian (Indonesia)","Italian (Italy)","Japanese (Japan)","Korean (Republic of Korea)","Malay (Malaysia)","Norwegian (Norway)","Dutch (Netherlands)","Polish (Poland)","Portuguese (Brazil)","Portuguese (Portugal)","Russian (Russian Federation)","Swedish (Sweden)","Thai (Thailand)","Tagalog (Philippines)","Turkish (Turkey)","Ukrainian (Ukraine)","Vietnamese (Viet Nam)","Chinese (China)","Chinese (Taiwan)It is possible to translate Plesk interface (including Presence Builder) into other languages and apply the translation to a Plesk installation.","For detailed instructions on translating Plesk into your language, refer to the Localization Guide.","Localization","68558.htm");
Page[167]=new Array("Automatic logging in to Plesk is especially useful for integration purposes, so that customers who have logged in to some other system could access Plesk without having to log in for the second time.","The recommended way to implement automatic logging in is to redirect users to a one-time use URL that contains a session token. To generate a session token for a specified user, you should run an XML API request that uses the create_session operation of the server operator. ","An example of the request:","&lt;packet version=&quot;1.6.3.3&quot;&gt;","  &lt;server&gt;","    &lt;create_session&gt;","      &lt;login&gt;admin&lt;/login&gt;","      &lt;data&gt;","        &lt;user_ip&gt;MTAuNTAuMS43MQ==&lt;/user_ip&gt;","        &lt;source_server&gt;&lt;/source_server&gt;","      &lt;/data&gt;","    &lt;/create_session&gt;","  &lt;/server&gt;","&lt;/packet&gt;","The login parameter specifies the Plesk user for whom you need to create a session. The user-ip parameter is an IP address of the user, encoded using base64 algorithm.","An example of the response:","&lt;packet version=&quot;1.6.3.3&quot;&gt;","  &lt;server&gt;","    &lt;create_session&gt;","      &lt;result&gt;","        &lt;status&gt;ok&lt;/status&gt;","        &lt;id&gt;ede520d0fc93ae7aa0524076d631fba2&lt;/id&gt;","      &lt;/result&gt;","    &lt;/create_session&gt;"," &lt;/server&gt;","&lt;/packet&gt;","Plesk creates a session token for the specified user. It is contained in the id tag (ede520d0fc93ae7aa0524076d631fba2 in the example).","&nbsp;&nbsp;","The generated session token can be used in scripts: A script redirects the user&#8217;s browser to rsession_init.php, and the user is logged in to Control Panel. ","The example of URL:","https://&lt;server-host-or-ip-address&gt;:8443/enterprise/rsession_init.php?PHPSESSID=ede520d0fc93ae7aa0524076d631fba2&amp;success_redirect_url=&lt;success_redirect_url&gt;","The full list of parameters that rsession_init.php takes is as follows:","PHPSESSID. A session token (Linux).","success_redirect_url (optional). The URL to which the browser will be redirected after a successful login.","failure_redirect_url (optional). The URL to which the browser will be redirected after a failed login attempt. This parameter is also used as the logout URL.","no_frames (optional, deprecated). Use this parameter to display the Plesk Administrator Panel without frames.","locale_id (optional). A locale name (such as de-DE).","&nbsp;&nbsp;","The easier, but not recommended way to implement automatic logging in functionality is to pass plain password as a parameter in URL. Such a URL looks as follows:","https://&lt;server-host-or-ip&gt;:8443/login_up.php3?login_name=&lt;login&gt;&amp;passwd=&lt;password&gt;&amp;success_redirect_url=&lt;success_redirect_url&gt;&amp;failure_redirect_url=&lt;failure_redirect_url&gt;","The full list of parameters that login_up.php3 takes is as follows:","login. User's login.","passwd. User's plain password.","success_redirect_url (optional). The URL to which the browser will be redirected after a successful login.","failure_redirect_url (optional). The URL to which the browser will be redirected after a failed login attempt. This parameter is also used as the logout URL.","no_frames (optional, deprecated). Use this parameter to display the Plesk Administrator Panel without frames.","locale_id (optional). A locale name (such as de-DE).","Automatic Logging In to Plesk","73873.htm");
Page[168]=new Array("The maximum size of a file that can be uploaded to the server using the FIle Manager depends on Plesk PHP settings. ","To set the maximum size of a file that can be uploaded:","Open the /usr/local/psa/admin/conf/php.ini file for editing.","Set the value of the post_max_size and upload_max_filesize directives to the desired maximum file upload size.","Restart the web server by running the /etc/init.d/psa restart command.","Note that the changes are server-wide and will affect both the provider and all customers.","Changing the Maximum Upload File Size","74207.htm");
Page[169]=new Array("Hosting companies can add value to hosting plans and enhance the Plesk capabilities by adding third-party services to Plesk. In the terms of Plesk, such services are called additional. An additional service can be any resource available at a certain URL (like a Plesk extension, web app, and so on), even if it is completely independent from Plesk. It can be a spam filter, statistics analytic tool, helpdesk or other services.","The administrator and resellers associate these additional services with hosting plans when setting up a distribution strategy. For example, if you have a service that performs custom mail filtering, Plesk lets you offer this service with one particular plan, for example, the Silver hosting plan and do not offer with others.","To make Plesk aware of an additional service, you should add the service to Plesk. In the simplest case, when the service resides on a remote URL and does not require any notifications from Plesk, add it from the Plesk GUI, page Service Plans &gt; Additional Services. From there, you can also associate the service with a custom button that is instantly added to the Websites &amp; Domains page of each subscriber.","Another way to add a service is to make a programming call to Plesk. The benefit of this approach is that it lets your service to receive Plesk notifications about the object changes. For example, the mail filtering service we mentioned earlier must track account name changes to serve renamed accounts as well. Though you can make a call that adds a service and does not subscribe it to notifications, this operation does not make much sense as it is easier to add such services through the GUI. Thus, we consider that you will generally use programming means to both add services and register them with Plesk Notifications (PN). ","The possible inconvenience of adding services by a call is that you are unable to edit details of the services through the Plesk GUI. Please consider it when designing service names and descriptions. Another peculiar feature of adding services by a call is that are not automatically visible to customers. We recommend that you use custom buttons or write an extension to display the service in the Customer Panel.","PN sends notifications about subscriptions, sites, and email accounts related to the service. The relation subscription - service is derived from plans: A service is associated with plans, whereas subscriptions are plan instances. If a subscription has sites or email accounts, the changes of these supplementary objects are also tracked.","If you wish to register your service with the PN, do the following: ","Create a service-specific class that implements interface Plan_Item_Interface.","By implementing this interface, you specify the service properties in Plesk and define what type of changes it should receive and how it should handle them. When a change happens, Plesk executes the change handling code from this class. This code runs in the Administrator context.","Register this class by an appropriate call. ","For details on interface Plan_Item_Interface and instructions on how to implement it, see section Preparing a Service for Registration.","To learn how to register a prepared class, see section Registering the Service.","Note: This section does not explain how to write third-party services, integrate them into the Plesk GUI, or get access to the Plesk resources. If you wish to make a registered service available to customers, create a custom button pointing to the service URL and place it on pages available to customers. This can be done through the command line interface (CLI) and will work only if your service receives enough information from PN. If your service requires access to other Plesk resources or you want to build your service into the Plesk GUI, consider writing an extension.","Registering Additional Services with Plesk Notifications","66758.htm");
Page[170]=new Array("To prepare a service for registration with Plesk Notifications, create a PHP file containing a class that implements interface Plan_Item_Interface and put the file into a directory available to Plesk. The directory must have a unique name and reside in /PRODUCT_ROOT_D/admin/plib/, where PRODUCT_ROOT_D is the installation directory of Plesk. ","When designing names of the class that implements the interface and the file that includes this class, follow Zend naming conventions. For example, if you create a directory /PRODUCT_ROOT_D/admin/plib/servicedir and put there file servicefile.php, then the class name must be servicedir_servicefile. To learn more about the naming conventions, see http://framework.zend.com/manual/1.12/en/coding-standard.naming-conventions.html.","We offer a sample class you can use as a base when writing own classes to help you with the implementation. The code is supplemented by comments that explain the interface organization. ","To view the code, click the following link: code sample.","Preparing a Service for Registration","66759.htm");
Page[171]=new Array("We suppose that you have prepared the Plan_Item_Interface implementation and want to register your service with Plesk Notifications. To perform the registration, create an arbitrary PHP file, for example, register.php, and paste the code given below into the file. Substitute servicedir_servicefile with your class name throughout the code. When ready, run the code by using one of these shell commands:","On Linux, run /usr/local/psa/bin/sw-engine-pleskrun register.php","On Windows, run %plesk_bin%\\php register.php","Note: We suppose that Plesk is installed to the default installation directory. If you use a custom directory, please update the paths correspondingly.","To view the register.php code, click the following link: code sample.&nbsp;","If it is impossible for you to run the PHP code, you can register the service directly by running this MySQL statement customized to your class.  ","INSERT INTO PlanItems (","     classname,","     name,","     applicableToEmail,","     uuid"," )"," VALUES (","     'servicedir_servicefile',","     'urn:isv:custom-item-connector:1',","     1,","     '219b7656-8e92-869d-828a-6814cda71a1s');","The definition of the parameters that present in the statement is as follows:","classname, string","The name of the class that contains the interface implementation.<br>","name, string","The unique name of the service.<br>","applicableToEmail, boolean (0,1)","This parameter subscribes the service to email accounts changes.  Alternatively, you can specify applicableToSite or applicableToSubscription to receive notifications about changes in Plesk's subscriptions and sites.<br>","uuid, string","The service identifier.","Registering the Service","66760.htm");
Page[172]=new Array("&lt;?php","/**"," * Sample implementation of a Service Plan Item declaration."," *"," */","/**"," *"," * Plan_Item_Interface declares the following methods:"," *"," *   public function getName();"," *   public function getHint($locale);"," *   public function getDescription($locale);"," *   public function update("," *       $subject,"," *       $change,"," *       $subscriptionUuid,"," *       $planItemUuid"," *   );"," *"," * Additional descriptions are available as annotations to method"," * implementations below."," *"," */","class servicedir_servicefile implements Plan_Item_Interface","{","    private $_logFile = '/tmp/custom-item-connector.log';","    private $_locales = array(","        'en-US' =&gt; array(","            'description' =&gt; 'External Mail Filtering Service',","            'hint' =&gt; 'Filter all incoming mail throug cloud mail filter',","        ),","        'de-DE' =&gt; array(","            'description' =&gt; 'This is a description in German',","            'hint' =&gt; 'And hint is also in German',","        ),","    );","    /**","     * Returns a unique name of an additional service.","     * Plesk uses this name to distinguish services from each other.","     *","     *","     * @return string","     */","    public function getName()","    {","        return 'urn:isv:custom-item-connector:1';","    }","    /**","     * Returns a localized name of the service, that will be","     * displayed in Plesk (in Service Plans &gt; Additional Services).","     *","     *","     * @param string $locale Currently used locale in format 'xx-XX' (RFC 1766).","     * @return string","     */","    public function getHint($locale)","    {","        return $this-&gt;_('hint', $locale);","    }","    /**","     * Returns a localized name of the service, that will be","     * displayed in Plesk (in Service Plans &gt; Additional Services).","     *","     *","     * @param string $locale Currently used locale in format 'xx-XX'","     * @return string","     */","    public function getDescription($locale)","    {","        return $this-&gt;_('description', $locale);","    }","    /**","     * Receives update notifications about related Plesk objects. The objects are","     * specified with object implementing Plan_Item_Subject interface that","     * declares the following methods:","     *","     *   public function getType() - Returns type of a changed object","     *   	 as specified by Plan_Item_Subject constants ","     *","     *          Available types: Plan_Item_Subject::EMAIL, Plan_Item_Subject::SITE, ","     *          Plan_Item_Subject::SUBSCRIPTION ","     *","     *","     *   public function getProperties() - Returns the current values of","     *   	subject properties. The properties are returned as key =&gt; value pairs.","     *      For deleted objects, properties values remain as they were","     *      before deletion. For created objects, properties values are those","     *      that were assigned to these objects upon creation.","     *","     *      ","     *      Available properties.","     *      ","     *      For subscriptions:","     *        GUID: string","     *        status: boolean","     *      ","     *      For sites:","     *        status: boolean","     *        name: string","     *        GUID: string","     *      ","     *      For e-mail accounts:","     *        email: string (account name)","     *","     * Changes are specified with $change that is one of","     * Plan_Item_Notification::{CREATED,UPDATED,DELETED} constants.","     *","     * $subscriptionUuid is a GUID of subscription.","     *","     * $planItemUuid is a GUID of the additional service.","     *","     *","     * @param Plan_Item_Subject $subject","     * @param int $change","     * @param string $subscriptionUuid","     * @param string $planItemUuid","     * @return void","     */","    public function update(","        Plan_Item_Subject $subject,","        $change,","        $subscriptionUuid,","        $planItemUuid","    )","    {","        $subjectType = Plan_Item_Subject::EMAIL === $subject-&gt;getType()","            ? 'Email address'","            : 'unknown';","        switch ($change) {","            case Plan_Item_Notification::CREATED:","                $this-&gt;_log(&quot;$subjectType created: &quot; .","                    print_r($subject-&gt;getProperties(), true)","                );","                break;","            case Plan_Item_Notification::UPDATED:","                $this-&gt;_log(&quot;$subjectType updated: &quot; .","                    print_r($subject-&gt;getProperties(), true)","                );","                break;","            case Plan_Item_Notification::DELETED:","                $this-&gt;_log(&quot;$subjectType deleted: &quot; .","                    print_r($subject-&gt;getProperties(), true)","                );","                break;","        }","    }","    /**","     * Declares from what type of Plesk objects the service will receive notifications.","     * It returns either an array or a single type.","     *","     * Plan_Item_Subject::SUBSCRIPTION","     * 	 The service will recieve notifications about all changes made to","     *    subscription (including activation/suspension of subscriptions,","     *    assigning/de-assigning the service to a subscription)","     *","     * Plan_Item_Subject::EMAIL","     * 	 The service will recieve notifications about all changes made to","     *    e-mail accounts on affected subscriptions.","     *","     * Plan_Item_Subject::SITE","     * 	 The service will recieve notifications about all changes made to","     *    site names in the scope affected subscriptions.","     *","     */","    public static function getSubjectTypes()","    {","        return array(Plan_Item_Subject::EMAIL);","    }","    private function _($key, $locale)","    {","        if (!isset($this-&gt;_locales[$locale])) {","            return $this-&gt;_locales['en-US'][$key];","        }","        return $this-&gt;_locales[$locale][$key];","    }","    private function _log($message)","    {","        date_default_timezone_set('UTC');","        $logString = &quot;[&quot; . date(&quot;H:i:s&quot;) . &quot;] &quot; . $message;","        file_put_contents($this-&gt;_logFile, $message, FILE_APPEND);","    }","}","Implementation of Plan_Item_Interface","66773.htm");
Page[173]=new Array("&lt;?php","/**"," * Sample code to register an additional service in"," * Plesk 10.1 and above."," *"," */","/**"," * Use the following instructions to initialize the Plesk PHP"," * environment when running command-line PHP script with sw-engine-pleskrun"," * utility. On Linux OSes, it resides in /usr/local/psa/bin/."," *"," * For Windows servers, use the following command to run the registration script."," * &quot;%plesk_bin%\\php.exe&quot; -d auto_prepend_file=&quot;&quot; &quot;&lt;ABSOLUTE-PATH-TO-SCRIPT&gt;&quot;"," *"," * Comment the following two lines if you run the PHP script through the Plesk"," * web interface."," */","require_once('api-common/cu.php');","cu::initCLI();","/**"," * The following code registers the service that was"," * implemented with the servicedir_servicefile class. This class must"," * be available for autoloading from Plesk."," */","Db_Table_Broker::get('PlanItems')-&gt;register(","    new servicedir_servicefile(),","    servicedir_servicefile::getSubjectTypes()",");","Registration of an Additional Service","66774.htm");
Page[174]=new Array("This section provides procedures for solving the most typical problems in Plesk for Linux. Most importantly, it contains information on what to do if you:","cannot access the Plesk login page","cannot log in to Plesk","forget the administrator's password","encounter problems when operating Plesk in a Virtuozzo container","If your problem is not discussed in this chapter or if the proposed solution does not work, visit the Odin Knowledge Base at http://kb.odin.com/ or contact our technical support department. ","Troubleshooting","68745.htm");
Page[175]=new Array("If you get the error messages &quot;Unable to initialize session&quot;, &quot;Domain ID is undefined&quot;, or &quot;Client ID is undefined&quot; when trying to access Plesk, it means that Plesk cannot create a session in $PRODUCT_ROOT_D/admin/sessions.","This may happen if there is not enough free disk space on the Plesk server. ","To check if there is enough disk space, run the commands:","# df -h","# df -i","If disk space usage is at 100%, you should remove useless files or rotate log files in /var/log/. For more information on log rotation, see the section Log Rotation.","Cannot Access Plesk","68745.htm#o68778");
Page[176]=new Array("If you get the error message &quot;Access for administrator from address xx.xx.xx.xx is restricted in accordance with IP Access restriction policy currently applied.&quot; when trying to access Plesk, it means that the Plesk IP access policy does not allow you to log in from your current IP.","To access Plesk from an IP address:","Log in to the server via SSH.","Change the IP access policy in the psa database:","To find the current policy and its restricted and allowed IP addressess,run the following commands.","# mysql -uadmin -p`cat /etc/psa/.psa.shadow ` psa","mysql&gt; select * from cp_access;","mysql&gt; select * from misc where param='access_policy';","To clear the access policy settings:","Remove all records from the cp_access table:","mysql&gt; delete from cp_access;","Set the policy to allow:","mysql&gt; update misc set val=&quot;allow&quot; where param='access_policy';","otherwise, you may get the following error message:","Unable to connect to database","login.php3: Unable to connect to database: Permission denied","ERROR 1045: Access denied for user: 'admin@localhost' (Using password: YES)","In this case, restart Plesk and try to log in again:","# /etc/init.d/psa restart","If this does not work, do the following:","Check that the /etc/psa/.psa.shadow file has valid permissions:","# ls -la /etc/psa/.psa.shadow","The right permissions and owner are -rw------- and psaadm respectively. If the current permissions are different from these, change them by running the commands:","# chown psaadm:psaadm /etc/psa/.psa.shadow","# chmod 600 /etc/psa/.psa.shadow","Check that mysql server is running and working properly:","# ps ax | grep mysql","The following output indicates that the mysql is running properly:","3776 pts/0    S+     0:00 grep mysql","24272 ?        S      0:00 /bin/sh /usr/bin/mysqld_safe datadir=/var/lib/mysql --socket=/var/lib/mysql/mysql.sock --log error=/var/log/mysqld.log --pid-file=/var/run/mysqld/mysqld.pid user=mysql","24322 ?        Sl     0:07 /usr/libexec/mysqld --basedir=/usr --datadir=/var/lib/mysql --user=mysql --pid-file=/var/run/mysqld/mysqld.pid --skip-external-locking --socket=/var/lib/mysql/mysql.sock","Try to access the mysql through the server shell:","# mysql -uadmin -p`cat /etc/psa/.psa.shadow` -D psa","If you can access the mysql, then it is likely that Plesk is ok and you have forgotten the administrator's password. See the section The Administrator's Password has been Forgotten for instructions on how to restore it.","Cannot Log In to Plesk","68745.htm#o68779");
Page[177]=new Array("If you forget the Plesk administrator's password, there are two ways to resolve this issue:","restore the password ","set new password","To restore the Plesk administrator's password:","Log in to the server via SSH.","Go to PRODUCT_ROOT_D/bin/ where PRODUCT_ROOT_D  is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems."," Run the admin utility with the --show-password option:","# ./admin --show-password","To set a new administrator password:","Log in to the server via SSH.","Go to PRODUCT_ROOT_D/bin/ where PRODUCT_ROOT_D  is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems."," Run the init_conf utility with the new password specified:","# /usr/local/psa/bin/init_conf --update -passwd new_password","The Administrator's Password Has Been Forgotten","68745.htm#o68780");
Page[178]=new Array("When Plesk is installed in Virtuozzo containers, administrators refer to Plesk when performing web hosting operations and to Power Panel when managing their container. The Power Panel becomes available when the administrators turn on the offline-management mode. When this mode is on and Plesk is installed, some controls and menus of Power Panel become available in the top and left navigation panes of Plesk. In other words, Power Panel is partially built into Plesk in offline-management mode. ","Since Plesk 10, the integration between panels can lead to unexpected results. For example, some icons in Plesk might not be displayed or the layout might be broken when the offline management is on. To resolve these problems, we recommend that you do not use the integration, and that you access the panels on different ports (4643 and 8443).","To make Power Panel and Plesk operate on different ports, do the following:","On Linux servers, connect to the hardware node over SSH and run the following command:","vzctl set CT_ID --offline_management yes --offline_service vzpp --save<br>","On Windows servers, connect to the hardware node over Remote Desktop and run the following commands:","<br>vzctl set CT_ID --offline_management yes --save<br>vzcfgt set CT_ID offlineservices vzpp","Plesk in a Virtuozzo Container: Broken Layout","68745.htm#o68746");
Page[179]=new Array("Virtuozzo containers 4.0 and later versions can discover EZ templates in a container and perform automatic actions depending on the templates. This feature provided opportunities for business automation software (such as OBAs) to automatically find products installed in a container and start billing the container owner. ","The discovery algorithm is straightforward: If the system finds all packages included in an EZ template, it considers that such a template is installed. The major drawback of this approach is that Plesk 9.x and SMB are very close to each other in terms of packages, so the auto-detection engine makes incorrect decisions. Namely, if only one of the applications is present in a container, the system considers that both templates are installed. The most noticeable outcome of this detection problem is that the system fails to update both applications or set proper billing for them.","It is possible to stop the auto detection if you use the billing automation software or if you want to install Odin Small Business Panel. To do this, modify the /etc/vztt/vztt.conf file by setting APP_TEMPLATE_AUTODETECTION=no.","EZ Templates Update Issues in Virtuozzo Containers","68745.htm#o68790");
Page[180]=new Array("If you operate in Virtuozzo containers, the Postfix mail service may consume too many resources and, hence, work in an unstable manner. This is particularly likely to happen if there is a lot of outgoing mail that cannot be delivered. By default, Postfix can create up to 100 mail sending processes that will not stop until they send the specified mail. ","To reduce resources consumption by Postfix:","Reduce the maximum number of Postfix processes, for example, to 20:","# postconf -e 'default_process_limit=20'","Disable unused services, for example, ifmail and uucp in the Postfix configuration file /etc/postfix/master.cf.","Reload the Postfix:","# PRODUCT_ROOT_D/admin/sbin/mailmng --reload-service","PRODUCT_ROOT_D  is /usr/local/psa for RPM-based systems or /opt/psa on DEB-based systems.","Postfix Consumes Too Many Resources in a Container","68745.htm#o68782");
Page[181]=new Array("If during the upgrading operation to Plesk 11.5 the database with the Horde webmail data was not upgraded correctly, you can repair the database in the following ways:","Repair the existing database.","Create a clean database.","Restore the database from the pre-upgrade backup file.","Repairing the Horde Database","If you want to repair the database and preserve the data in it, try to repair the existing Horde database.","Repair the configuration of the existing Horde database:","# /usr/local/psa/bootstrapper/pp$REL_ID-bootstrapper/bootstrapper.sh repair","If this command did not help, then run the following commands:","# /usr/local/psa/admin/sbin/autoinstaller&nbsp;--remove-component horde","# /usr/local/psa/admin/sbin/autoinstaller&nbsp;--select-release-current&nbsp;--install-component horde","If this method did not repair the database, re-install the database according to the instructions below.","Clean Installation of the Horde Database","Important: All the data existing in the database will be deleted. To learn how to preserve the old data in the new database, see Restoring the Database from the Pre-Upgrade Backup next in this section.","To re-install Horde and create a clean database, perform the following steps:","# plesk installer&nbsp;--remove-component horde","# plesk db &quot;drop database horde&quot;","# plesk installer --select-release-current&nbsp;--install-component horde","Restoring the Database from the Pre-Upgrade Backup","To preserve the old data in the new Horde database when you re-install Horde, restore the data from the backup file that was created automatically before the upgrading.","# plesk installer&nbsp;--remove-component horde","# plesk db &quot;drop database horde&quot;","# rm -rf /etc/psa-webmail/horde/","Restore the Horde database from the backup file that was created before the upgrade. You can find the file in the directory /var/lib/psa/dumps. If another directory is used, you can look up its name in the psa.conf file (the DUMP_D parameter).","# plesk installer&nbsp;--select-release-current&nbsp;--install-component horde","&nbsp;&nbsp;","Upgrading the Horde Database","73227.htm");
Page[182]=new Array("Apache configuration files","All Plesk-specific Apache configuration files are included in the Apache system configuration (/etc/httpd/httpd.conf) via file zz010_psa_httpd.conf using the Include directive. The file zz010_psa_httpd.conf can be located in /etc/apache2/conf.d/  or  /etc/httpd/conf.d/  depending on the operating system. ","The following table represents the hierarchy of Apache configuration files.","/etc/httpd/httpd.conf","/etc/httpd/conf.d/zz010_psa_httpd.conf","/etc/httpd/conf/plesk.conf.d/server.conf","/etc/httpd/conf/plesk.conf.d/ip_default/@&lt;domain_name&gt;.conf -&gt; /var/www/vhosts/system/&lt;domain_name&gt;/conf/httpd_ip_default.conf","/etc/httpd/conf/plesk.conf.d/horde.conf","/etc/httpd/conf/plesk.conf.d/webmails/horde/&lt;domain_name&gt;_webmail.conf","/etc/httpd/conf/plesk.conf.d/roundcube.conf","/etc/httpd/conf/plesk.conf.d/webmails/roundcube/&lt;domain_name&gt;_webmail.conf","/etc/httpd/conf/plesk.conf.d/atmail.conf","/etc/httpd/conf/plesk.conf.d/webmails/atmail/&lt;domain_name&gt;_webmail.conf","/etc/httpd/conf/plesk.conf.d/vhosts/@&lt;domain_name&gt;.conf -&gt; /var/www/vhosts/system/&lt;domain_name&gt;/conf/last_httpd.conf","/usr/local/psa/admin/conf/file_sharing.conf*","/var/www/vhosts/system/&lt;domain_name&gt;/conf/siteapp.d/*.conf","/var/www/vhosts/system/&lt;domain_name&gt;/conf/vhost_ssl.conf","/var/www/vhosts/system/&lt;domain_name&gt;/conf/vhost.conf*","/etc/httpd/conf/plesk.conf.d/forwarding/&lt;domain_name&gt;.conf","/etc/httpd/conf/plesk.conf.d/wildcards/@&lt;domain_name&gt;.conf -&gt; /var/www/vhosts/system/_&lt;domain_name&gt;/conf/last_httpd.conf","On this diagram:"," - System configuration file."," - Files generated by Plesk."," - Files generated by Plesk from configuration templates."," - Files created by user and containing custom configuration directives.","File file_sharing.conf is not generated, but shipped with Plesk.","Files from siteapp.d/*.conf are shipped with corresponding APS packages.","The placeholder &lt;domain-name&gt; is the domain name of the website for which the configuration is generated.","nginx configuration files","All Plesk-specific nginx configuration files are included in the nginx system configuration (/etc/httpd/nginx.conf) via file zz010_psa_nginx.conf using the Include directive. The file zz010_psa_nginx.conf is located in /etc/nginx/conf.d/. ","The following table represents the hierarchy of nginx configuration files.","/etc/nginx/nginx.conf","/etc/nginx/conf.d/zz010_psa_nginx.conf","/etc/nginx/plesk.conf.d/server.conf","/etc/nginx/plesk.conf.d/vhosts/@&lt;domain_name&gt;.conf -&gt; /var/www/vhosts/system/&lt;domain_name&gt;/conf/last_nginx.conf","/var/www/vhosts/system/&lt;domain_name&gt;/conf/vhost_nginx.conf","/etc/nginx/plesk.conf.d/forwarding/&lt;domain_name&gt;.conf","On this diagram:"," - System configuration file."," - Files generated by Plesk."," - Files generated by Plesk from configuration templates."," - Files created by user and containing custom configuration directives.","The placeholder &lt;domain-name&gt; is the domain name of the website for which the configuration is generated.","Appendix A: Web Server Configuration Files","68678.htm");
Page[183]=new Array("A set of configuration template files is structured as follows, assuming that the root folder is default/ or custom/. Editing these files changes the Apache configuration. ","Root templates are starting points in generating configuration files. Plesk always starts generating a configuration from one of these files. All root templates contain statements that include the other templates located in respective folders (domain, server and service).","atmail.php","Root template of a server-wide configuration for Atmail Light.","atmailcom.php","Root template of a server-wide configuration for Atmail Full.","domainForwarding.php","Root template of a per-website configuration for websites with forwarding, either standard or frame.","domainVhost.php","Root template of a per-website configuration for hosted websites.","domainWebmail.php","Root template of a per-website configuration for a webmail service.","horde.php","Root template of a server-wide configuration for Horde.","server.php","Root template of a server-wide configuration for server services, such as Tomcat, Mailman and several others. For details, see the contents of the server/ directory below.","nginx.php","(In Plesk 11.0+) This template includes the server-wide configuration of nginx.","domain/","Contains templates included in a per-website configuration.","domainVirtualHost.php","Configuration for hosted website addressed by domain name.","frameForwarding.php","Configuration for website with frame forwarding.","nginxDomainVirtualHost.php","(In Plesk 11.0+) This template includes per-website configuration of nginx.","standardForwarding.php","Configuration for website with standard forwarding.","subDomainVirtualHost.php","Configuration for hosted website addressed by subdomain name.","service/","Contains templates of configuration for website services included in a website configuration.","bandWidth.php","Configuration for website bandwidth limits.","errordocs.php","Configuration for website error documents.","protectedDirectories.php","Configuration for password-protected website directories.","tomcat.php","Configuration for the Tomcat service on a website.","server/","Contains templates included in a server-wide configuration.","PCI_compliance.php","Defines directives specific to meeting PCI compliance.","mailman.php","Configuration for the Mailman service.","nameVirtualHost.php","Defines NameVirtualHost directive.","tomcat.php","Configuration of the Tomcat service.","vhosts.php","Configuration for the server default virtual host (a virtual host addressed if a request is made to an IP address registered in Plesk but no default website is assigned to it).","service/","Contains context-free templates of configuration for various services.","asp.php","Configuration for ASP.","miva.php","Configuration for Miva Virtual Machine.","mod_fastcgi.php","Configuration for FastCGI.","mod_perl.php","Configuration for Perl.","mod_python.php","Configuration for Python.","php.php","Configuration for PHP.","php_over_cgi.php","Configuration for PHP over CGI.","php_over_fastcgi.php","Configuration for PHP over FastCGI.","Appendix B: Configuration Templates Structure","68820.htm");
Page[184]=new Array("This appendix contains a reference on Apache configuration variables that may be used to configure the default virtual hosts.","$VAR is an associative array that contains the data model. Below is a detailed list explaining available paths and values.","$VAR-&gt;","$VAR-&gt;domainsIpDefaultBootstrap","The full path to the bootstrap file for a domain set as default on an IP address; string","$VAR-&gt;domainsBootstrap","The full path to the bootstrap file for domains; string","$VAR-&gt;domainsWebmailHordeBootstrap","The full path to the bootstrap file for Horde; string","$VAR-&gt;domainsWebmailAtmailBootstrap","The full path to the bootstrap file for Atmail; string","$VAR-&gt;domainsWebmailAtmailcomBootstrap","The full path to the bootstrap file for Atmail Commerce; string","Appendix C: Apache Configuration Variables","68713.htm");
Page[185]=new Array("$VAR-&gt;server-&gt;fullHostName","Full name of the host where Plesk is installed; string","$VAR-&gt;server-&gt;ipAddress-&gt;all","List of IP addresses registered with Plesk; array with elements $VAR-&gt;ipAddress","$VAR-&gt;server-&gt;admin-&gt;email","Email address of the Plesk administrator; string","$VAR-&gt;server-&gt;productRootDir","The full path to the root directory of the Plesk installation; string","$VAR-&gt;server-&gt;productConfigDir","The full path to the directory where the Plesk configuration is stored; string","$VAR-&gt;server-&gt;getSslLibraryPath","The full path to the system SSL library; string","$VAR-&gt;server-&gt;getCryptoLibraryPath","The full path to the system cryptographic library; string","1.2. $VAR-&gt;server-&gt;domains-&gt;","$VAR-&gt;server-&gt;domains-&gt;allWithHosting","List of domains where hosting (both web hosting and forwarding) is set up; array with elements $VAR-&gt;domain","$VAR-&gt;server-&gt;domains-&gt;allWithoutHosting","List of domain accounts where no hosting is set up (neither web hosting nor forwarding);  array with elements $VAR-&gt;domain","1.3. $VAR-&gt;server-&gt;webserver-&gt;","$VAR-&gt;server-&gt;webserver-&gt;vhostDir","The full path to the system vhosts/ directory; string","$VAR-&gt;server-&gt;webserver-&gt;httpLogsDir","The full path to the logs/ directory; string","$VAR-&gt;server-&gt;webserver-&gt;httpIncludeDir","The full path to the Apache conf.d directory; string","$VAR-&gt;server-&gt;webserver-&gt;httpDir","The full path to the directory with content of the server default website available via HTTP; string","$VAR-&gt;server-&gt;webserver-&gt;httpsDir","The full path to the directory with content of the server default website available via HTTPS; string","$VAR-&gt;server-&gt;webserver-&gt;httpPort","Apache HTTP port number; string","$VAR-&gt;server-&gt;webserver-&gt;httpsPort","Apache HTTPS port number; string","$VAR-&gt;server-&gt;webserver-&gt;cgiBinDir","The full path to the cgi-bin directory of the server default site; string","$VAR-&gt;server-&gt;webserver-&gt;clientGroup","System group of users using Apache web hosting (a user group in which all FTP users of web hosting are included); string","1.3.1. $VAR-&gt;server-&gt;webserver-&gt;apache-&gt;","$VAR-&gt;server-&gt;webserver-&gt;apache-&gt;pipelogEnabled","Defines if writing Apache logs to a pipe is enabled; boolean","$VAR-&gt;server-&gt;webserver-&gt;apache-&gt;traceEnableCompliance","Determines the behaviour on TRACE requests; boolean","$VAR-&gt;server-&gt;webserver-&gt;apache-&gt;allowOverrideDefault","Defines the value of the AllowOverride directive in Apache configuration; string","$VAR-&gt;server-&gt;webserver-&gt;apache-&gt;php4ModuleName ","Name of the Apache module used for PHP 4; string","$VAR-&gt;server-&gt;webserver-&gt;apache-&gt;phpCgiBin","Binary file used to run PHP in CGI mode; string","$VAR-&gt;server-&gt;webserver-&gt;apache-&gt;vhostIpCapacity","Maximum number of IP addresses that can be defined in the &lt;VirtualHost&gt; tag in Apache configuration; integer","1.3.2. $VAR-&gt;server-&gt;webserver-&gt;horde-&gt;","$VAR-&gt;server-&gt;webserver-&gt;horde-&gt;confD","The full path to the directory with Horde configuration; string","$VAR-&gt;server-&gt;webserver-&gt;horde-&gt;logD","The full path to the directory with Horde logs; string","$VAR-&gt;server-&gt;webserver-&gt;horde-&gt;docD","The full path to the Horde doc directory; string","$VAR-&gt;server-&gt;webserver-&gt;horde-&gt;dataD","The full path to the folder with Horde PEAR data; string","1.4. $VAR-&gt;server-&gt;tomcat-&gt;","$VAR-&gt;server-&gt;tomcat-&gt;workersFile","The full path to the Tomcat workers file; string","$VAR-&gt;server-&gt;tomcat-&gt;workerName","Tomcat worker ID; string","$VAR-&gt;server-&gt;tomcat-&gt;warpPort","Tomcat WARP port; string","1.5. $VAR-&gt;server-&gt;mailman-&gt;","$VAR-&gt;server-&gt;mailman-&gt;rootDir","The full path to the Mailman root directory; string","$VAR-&gt;server-&gt;mailman-&gt;varDir","The full path to the Mailman var directory; string","$VAR-&gt;server-&gt;mailman-&gt;scriptAliases","ScriptAliases required for the web panel of the Mailman service to work; array with elements 'url =&gt; path'","$VAR-&gt;server-&gt;mailman-&gt;aliases","Aliases required for the web panel of the Mailman service to work; array with elements 'url =&gt; path'","1.6. $VAR-&gt;server-&gt;miva-&gt;","$VAR-&gt;server-&gt;miva-&gt;libDir","The full path to the Miva lib directory; string","$VAR-&gt;server-&gt;miva-&gt;binDir","The full path to the Miva bin directory; string","$VAR-&gt;server-&gt;miva-&gt;shareDir","The full path to the Miva shared directory; string","1.7. $VAR-&gt;server-&gt;awstats-&gt;","$VAR-&gt;server-&gt;awstats-&gt;docsDir","The full path to the AWStats docs directory; string","1. $VAR-&gt;server-&gt;","68801.htm");
Page[186]=new Array("The content of $VAR-&gt;domain is defined by the value of the domainId key in $metainfo.","$VAR-&gt;domain-&gt;id","Domain ID; string","$VAR-&gt;domain-&gt;www","Defines if the website is accessible with the www prefix; boolean","$VAR-&gt;domain-&gt;enabled","Defines the website status; boolean","$VAR-&gt;domain-&gt;idnName","International domain name; string","$VAR-&gt;domain-&gt;asciiName","Domain name in ASCII format; string","$VAR-&gt;domain-&gt;isIpDefault","Defines if the website is set as default for the IP address; boolean","$VAR-&gt;domain-&gt;hasPhysicalHosting","Defines if the website is set up for web hosting; boolean","$VAR-&gt;domain-&gt;hasStandardForwarding","Defines if the website is set up as standard forwarding; boolean","$VAR-&gt;domain-&gt;hasFrameForwarding","Defines if the website is set up as frame forwarding; boolean","$VAR-&gt;domain-&gt;webAliases","Web aliases of the website; array where elements are objects $object-&gt;asciiName","$VAR-&gt;domain-&gt;mailAliases","Mail aliases of the website; array where elements are objects $object-&gt;asciiName","$VAR-&gt;domain-&gt;client-&gt;email","Email address of the website owner; string","$VAR-&gt;domain-&gt;email","Email address of the Domain Administrator of the website; string","2.1. $VAR-&gt;domain-&gt;physicalHosting-&gt;","$VAR-&gt;domain-&gt;physicalHosting-&gt;login","Username of FTP account used to access the website content; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;ipAddress","IP address on which the website is hosted; see $VAR-&gt;ipAddress","$VAR-&gt;domain-&gt;physicalHosting-&gt;vhostDir","The absolute path to the website's vhost directory; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;logsDir","The absolute path to the website's logs directory; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;webUsersDir","The absolute path to the website's directory designated for web users' content; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;httpDir","The absolute path to the website's httpdocs directory; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;httpsDir","The absolute path to the website's httpsdocs directory; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;cgiBinDir","The absolute path to the website's cgi-bin directory; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;statisticsDir","The absolute path to the website's statistics directory;string","$VAR-&gt;domain-&gt;physicalHosting-&gt;siteAppsConfigDir","The absolute path to the website's directory where configuration files of the installed non-SSL site applications are stored; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;customConfigFile","The absolute path to the directory &lt;vhostdir&gt;/conf/vhost.conf for a non-SSL website; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;siteAppsSslConfigDir","The absolute path to the website's directory where configuration files of the installed SSL site applications are stored; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;customSslConfigFile","The absolute path to the directory &lt;vhostdir&gt;/conf/vhost.conf for a non-SSL website; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;ssl","Defines if the SSL support is enabled on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;trafficBandwidth","Defines a limit imposed on the traffic bandwidth usage by the domain; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;maximumConnection","Defines a limit imposed on the maximum allowed number of connections to the domain; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;php","Defines if the PHP support is enabled on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;phpHandlerType","Defines PHP handler type; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;phpSafeMode","Defines if PHP operates in safe mode; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;ssi","Defines if SSI is supported on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;cgi","Defines if CGI is supported on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;miva","Defines if Miva support is enabled for the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;mivaDataDir","The full path to the Miva data directory; string","$VAR-&gt;domain-&gt;physicalHosting-&gt;perl","Defines if Perl is supported on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;asp","Defines if ASP is supported on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;python","Defines if python is supported on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;fastcgi","Defines if FastCGI is supported on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;errordocs","Defines if custom error pages are supported on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;hasWebstat","Defines if a web statistics service is supported on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;webuserScriptingEnabled","Defines if using scripts is allowed to web users on the website; boolean","$VAR-&gt;domain-&gt;physicalHosting-&gt;subdomains","List of the website subdomains; array with elements $VAR-&gt;subdomain","$VAR-&gt;domain-&gt;physicalHosting-&gt;phpSettings","List of PHP settings for the website (including additional directives); string","$VAR-&gt;domain-&gt;physicalHosting-&gt;webusers","Accesses web user specific data; array where elements are objects of type $object-&gt;&lt;webuser-parameter&gt; where &lt;webuser-parameter&gt; is one of the following:","dir","The absolute path to the directory with the web user's content; string","ssi","Defines if SSI support is enabled for the web user; boolean","cgi","Defines if CGI support is enabled for the web user; boolean","perl","Defines if perl support is enabled for the web user; boolean","asp","Defines if ASP support is enabled for the web user; boolean","php","Defines if PHP support is enabled for the web user; boolean","phpSettings","List of PHP settings for the web user. All setting values are the same as for the website except open_basedir (it contains the path to the web user's home directory); string","python","Defines if python support is enabled for the web user; boolean","fastcgi","Defines if fastCGI support is enabled for the web user; boolean","2.2. $VAR-&gt;domain-&gt;forwarding-&gt;","$VAR-&gt;domain-&gt;forwarding-&gt;ipAddress","IP address on which the website forwarding is set up; $VAR-&gt;ipAddress","$VAR-&gt;domain-&gt;forwarding-&gt;redirectUrl","URL to which requests for the website are redirected; string","2.3. $VAR-&gt;domain-&gt;tomcat-&gt;","$VAR-&gt;domain-&gt;tomcat-&gt;enabled","Defines if Tomcat is enabled on the website; boolean","$VAR-&gt;domain-&gt;tomcat-&gt;all","Gets data on all Tomcat applications running on the domain; array where elements are objects $object-&gt;name where 'name' is an application name ","2.4. $VAR-&gt;domain-&gt;protectedDirectories-&gt;","$VAR-&gt;domain-&gt;protectedDirectories-&gt;sslDirectories","Password-protected directories of the website available via SSL; array with elements array('directory' =&gt; '', 'realm' =&gt; '', 'authFile' =&gt; '',) where ","directory is a path (relative to the virtual host root) to a directory being protected","realm is a text displayed when requesting password from a user","authFile is the absolute path to a file listing users who are authorized to access the directory","$VAR-&gt;domain-&gt;protectedDirectories-&gt;nonSslDirectories","Password-protected non-SSL directories of the website; array with elements array('directory' =&gt; '', 'realm' =&gt; '', 'authFile' =&gt; '',) where ","directory is a path (relative to the virtual host root) to a directory being protected","realm is a text displayed when requesting password from a user","authFile is the absolute path to a file listing users who are authorized to access the directory","2. $VAR-&gt;domain-&gt;","68802.htm");
Page[187]=new Array("The content of $VAR-&gt;subDomain is defined by the value of the domainId and subDomainId keys in $metainfo.","$VAR-&gt;subDomain-&gt;id","Subdomain ID; string","$VAR-&gt;subDomain-&gt;asciiName","Subdomain name in ASCII format (without the domain name part, i.e. &quot;forum&quot; if the full domain name is &quot;forum.example.com&quot;); string","$VAR-subDomain-&gt;asciiFullName","Full subdomain name (including the domain name part) in ASCII format; string","$VAR-&gt;subDomain-&gt;httpDir","The absolute path to the website's httpdocs directory; string","$VAR-&gt;subDomain-&gt;httpsDir","The absolute path to the website's httpsdocs directory; string","$VAR-&gt;subDomain-&gt;siteAppsConfigDir","The absolute path to the website's directory where configuration files of the installed non-SSL site applications are stored; string","$VAR-&gt;subDomain-&gt;siteAppsSslConfigDir","The absolute path to the website's directory where configuration files of the installed SSL site applications are stored; string","$VAR-&gt;subDomain-&gt;customConfigFile","The absolute path to the directory conf/vhost.conf for a non-SSL website; string","$VAR-&gt;subDomain-&gt;customSslConfigFile","The absolute path to the directory conf/vhost.conf for an SSL website; string","$VAR-&gt;subDomain-&gt;login","Username of FTP account used to access the website content; string","$VAR-&gt;subDomain-&gt;cgi","Defines if the CGI support is enabled on the website; boolean","$VAR-&gt;subDomain-&gt;cgiBinDir","The full path to the cgi-bin directory of the website; string","$VAR-&gt;subDomain-&gt;miva","Defines if the Miva support is enabled on the website; boolean","$VAR-&gt;subDomain-&gt;mivaDataDir","The full path to the Miva data directory; string","$VAR-&gt;subDomain-&gt;perl","Defines if the perl support is enabled on the website; boolean","$VAR-&gt;subDomain-&gt;asp","Defines if the ASP support is enabled on the website; boolean","$VAR-&gt;subDomain-&gt;php","Defines if the PHP support is enabled on the website; boolean","$VAR-&gt;subDomain-&gt;phpHandlerType","Defines PHP handler type; string","$VAR-&gt;subDomain-&gt;python","Defines if the python support is enabled on the website; boolean","$VAR-&gt;subDomain-&gt;fastcgi","Defines if the FastCGI support is enabled on the website; boolean","$VAR-&gt;subDomain-&gt;ssi","Defines if the SSI support is enabled on the website; boolean","$VAR-&gt;subDomain-&gt;ssl","Defines if the SSL support is enabled on the website; boolean","3. $VAR-&gt;subDomain-&gt;","68803.htm");
Page[188]=new Array("The content of $VAR-&gt;ipAddress is defined by the value of the ipAddressId key in $metainfo.","$VAR-&gt;ipAddress-&gt;id","ID of the IP address; string","$VAR-&gt;ipAddress-&gt;address","IP address; string","$VAR-&gt;ipAddress-&gt;sslCertificate-&gt;ce","SSL certificate file content; string","$VAR-&gt;ipAddress-&gt;sslCertificate-&gt;ca","CA certificate file content; string","$VAR-&gt;ipAddress-&gt;sslCertificate-&gt;ceFilePath","The full path to the certificate file; string","$VAR-&gt;ipAddress-&gt;sslCertificate-&gt;caFilePath","The full path to the CA certificate file; string","$VAR-&gt;ipAddress-&gt;defaultDomainId","ID of the domain set as default for the IP address; string","$VAR-&gt;ipAddress-&gt;hostedDomains","List of domains hosted on the IP address; array with elements $VAR-&gt;domain","4. $VAR-&gt;ipAddress-&gt;","68804.htm");
var PageCount=189;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';

*/ /* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}//